(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    258813,       6931]
NotebookOptionsPosition[    235794,       6541]
NotebookOutlinePosition[    236150,       6557]
CellTagsIndexPosition[    236107,       6554]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\:7b2c4\:7ae0  \:7ebf\:6027\:4ee3\:6570", "Section",
 CellChangeTimes->{{3.806897494815237*^9, 3.806897517845718*^9}, {
  3.806897560447864*^9, 3.806897560687622*^9}, {3.806897785827364*^9, 
  3.80689779253082*^9}},ExpressionUUID->"bb5fee1b-fa60-452b-a64f-\
e8bd164b0b5c"],

Cell[CellGroupData[{

Cell["4.1 \:77e9\:9635\:7684\:6784\:9020", "Subsection",
 CellChangeTimes->{{3.5408677453400927`*^9, 3.540867750924903*^9}, 
   3.540961910921875*^9},ExpressionUUID->"31699c91-b34e-4006-9d18-\
b57dacf87c80"],

Cell[TextData[{
 "\:8054\:673a\:5e2e\:52a9\:ff1a",
 StyleBox[ButtonBox["\:6784\:9020\:77e9\:9635",
  BaseStyle->{"Link", "GuideFunctionsSubsection"},
  ButtonData->"paclet:guide/ConstructingMatrices"], 
  "GuideFunctionsSubsection"],
 "\:ff0c",
 ButtonBox["Constructing Matrices",
  BaseStyle->"Link",
  ButtonData->"paclet:tutorial/ConstructingMatrices"]
}], "Text",
 CellChangeTimes->{
  3.5408678626834993`*^9, 3.540867908079579*^9, {3.5408680008529415`*^9, 
   3.5408680048153486`*^9}, {3.540868069243462*^9, 3.540868084843489*^9}, {
   3.540868176961651*^9, 3.540868227068939*^9}, 
   3.5408689756406546`*^9},ExpressionUUID->"1b780e19-8895-4ab0-a1a8-\
400234a2be77"],

Cell[CellGroupData[{

Cell["\:666e\:901a\:77e9\:9635\:7684\:6784\:9020", "Subsubsection",
 CellChangeTimes->{{3.540869157770974*^9, 3.540869170032596*^9}, 
   3.5409600219375*^9},ExpressionUUID->"03e0a846-b417-4a9a-a186-782bb8d02397"],

Cell[BoxData[{
 ButtonBox[
  RowBox[{"Table", "[", 
   RowBox[{
    StyleBox["expr", "TI"], ",", 
    RowBox[{"{", 
     StyleBox[
      RowBox[{"i", ",", "m"}], "TI"], "}"}], ",", 
    RowBox[{"{", 
     StyleBox[
      RowBox[{"j", ",", "n"}], "TI"], "}"}]}], "]"}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Table"], "\n", 
 ButtonBox[
  RowBox[{"Array", "[", 
   RowBox[{
    StyleBox["f", "TI"], ",", 
    RowBox[{"{", 
     RowBox[{
      StyleBox["m", "TI"], ",", 
      StyleBox["n", "TI"]}], "}"}]}], "]"}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Array"]}], "Input",
 CellChangeTimes->{{3.448892439046875*^9, 3.4488924938125*^9}, {
   3.4489373389375*^9, 3.44893734165625*^9}, 
   3.540961296875*^9},ExpressionUUID->"3cbbb09c-4325-446d-aaaa-671ad72c9e3a"],

Cell["\:4f8b\:ff1a\:6784\:9020Hilbert\:77e9\:9635", "Text",
 CellChangeTimes->{{3.540868582297163*^9, 3.5408686639321065`*^9}, {
   3.5408694110530195`*^9, 3.5408694323626566`*^9}, 
   3.540960619921875*^9},ExpressionUUID->"9bd66302-29aa-46da-9370-\
5977d69bd9ba"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"a", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"1", "/", 
     RowBox[{"(", 
      RowBox[{"i", "+", "j", "-", "1"}], ")"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "4"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.540868637037659*^9, 3.5408686976281652`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"f4c5bfb9-8dcc-4256-a187-1dd0bf28d3aa"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", 
     FractionBox["1", "2"], ",", 
     FractionBox["1", "3"], ",", 
     FractionBox["1", "4"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     FractionBox["1", "2"], ",", 
     FractionBox["1", "3"], ",", 
     FractionBox["1", "4"], ",", 
     FractionBox["1", "5"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     FractionBox["1", "3"], ",", 
     FractionBox["1", "4"], ",", 
     FractionBox["1", "5"], ",", 
     FractionBox["1", "6"]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.8115647075277257`*^9},
 CellLabel->"Out[1]=",ExpressionUUID->"e7b02d07-b74a-4e89-bd10-621221251339"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"a", "=", 
  RowBox[{"Array", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"1", "/", 
      RowBox[{"(", 
       RowBox[{"#1", "+", "#2", "-", "1"}], ")"}]}], "&"}], ",", 
    RowBox[{"{", 
     RowBox[{"3", ",", "4"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.5408687755503025`*^9, 3.5408688916301064`*^9}},
 CellLabel->"In[2]:=",ExpressionUUID->"1f2f4860-dc0d-4161-88e1-5b2cb3f23003"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", 
     FractionBox["1", "2"], ",", 
     FractionBox["1", "3"], ",", 
     FractionBox["1", "4"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     FractionBox["1", "2"], ",", 
     FractionBox["1", "3"], ",", 
     FractionBox["1", "4"], ",", 
     FractionBox["1", "5"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     FractionBox["1", "3"], ",", 
     FractionBox["1", "4"], ",", 
     FractionBox["1", "5"], ",", 
     FractionBox["1", "6"]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.8115647522515354`*^9},
 CellLabel->"Out[2]=",ExpressionUUID->"2be4352b-6ef7-4448-b950-3fd83a835a7c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"b", "=", 
  RowBox[{"MatrixForm", "[", "a", "]"}]}]], "Input",
 CellChangeTimes->{{3.5408686902181525`*^9, 3.540868721636608*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"76cfda80-f9f7-4001-81b0-f18eb75667aa"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", 
      FractionBox["1", "2"], 
      FractionBox["1", "3"], 
      FractionBox["1", "4"]},
     {
      FractionBox["1", "2"], 
      FractionBox["1", "3"], 
      FractionBox["1", "4"], 
      FractionBox["1", "5"]},
     {
      FractionBox["1", "3"], 
      FractionBox["1", "4"], 
      FractionBox["1", "5"], 
      FractionBox["1", "6"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8115647598122497`*^9},
 CellLabel->
  "Out[3]//MatrixForm=",ExpressionUUID->"2a489f4b-8d8c-4355-961b-\
35e9dfe8b724"]
}, Open  ]],

Cell[TextData[StyleBox["\:6ce8\:610f\:ff1aa\:662f\:77e9\:9635\:ff0cb\:4e0d\
\:662f\:77e9\:9635\:3002",
 FontColor->RGBColor[1, 0, 0]]], "Text",
 CellChangeTimes->{{3.540868914920947*^9, 3.540868916090949*^9}, {
  3.5408689822238665`*^9, 3.540868999789497*^9}, {3.54096166415625*^9, 
  3.540961666390625*^9}},
 FontColor->RGBColor[
  1, 0, 0],ExpressionUUID->"af6d888a-d914-45b7-9e3e-cccf8924ee87"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\:7a00\:758f\:77e9\:9635\:7684\:6784\:9020", "Subsubsection",
 CellChangeTimes->{{3.5408691966774426`*^9, 
  3.5408692018878517`*^9}},ExpressionUUID->"1468f9cf-db31-4ab2-b04e-\
0fc12925db0a"],

Cell[BoxData[
 RowBox[{
  ButtonBox[
   RowBox[{"SparseArray", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       SubscriptBox[
        StyleBox["pos", "TI"], 
        StyleBox["1", "TR"]], "->", 
       SubscriptBox[
        StyleBox["val", "TI"], 
        StyleBox["1", "TR"]]}], ",", 
      RowBox[{
       SubscriptBox[
        StyleBox["pos", "TI"], 
        StyleBox["2", "TR"]], "->", 
       SubscriptBox[
        StyleBox["val", "TI"], 
        StyleBox["2", "TR"]]}], ",", 
      StyleBox["\[Ellipsis]", "TR"]}], "}"}], "]"}],
   BaseStyle->"Link",
   ButtonData->"paclet:ref/SparseArray"], " "}]], "Input",
 CellChangeTimes->{{3.448937316609375*^9, 
  3.4489373196875*^9}},ExpressionUUID->"b066fc12-1c3d-45cf-a403-2449de625582"],

Cell[BoxData[
 RowBox[{"\:4f8b", ":", 
  RowBox[{"\:5b9a\:4e49\:4e09\:5bf9\:89d2\:77e9\:9635", 
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {"a", "b", "\[Placeholder]", "\[Placeholder]"},
      {"c", "a", "\[DescendingEllipsis]", "\[Placeholder]"},
      {"\[Placeholder]", "\[DescendingEllipsis]", "\[DescendingEllipsis]", 
       "b"},
      {"\[Placeholder]", "\[Placeholder]", "c", "a"}
     }], "\[NoBreak]", ")"}]}]}]], "Text",
 CellChangeTimes->{{3.44892621634375*^9, 3.448926343375*^9}, {
  3.44893382246875*^9, 3.4489338621875*^9}, {3.5408694063886113`*^9, 
  3.540869407480613*^9}},ExpressionUUID->"0ae94831-aa1a-432e-9f8c-\
90c28fdc5039"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"a", "=", 
  RowBox[{"SparseArray", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"Band", "[", 
        RowBox[{"{", 
         RowBox[{"1", ",", "1"}], "}"}], "]"}], "\[Rule]", "\"\<a\>\""}], ",", 
      RowBox[{
       RowBox[{"Band", "[", 
        RowBox[{"{", 
         RowBox[{"1", ",", "2"}], "}"}], "]"}], "\[Rule]", "\"\<b\>\""}], ",", 
      RowBox[{
       RowBox[{"Band", "[", 
        RowBox[{"{", 
         RowBox[{"2", ",", "1"}], "}"}], "]"}], "\[Rule]", "\"\<c\>\""}]}], 
     "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"5", ",", "5"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.44893386496875*^9, 3.44893401496875*^9}, {
  3.5408694583367023`*^9, 3.540869462127509*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"284f3b78-a5b0-459f-96e6-50d6fe49a9e5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["SparseArray",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False, Typeset`embedState$$ = "Ready"}, 
    
    TemplateBox[{PaneSelectorBox[{False -> GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource[
               "FEBitmaps", "SquarePlusIconMedium"]], 
              ButtonFunction :> (Typeset`open$$ = True), Appearance -> None, 
              Evaluator -> Automatic, Method -> "Preemptive"], 
             Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 
                3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                 Magnification])}]], 
            GraphicsBox[
             RasterBox[CompressedData["
1:eJxTTMoPSmVmYGBghWIQ26p8d9wspXP2c4wXbTH/ccX+xSLFx4GrXtmTKs4A
Bg+gNDrAFKe1+aTaO9TNH6h4wSUOALe8qF0=
              "], {{0, 0}, {5, 5}}, {0, 
              1}], AspectRatio -> 1, Axes -> False, Frame -> False, 
             FrameLabel -> {None, None}, FrameStyle -> Directive[
               Opacity[0.5], 
               Thickness[Tiny], 
               RGBColor[0.368417, 0.506779, 0.709798]], 
             FrameTicks -> {{None, None}, {None, None}}, GridLinesStyle -> 
             Directive[
               GrayLevel[0.5, 0.4]], ImageSize -> 
             Dynamic[{
               Automatic, 
                3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                 Magnification])}], 
             Method -> {
              "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
               Automatic, 
               "DefaultGraphicsInteraction" -> {
                "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                 "Effects" -> {
                  "Highlight" -> {"ratio" -> 2}, 
                   "HighlightPoint" -> {"ratio" -> 2}, 
                   "Droplines" -> {
                    "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
               "DefaultPlotStyle" -> Automatic, "DomainPadding" -> 
               Scaled[0.02], "RangePadding" -> Scaled[0.05]}], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Specified elements: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["13", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Dimensions: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  RowBox[{"{", 
                    RowBox[{"5", ",", "5"}], "}"}], "SummaryItem"]}]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}], True -> GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource[
               "FEBitmaps", "SquareMinusIconMedium"]], 
              ButtonFunction :> (Typeset`open$$ = False), Appearance -> None, 
              Evaluator -> Automatic, Method -> "Preemptive"], 
             Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 
                3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                 Magnification])}]], 
            GraphicsBox[
             RasterBox[CompressedData["
1:eJxTTMoPSmVmYGBghWIQ26p8d9wspXP2c4wXbTH/ccX+xSLFx4GrXtmTKs4A
Bg+gNDrAFKe1+aTaO9TNH6h4wSUOALe8qF0=
              "], {{0, 0}, {5, 5}}, {0, 
              1}], AspectRatio -> 1, Axes -> False, Frame -> False, 
             FrameLabel -> {None, None}, FrameStyle -> Directive[
               Opacity[0.5], 
               Thickness[Tiny], 
               RGBColor[0.368417, 0.506779, 0.709798]], 
             FrameTicks -> {{None, None}, {None, None}}, GridLinesStyle -> 
             Directive[
               GrayLevel[0.5, 0.4]], ImageSize -> 
             Dynamic[{
               Automatic, 
                3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                 Magnification])}], 
             Method -> {
              "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
               Automatic, 
               "DefaultGraphicsInteraction" -> {
                "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                 "Effects" -> {
                  "Highlight" -> {"ratio" -> 2}, 
                   "HighlightPoint" -> {"ratio" -> 2}, 
                   "Droplines" -> {
                    "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
               "DefaultPlotStyle" -> Automatic, "DomainPadding" -> 
               Scaled[0.02], "RangePadding" -> Scaled[0.05]}], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Specified elements: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["13", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Dimensions: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  RowBox[{"{", 
                    RowBox[{"5", ",", "5"}], "}"}], "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Default: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["0", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Density: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["0.52`", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Elements:\"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["\"\"", "SummaryItem"]}]}, {
               TagBox[
                TagBox[
                 GridBox[{{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "2"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    "\"b\"", ContentPadding -> False, FrameMargins -> 0, 
                    StripOnInput -> True, BaselinePosition -> Baseline, 
                    ImageSize -> {{1, 300}, Automatic}], LineBreakWithin -> 
                    False]}]}, {
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "1"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    "\"a\"", ContentPadding -> False, FrameMargins -> 0, 
                    StripOnInput -> True, BaselinePosition -> Baseline, 
                    ImageSize -> {{1, 300}, Automatic}], LineBreakWithin -> 
                    False]}]}, {
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"2", ",", "1"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    "\"c\"", ContentPadding -> False, FrameMargins -> 0, 
                    StripOnInput -> True, BaselinePosition -> Baseline, 
                    ImageSize -> {{1, 300}, Automatic}], LineBreakWithin -> 
                    False]}]}, {
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"2", ",", "2"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    "\"a\"", ContentPadding -> False, FrameMargins -> 0, 
                    StripOnInput -> True, BaselinePosition -> Baseline, 
                    ImageSize -> {{1, 300}, Automatic}], LineBreakWithin -> 
                    False]}]}, {
                    ItemBox[
                    "\"\[VerticalEllipsis]\"", Alignment -> Center, 
                    StripOnInput -> False]}}, 
                  GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                  DefaultBaseStyle -> "Column", 
                  GridBoxItemSize -> {
                   "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                 "Column"], "SummaryItem"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}]}, 
       Dynamic[Typeset`open$$], ImageSize -> Automatic]},
     "SummaryPanel"],
    DynamicModuleValues:>{}], "]"}],
  SparseArray[
  Automatic, {5, 5}, 0, {
   1, {{0, 2, 5, 8, 11, 13}, {{2}, {1}, {1}, {2}, {3}, {4}, {3}, {2}, {3}, {
     5}, {4}, {4}, {5}}}, {
    "b", "a", "c", "a", "b", "b", "a", "c", "c", "b", "a", "c", "a"}}],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.8115652991865315`*^9},
 CellLabel->"Out[4]=",ExpressionUUID->"049b75f5-9973-4a13-b541-e59beed45646"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"a", "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.5408694690227213`*^9, 3.540869471269125*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"e7e3a8a6-2cac-498d-a8f6-2cd2507bd7e3"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\<\"a\"\>", "\<\"b\"\>", "0", "0", "0"},
     {"\<\"c\"\>", "\<\"a\"\>", "\<\"b\"\>", "0", "0"},
     {"0", "\<\"c\"\>", "\<\"a\"\>", "\<\"b\"\>", "0"},
     {"0", "0", "\<\"c\"\>", "\<\"a\"\>", "\<\"b\"\>"},
     {"0", "0", "0", "\<\"c\"\>", "\<\"a\"\>"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[
   SparseArray[
    Automatic, {5, 5}, 0, {
     1, {{0, 2, 5, 8, 11, 13}, {{2}, {1}, {1}, {2}, {3}, {4}, {3}, {2}, {3}, {
       5}, {4}, {4}, {5}}}, {
      "b", "a", "c", "a", "b", "b", "a", "c", "c", "b", "a", "c", 
       "a"}}]]]]], "Output",
 CellChangeTimes->{3.8115653023889*^9},
 CellLabel->
  "Out[5]//MatrixForm=",ExpressionUUID->"37c73907-72c7-4e27-8498-\
564df30eea35"]
}, Open  ]],

Cell["\:628a\:7a00\:758f\:77e9\:9635\:8f6c\:5316\:4e3a\:666e\:901a\:77e9\:9635\
", "Text",
 CellChangeTimes->{{3.540960001375*^9, 
  3.540960015296875*^9}},ExpressionUUID->"fb58e160-883b-4423-ac94-\
6b1ec16a1eea"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Normal", "[", "a", "]"}]], "Input",
 CellChangeTimes->{{3.5409599795*^9, 3.540959981609375*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"896e7ac1-0979-4cd9-9003-79ae3093ce7c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"a\"\>", ",", "\<\"b\"\>", ",", "0", ",", "0", ",", "0"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"c\"\>", ",", "\<\"a\"\>", ",", "\<\"b\"\>", ",", "0", ",", 
     "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "\<\"c\"\>", ",", "\<\"a\"\>", ",", "\<\"b\"\>", ",", "0"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "\<\"c\"\>", ",", "\<\"a\"\>", ",", "\<\"b\"\>"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "\<\"c\"\>", ",", "\<\"a\"\>"}], 
    "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.811565476998957*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"d84501ce-281e-4dca-8399-e48e0a30fccf"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\:4f8b", ":", 
  RowBox[{"\:6784\:9020\:65b9\:9635", 
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {"\[Placeholder]", "\[Placeholder]", "\[Placeholder]", 
       SubscriptBox["a", "1"]},
      {"1", "\[Placeholder]", "\[Placeholder]", 
       SubscriptBox["a", "2"]},
      {"\[Placeholder]", "\[DescendingEllipsis]", "\[Placeholder]", 
       "\[VerticalEllipsis]"},
      {"\[Placeholder]", "\[Placeholder]", "1", 
       SubscriptBox["a", "n"]}
     }], "\[NoBreak]", ")"}]}]}]], "Text",
 CellChangeTimes->{{3.44892621634375*^9, 3.448926343375*^9}, {
  3.540960605125*^9, 
  3.540960611546875*^9}},ExpressionUUID->"6b7297d6-8984-4407-b4e9-\
fccbe2f62c1a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"n", "=", "5"}], ";", 
  RowBox[{"a", "=", 
   RowBox[{"SparseArray", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Band", "[", 
         RowBox[{"{", 
          RowBox[{"2", ",", "1"}], "}"}], "]"}], "\[Rule]", "1"}], ",", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"i_", ",", "n"}], "}"}], "\[Rule]", 
        SubscriptBox["\"\<a\>\"", "i"]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"n", ",", "n"}], "}"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.44892638903125*^9, 3.448926414390625*^9}, {
   3.448926448734375*^9, 3.4489265010625*^9}, {3.448926556984375*^9, 
   3.448926754921875*^9}, {3.448932371109375*^9, 3.448932371359375*^9}, {
   3.448932409*^9, 3.448932450265625*^9}, {3.448932584109375*^9, 
   3.44893259509375*^9}, 3.540960695140625*^9},
 CellLabel->"In[7]:=",ExpressionUUID->"99b810ff-44db-4dcc-9089-898dc326b359"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["SparseArray",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False, Typeset`embedState$$ = "Ready"}, 
    
    TemplateBox[{PaneSelectorBox[{False -> GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource[
               "FEBitmaps", "SquarePlusIconMedium"]], 
              ButtonFunction :> (Typeset`open$$ = True), Appearance -> None, 
              Evaluator -> Automatic, Method -> "Preemptive"], 
             Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 
                3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                 Magnification])}]], 
            GraphicsBox[
             RasterBox[CompressedData["
1:eJxTTMoPSmVmYGBghWIQ26p8d9wspXP2c4wXbTH/ccX+xSLFx4GrXtmTKr6z
28B155YX9jfcl6+rmfbW/mRE7r/4r+/tGcDgAZRGAGqZj0s9qfaSaj6p9lLL
fGr5l9b2AgCpoQpY
              "], {{0, 0}, {5, 5}}, {0, 1}], AspectRatio -> 
             1, Axes -> False, Frame -> False, FrameLabel -> {None, None}, 
             FrameStyle -> Directive[
               Opacity[0.5], 
               Thickness[Tiny], 
               RGBColor[0.368417, 0.506779, 0.709798]], 
             FrameTicks -> {{None, None}, {None, None}}, GridLinesStyle -> 
             Directive[
               GrayLevel[0.5, 0.4]], ImageSize -> 
             Dynamic[{
               Automatic, 
                3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                 Magnification])}], 
             Method -> {
              "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
               Automatic, 
               "DefaultGraphicsInteraction" -> {
                "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                 "Effects" -> {
                  "Highlight" -> {"ratio" -> 2}, 
                   "HighlightPoint" -> {"ratio" -> 2}, 
                   "Droplines" -> {
                    "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
               "DefaultPlotStyle" -> Automatic, "DomainPadding" -> 
               Scaled[0.02], "RangePadding" -> Scaled[0.05]}], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Specified elements: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["9", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Dimensions: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  RowBox[{"{", 
                    RowBox[{"5", ",", "5"}], "}"}], "SummaryItem"]}]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}], True -> GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource[
               "FEBitmaps", "SquareMinusIconMedium"]], 
              ButtonFunction :> (Typeset`open$$ = False), Appearance -> None, 
              Evaluator -> Automatic, Method -> "Preemptive"], 
             Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 
                3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                 Magnification])}]], 
            GraphicsBox[
             RasterBox[CompressedData["
1:eJxTTMoPSmVmYGBghWIQ26p8d9wspXP2c4wXbTH/ccX+xSLFx4GrXtmTKr6z
28B155YX9jfcl6+rmfbW/mRE7r/4r+/tGcDgAZRGAGqZj0s9qfaSaj6p9lLL
fGr5l9b2AgCpoQpY
              "], {{0, 0}, {5, 5}}, {0, 1}], AspectRatio -> 
             1, Axes -> False, Frame -> False, FrameLabel -> {None, None}, 
             FrameStyle -> Directive[
               Opacity[0.5], 
               Thickness[Tiny], 
               RGBColor[0.368417, 0.506779, 0.709798]], 
             FrameTicks -> {{None, None}, {None, None}}, GridLinesStyle -> 
             Directive[
               GrayLevel[0.5, 0.4]], ImageSize -> 
             Dynamic[{
               Automatic, 
                3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                 Magnification])}], 
             Method -> {
              "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
               Automatic, 
               "DefaultGraphicsInteraction" -> {
                "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                 "Effects" -> {
                  "Highlight" -> {"ratio" -> 2}, 
                   "HighlightPoint" -> {"ratio" -> 2}, 
                   "Droplines" -> {
                    "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
               "DefaultPlotStyle" -> Automatic, "DomainPadding" -> 
               Scaled[0.02], "RangePadding" -> Scaled[0.05]}], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Specified elements: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["9", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Dimensions: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  RowBox[{"{", 
                    RowBox[{"5", ",", "5"}], "}"}], "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Default: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["0", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Density: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["0.36`", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Elements:\"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["\"\"", "SummaryItem"]}]}, {
               TagBox[
                TagBox[
                 GridBox[{{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "5"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    SubscriptBox["\"a\"", "1"], ContentPadding -> False, 
                    FrameMargins -> 0, StripOnInput -> True, BaselinePosition -> 
                    Baseline, ImageSize -> {{1, 300}, Automatic}], 
                    LineBreakWithin -> False]}]}, {
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"2", ",", "1"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    "1", ContentPadding -> False, FrameMargins -> 0, 
                    StripOnInput -> True, BaselinePosition -> Baseline, 
                    ImageSize -> {{1, 300}, Automatic}], LineBreakWithin -> 
                    False]}]}, {
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"2", ",", "5"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    SubscriptBox["\"a\"", "2"], ContentPadding -> False, 
                    FrameMargins -> 0, StripOnInput -> True, BaselinePosition -> 
                    Baseline, ImageSize -> {{1, 300}, Automatic}], 
                    LineBreakWithin -> False]}]}, {
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"3", ",", "2"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    "1", ContentPadding -> False, FrameMargins -> 0, 
                    StripOnInput -> True, BaselinePosition -> Baseline, 
                    ImageSize -> {{1, 300}, Automatic}], LineBreakWithin -> 
                    False]}]}, {
                    ItemBox[
                    "\"\[VerticalEllipsis]\"", Alignment -> Center, 
                    StripOnInput -> False]}}, 
                  GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                  DefaultBaseStyle -> "Column", 
                  GridBoxItemSize -> {
                   "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                 "Column"], "SummaryItem"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}]}, 
       Dynamic[Typeset`open$$], ImageSize -> Automatic]},
     "SummaryPanel"],
    DynamicModuleValues:>{}], "]"}],
  SparseArray[
  Automatic, {5, 5}, 0, {
   1, {{0, 1, 3, 5, 7, 9}, {{5}, {1}, {5}, {2}, {5}, {3}, {5}, {4}, {5}}}, {
    Subscript["a", 1], 1, Subscript["a", 2], 1, Subscript["a", 3], 1, 
     Subscript["a", 4], 1, Subscript["a", 5]}}],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.8115655038519897`*^9},
 CellLabel->"Out[7]=",ExpressionUUID->"1f0865e6-8cad-4bda-aca0-2c9dfd98a6da"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"a", "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.540960718625*^9, 3.540960721546875*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"79a59e48-dadb-4cf3-a776-f700f30493fc"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0", 
      SubscriptBox["\<\"a\"\>", "1"]},
     {"1", "0", "0", "0", 
      SubscriptBox["\<\"a\"\>", "2"]},
     {"0", "1", "0", "0", 
      SubscriptBox["\<\"a\"\>", "3"]},
     {"0", "0", "1", "0", 
      SubscriptBox["\<\"a\"\>", "4"]},
     {"0", "0", "0", "1", 
      SubscriptBox["\<\"a\"\>", "5"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[
   SparseArray[
    Automatic, {5, 5}, 0, {
     1, {{0, 1, 3, 5, 7, 9}, {{5}, {1}, {5}, {2}, {5}, {3}, {5}, {4}, {5}}}, {
      Subscript["a", 1], 1, Subscript["a", 2], 1, Subscript["a", 3], 1, 
       Subscript["a", 4], 1, Subscript["a", 5]}}]]]]], "Output",
 CellChangeTimes->{3.8115655064918613`*^9},
 CellLabel->
  "Out[8]//MatrixForm=",ExpressionUUID->"bbdd9b90-6eb5-48dd-9660-\
575b3db71a2c"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\:968f\:673a\:77e9\:9635\:7684\:6784\:9020", "Subsubsection",
 CellChangeTimes->{{3.5408691966774426`*^9, 3.5408692018878517`*^9}, 
   3.540960242265625*^9},ExpressionUUID->"c7ec0e98-83e9-429d-aa46-\
0a46d666b32e"],

Cell[BoxData[{
 RowBox[{
  ButtonBox["RandomInteger",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/RandomInteger"], "[", 
  RowBox[{
   StyleBox["range", "TI"], ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox[
      StyleBox["n", "TI"], 
      StyleBox["1", "TR"]], ",", 
     SubscriptBox[
      StyleBox["n", "TI"], 
      StyleBox["2", "TR"]], ",", 
     StyleBox["\[Ellipsis]", "TR"]}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  ButtonBox["RandomInteger",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/RandomInteger"], "[", 
  RowBox[{
   StyleBox["distribution", "TI"], ",", 
   StyleBox["\[Ellipsis]", "TR"]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  ButtonBox["RandomReal",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/RandomReal"], "[", 
  RowBox[{
   StyleBox["range", "TI"], ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox[
      StyleBox["n", "TI"], 
      StyleBox["1", "TR"]], ",", 
     SubscriptBox[
      StyleBox["n", "TI"], 
      StyleBox["2", "TR"]], ",", 
     StyleBox["\[Ellipsis]", "TR"]}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  ButtonBox["RandomReal",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/RandomReal"], "[", 
  RowBox[{
   StyleBox["distribution", "TI"], ",", 
   StyleBox["\[Ellipsis]", "TR"]}], "]"}]}], "Input",
 CellChangeTimes->{{3.54096024603125*^9, 
  3.540960369859375*^9}},ExpressionUUID->"509dd153-ab06-4b45-9c19-\
83559d733db7"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"a", "=", 
   RowBox[{"RandomInteger", "[", 
    RowBox[{
     RowBox[{"BernoulliDistribution", "[", "0.2", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "5"}], "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"a", "//", "MatrixForm"}]}], "Input",
 CellChangeTimes->{{3.5409613115625*^9, 3.540961423109375*^9}, {
  3.54096146309375*^9, 3.5409615743125*^9}, {3.8115658342131*^9, 
  3.811565840055365*^9}, {3.811565874696273*^9, 3.8115659250253763`*^9}, {
  3.811565969208291*^9, 3.8115659696461563`*^9}},
 CellLabel->"In[57]:=",ExpressionUUID->"c012852e-bf4f-4d61-8682-e8e0951a7629"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "1", "1", "0"},
     {"0", "0", "0", "0", "1"},
     {"0", "0", "1", "0", "0"},
     {"1", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8115657756642847`*^9, {3.811565835181476*^9, 3.811565844366805*^9}, {
   3.81156590840641*^9, 3.811565970083082*^9}},
 CellLabel->
  "Out[58]//MatrixForm=",ExpressionUUID->"c331bed7-3840-4c8f-b439-\
48a30ca29af2"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\:7279\:6b8a\:77e9\:9635\:7684\:6784\:9020", "Subsubsection",
 CellChangeTimes->{3.5408692066302605`*^9, 
  3.540961890921875*^9},ExpressionUUID->"387ce86a-8bdc-4446-bfba-\
54ba072927b5"],

Cell[BoxData[{
 RowBox[{
  ButtonBox["ConstantArray",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/ConstantArray"], "[", 
  RowBox[{
   StyleBox["c", "TI"], ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox[
      StyleBox["n", "TI"], 
      StyleBox["1", "TR"]], ",", 
     SubscriptBox[
      StyleBox["n", "TI"], 
      StyleBox["2", "TR"]], ",", 
     StyleBox["\[Ellipsis]", "TR"]}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 ButtonBox[
  RowBox[{"IdentityMatrix", "[", 
   StyleBox["n", "TI"], "]"}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/IdentityMatrix"], "\n", 
 ButtonBox[
  RowBox[{"DiagonalMatrix", "[", 
   StyleBox["list", "TI"], "]"}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/DiagonalMatrix"], "\n", 
 ButtonBox[
  RowBox[{"HilbertMatrix", "[", 
   RowBox[{"{", 
    RowBox[{
     StyleBox["m", "TI"], ",", 
     StyleBox["n", "TI"]}], "}"}], "]"}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/HilbertMatrix"], "\n", 
 ButtonBox[
  RowBox[{"ToeplitzMatrix", "[", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox[
      StyleBox["c", "TI"], 
      StyleBox["1", "TR"]], ",", 
     SubscriptBox[
      StyleBox["c", "TI"], 
      StyleBox["2", "TR"]], ",", 
     StyleBox["\[Ellipsis]", "TR"], ",", 
     SubscriptBox[
      StyleBox["c", "TI"], 
      StyleBox["n", "TI"]]}], "}"}], "]"}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/ToeplitzMatrix"], "\n", 
 ButtonBox[
  RowBox[{"HankelMatrix", "[", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox[
      StyleBox["c", "TI"], 
      StyleBox["1", "TR"]], ",", 
     SubscriptBox[
      StyleBox["c", "TI"], 
      StyleBox["2", "TR"]], ",", 
     StyleBox["\[Ellipsis]", "TR"], ",", 
     SubscriptBox[
      StyleBox["c", "TI"], 
      StyleBox["n", "TI"]]}], "}"}], "]"}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/HankelMatrix"], "\n", 
 ButtonBox[
  RowBox[{"RotationMatrix", "[", 
   RowBox[{
    StyleBox["\[Theta]", "TR"], ",", 
    StyleBox["v", "TI"]}], "]"}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/RotationMatrix"], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   ButtonBox["ReflectionMatrix",
    BaseStyle->"Link",
    ButtonData->"paclet:ref/ReflectionMatrix"], "[", 
   StyleBox["v", "TI"], "]"}], " "}]}], "Input",
 CellChangeTimes->{{3.448892634984375*^9, 3.4488926829375*^9}, {
   3.4489373026875*^9, 3.4489373046875*^9}, 3.540960075640625*^9, {
   3.54096013634375*^9, 3.5409601699375*^9}, {3.54096020015625*^9, 
   3.54096020128125*^9}, {3.541062456578125*^9, 3.541062457328125*^9}, {
   3.541062528515625*^9, 
   3.541062563140625*^9}},ExpressionUUID->"90bdd4aa-65b5-457e-b165-\
eb3bde4a7a1d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"ConstantArray", "[", 
   RowBox[{"1", ",", 
    RowBox[{"{", 
     RowBox[{"3", ",", "4"}], "}"}]}], "]"}], "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.540961936859375*^9, 3.540961938828125*^9}, {
  3.540962034953125*^9, 3.540962056109375*^9}},
 CellLabel->"In[59]:=",ExpressionUUID->"f5709b8e-75e2-434d-842a-39256c5a5c9c"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "1", "1", "1"},
     {"1", "1", "1", "1"},
     {"1", "1", "1", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.811565991437413*^9},
 CellLabel->
  "Out[59]//MatrixForm=",ExpressionUUID->"f8131c95-2458-4ebb-b7a7-\
ff168dc1a32f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"DiagonalMatrix", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "3"}], "}"}], ",", "0", ",", 
    RowBox[{"{", 
     RowBox[{"4", ",", "5"}], "}"}]}], "]"}], "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.540962078625*^9, 3.54096210071875*^9}, {
  3.54096214940625*^9, 3.540962264015625*^9}},
 CellLabel->"In[60]:=",ExpressionUUID->"fa7ba3cb-f97a-4bb9-baac-6101319ab978"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0", "0"},
     {"0", "2", "0", "0", "0"},
     {"0", "0", "3", "0", "0"},
     {"0", "0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8115659987638493`*^9},
 CellLabel->
  "Out[60]//MatrixForm=",ExpressionUUID->"91d98936-f3bf-44e1-acef-\
192bbbdfbe89"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\:77e9\:9635\:7684\:8f93\:5165\:8f93\:51fa", "Subsubsection",
 CellChangeTimes->{{3.44889189796875*^9, 3.44889193159375*^9}, {
   3.540960825703125*^9, 3.540960826734375*^9}, 
   3.540962419046875*^9},ExpressionUUID->"1013a2c4-bd72-4133-a404-\
d9ca97ba81e9"],

Cell[BoxData[{
 RowBox[{
  ButtonBox["Import",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Import"], "[", 
  RowBox[{
  "\"\<\!\(\*StyleBox[\"filename\", \"TI\"]\)\>\"", ",", "\"\<Table\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  ButtonBox["Export",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Export"], "[", 
  RowBox[{"\"\<\!\(\*StyleBox[\"filename\", \"TI\"]\)\>\"", ",", 
   StyleBox["list", "TI"], ",", "\"\<Table\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.44889338946875*^9, 3.44889340453125*^9}, 
   3.448893773109375*^9, {3.4488938919375*^9, 3.44889389315625*^9}, {
   3.44889395803125*^9, 3.44889395971875*^9}, {3.540960854375*^9, 
   3.540960879125*^9}, {3.54096091971875*^9, 3.540960921859375*^9}, {
   3.540961047578125*^9, 3.54096106478125*^9}, {3.5409610979375*^9, 
   3.540961101515625*^9}},ExpressionUUID->"30a943cb-7ebe-4fdd-b5bf-\
00c3a3ed737c"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<matrix.txt\>\"", ",", 
   RowBox[{"HilbertMatrix", "[", "3", "]"}], ",", "\"\<Table\>\""}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.448932823890625*^9, 3.4489329088125*^9}, {
  3.448932973890625*^9, 3.448932974421875*^9}, {3.4489330170625*^9, 
  3.448933021171875*^9}, {3.44893306809375*^9, 3.448933105203125*^9}, {
  3.448933227625*^9, 3.44893322846875*^9}, {3.44893327178125*^9, 
  3.448933291078125*^9}, {3.540961109359375*^9, 3.540961110984375*^9}, {
  3.5409611434375*^9, 3.5409611465*^9}},
 CellLabel->"In[61]:=",ExpressionUUID->"f3f5e85f-3a89-4237-a54f-cc1b87076478"],

Cell[BoxData["\<\"matrix.txt\"\>"], "Output",
 CellChangeTimes->{3.811566209167944*^9},
 CellLabel->"Out[61]=",ExpressionUUID->"eba0ee27-eff9-446d-b081-9763f2d713a4"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Import", "[", 
  RowBox[{"\"\<matrix.txt\>\"", ",", "\"\<Table\>\""}], "]"}]], "Input",
 CellChangeTimes->{{3.448932935859375*^9, 3.44893294465625*^9}, {
  3.4489330953125*^9, 3.4489331413125*^9}, {3.448933234484375*^9, 
  3.448933300125*^9}, {3.448933346203125*^9, 3.448933352453125*^9}, {
  3.540961190578125*^9, 
  3.54096119809375*^9}},ExpressionUUID->"3b0a6d80-68d5-41ca-b4d3-\
de1e5ce409d9"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\:77e9\:9635\:5206\:91cf\:7684\:64cd\:4f5c", "Subsubsection",
 CellChangeTimes->{{3.44889189796875*^9, 3.448891901125*^9}, {
   3.448891938984375*^9, 3.448891941125*^9}, {3.448892004515625*^9, 
   3.448892007734375*^9}, {3.4488920415625*^9, 3.44889205959375*^9}, {
   3.5409624078125*^9, 3.5409624089375*^9}, 3.540963061421875*^9, {
   3.5409631069375*^9, 
   3.540963107546875*^9}},ExpressionUUID->"5a5b3c05-3754-4bfa-98e4-\
d9216647d263"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   StyleBox["A", "TI"], "[", 
   RowBox[{"[", 
    StyleBox[
     RowBox[{"i", ",", "j"}], "TI"], "]"}], "]"}], "\:6216", 
  RowBox[{
   ButtonBox["Part",
    BaseStyle->"Link",
    ButtonData->"paclet:ref/Part"], "[", 
   StyleBox[
    RowBox[{"A", ",", "i", ",", "j"}], "TI"], "]"}]}], "\n", 
 ButtonBox[
  RowBox[{"Take", "[", 
   StyleBox[
    RowBox[{"A", ",", "i", ",", "j"}], "TI"], "]"}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Take"], "\n", 
 ButtonBox[
  RowBox[{"Drop", "[", 
   StyleBox[
    RowBox[{"A", ",", "i", ",", "j"}], "TI"], "]"}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Drop"], "\n", 
 ButtonBox[
  RowBox[{"Diagonal", "[", 
   StyleBox["A", "TI"], "]"}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Diagonal"], "\[IndentingNewLine]", 
 ButtonBox[
  RowBox[{"LowerTriangularize", "[", 
   StyleBox["A", "TI"], "]"}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/LowerTriangularize"], "\n", 
 ButtonBox[
  RowBox[{"UpperTriangularize", "[", 
   StyleBox["A", "TI"], "]"}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/UpperTriangularize"]}], "Input",
 CellChangeTimes->{{3.54105873515625*^9, 3.541058803484375*^9}, {
   3.541058866484375*^9, 3.54105887459375*^9}, 3.54105891725*^9, {
   3.541059726984375*^9, 3.5410597305*^9}, {3.541060678578125*^9, 
   3.541060760609375*^9}, {3.541061674296875*^9, 3.541061683765625*^9}, {
   3.54106257884375*^9, 
   3.541062581578125*^9}},ExpressionUUID->"5745d85e-b2c0-45e1-b4bc-\
1ac4266a31bb"],

Cell[TextData[{
 Cell[BoxData[
  RowBox[{"a", "\[LeftDoubleBracket]", 
   RowBox[{"i", ",", "j"}], "\[RightDoubleBracket]"}]],
  FontColor->GrayLevel[0],ExpressionUUID->
  "67e02e12-2e1f-45d3-8187-4a3ba53efa30"],
 StyleBox["\:53ef\:7528\:6765\:8bfb\:53d6\:77e9\:9635\:5206\:91cf\:ff0c\:6216\
\:5bf9\:77e9\:9635\:5206\:91cf\:8d4b\:503c\:3002",
  FontColor->GrayLevel[0]],
 "Part\:662f\:552f\:4e00\:53ef\:5bf9\:77e9\:9635\:5206\:91cf\:8d4b\:503c\:7684\
\:51fd\:6570\:3002"
}], "Text",
 CellChangeTimes->{{3.54105892403125*^9, 3.541058972625*^9}, {
  3.541059599828125*^9, 3.541059691625*^9}},
 FontColor->RGBColor[
  1, 0, 0],ExpressionUUID->"1f36f357-631d-4176-9900-cc1cfe1388a9"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"a", "=", 
   RowBox[{"IdentityMatrix", "[", "3", "]"}]}], ";", 
  RowBox[{
   RowBox[{"a", "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "2"}], "]"}], "]"}], "=", "8"}], ";", "a"}]], "Input",
 CellChangeTimes->{{3.44889502553125*^9, 3.44889503796875*^9}, {
   3.4488968740625*^9, 3.448896877609375*^9}, 3.44892084728125*^9, {
   3.54105899753125*^9, 3.541059031109375*^9}, {3.54105912590625*^9, 
   3.541059127*^9}, {3.8115683272561207`*^9, 3.811568343252612*^9}},
 CellLabel->"In[82]:=",ExpressionUUID->"bcc0f912-dea5-4ad3-9a84-9e7418cf9f17"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "8", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.8115683227881536`*^9, 3.8115683437831936`*^9}},
 CellLabel->"Out[82]=",ExpressionUUID->"6e4c81ff-c4f2-43c4-a128-a286d8eb3311"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", "1", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}], "//", "MatrixForm"}]],\
 "Input",
 CellChangeTimes->{{3.811567185073535*^9, 3.8115671923686132`*^9}},
 CellLabel->"In[63]:=",ExpressionUUID->"ed4076f8-499a-46c5-86de-faa079ea6299"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "1", "0"},
     {"0", "1", "0"},
     {"0", "0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.811567192883913*^9},
 CellLabel->
  "Out[63]//MatrixForm=",ExpressionUUID->"0348792d-847c-481c-adf1-\
a2192548dec0"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Part", "[", 
    RowBox[{"a", ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2"}], "}"}]}], "]"}], "=", "1"}], ";", 
  "a"}]], "Input",
 CellChangeTimes->{{3.5410590915*^9, 3.5410591055625*^9}, 3.54105984553125*^9},
 CellLabel->"In[65]:=",ExpressionUUID->"d9dc0fee-80ec-4ea0-87e0-5311914c03f0"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", "1", ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}]], "Output",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{
  3.541059106265625*^9, 3.54105984553125*^9, {3.811567231031152*^9, 
   3.811567234639674*^9}},
 CellLabel->"Out[65]=",ExpressionUUID->"1292aef6-dfb8-4cc0-a998-c81c72e7e99b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", "1", ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}]], "Output",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{3.541059106265625*^9, 3.54105984553125*^9, 
  3.811567231031152*^9},
 CellLabel->"Out[64]=",ExpressionUUID->"352473cc-9b5c-4e54-b257-18d4f4de5e10"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", "1", ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}]], "Output",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{3.541059106265625*^9, 
  3.54105984553125*^9},ExpressionUUID->"e19540d9-7cbc-439d-ad9f-78708ac644db"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"a", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"10", "i"}], "+", "j"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "9"}], "}"}]}], "]"}]}], ";", 
  RowBox[{"a", "//", "MatrixForm"}]}]], "Input",
 CellChangeTimes->{{3.44893187728125*^9, 3.448931885234375*^9}, {
   3.5410599308125*^9, 3.541059934703125*^9}, {3.54105996771875*^9, 
   3.54105998871875*^9}, {3.541060053265625*^9, 3.5410600543125*^9}, {
   3.541060187296875*^9, 3.5410602010625*^9}, {3.541060238109375*^9, 
   3.54106024828125*^9}, {3.541060289796875*^9, 3.5410602905*^9}, {
   3.54106033834375*^9, 3.5410603535*^9}, {3.5410604364375*^9, 
   3.541060443203125*^9}, 3.541061735390625*^9},
 CellLabel->"In[66]:=",ExpressionUUID->"29a6bf95-146b-4147-a15f-e8d3e91a0a69"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"11", "12", "13", "14", "15", "16", "17", "18", "19"},
     {"21", "22", "23", "24", "25", "26", "27", "28", "29"},
     {"31", "32", "33", "34", "35", "36", "37", "38", "39"},
     {"41", "42", "43", "44", "45", "46", "47", "48", "49"},
     {"51", "52", "53", "54", "55", "56", "57", "58", "59"},
     {"61", "62", "63", "64", "65", "66", "67", "68", "69"},
     {"71", "72", "73", "74", "75", "76", "77", "78", "79"},
     {"81", "82", "83", "84", "85", "86", "87", "88", "89"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8115672394666605`*^9},
 CellLabel->
  "Out[66]//MatrixForm=",ExpressionUUID->"c86e1aa6-77c9-4227-b217-\
c28280188d21"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"a", "\[LeftDoubleBracket]", 
   RowBox[{
    RowBox[{"1", ";;", "8", ";;", "4"}], ",", 
    RowBox[{"1", ";;", "9", ";;", "3"}]}], "\[RightDoubleBracket]"}], "//", 
  "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.54106002846875*^9, 3.541060132125*^9}, {
  3.541060256390625*^9, 3.541060274671875*^9}, {3.5410603215*^9, 
  3.541060326984375*^9}, {3.541060449625*^9, 3.54106051559375*^9}, {
  3.541061740953125*^9, 3.54106176003125*^9}},
 CellLabel->"In[67]:=",ExpressionUUID->"ff4ce55f-10be-4584-bb16-f0ffc05b7bfc"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"11", "14", "17"},
     {"51", "54", "57"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.811567245434*^9},
 CellLabel->
  "Out[67]//MatrixForm=",ExpressionUUID->"adfdd485-770e-413a-8eed-\
b23a9a6c8b31"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Take", "[", 
   RowBox[{"a", ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "8", ",", "4"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "9", ",", "3"}], "}"}]}], "]"}], "//", 
  "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.541060852*^9, 3.54106085425*^9}, {3.541061769046875*^9, 
  3.5410617691875*^9}},
 CellLabel->"In[68]:=",ExpressionUUID->"ca8f811d-c395-4c1e-9a00-e3fcdaab8f24"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"11", "14", "17"},
     {"51", "54", "57"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.81156733474103*^9},
 CellLabel->
  "Out[68]//MatrixForm=",ExpressionUUID->"0cc42966-d04b-472e-8d49-\
34978f23331c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Drop", "[", 
   RowBox[{"a", ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "8", ",", "4"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "9", ",", "3"}], "}"}]}], "]"}], "//", 
  "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.54106171334375*^9, 3.541061715171875*^9}, {
  3.54106177434375*^9, 3.541061774578125*^9}},
 CellLabel->"In[69]:=",ExpressionUUID->"7c6133e9-5808-471e-b604-3674bfaa0fa9"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"22", "23", "25", "26", "28", "29"},
     {"32", "33", "35", "36", "38", "39"},
     {"42", "43", "45", "46", "48", "49"},
     {"62", "63", "65", "66", "68", "69"},
     {"72", "73", "75", "76", "78", "79"},
     {"82", "83", "85", "86", "88", "89"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.811567338646356*^9},
 CellLabel->
  "Out[69]//MatrixForm=",ExpressionUUID->"a40440ad-1a1d-4296-b2ce-\
4d09887243ca"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"a", "\[LeftDoubleBracket]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", "8", ",", "4"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "9", ",", "3"}], "}"}]}], "\[RightDoubleBracket]"}], "//",
   "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.4489317918125*^9, 3.44893181065625*^9}, {
  3.448931855421875*^9, 3.44893194215625*^9}, {3.448931980796875*^9, 
  3.448931986046875*^9}, {3.54105993671875*^9, 3.541060000140625*^9}, {
  3.541060367375*^9, 3.541060380171875*^9}, {3.541061087390625*^9, 
  3.54106109828125*^9}, {3.5410616136875*^9, 3.541061625875*^9}, {
  3.541061884109375*^9, 3.54106193390625*^9}, {3.541061966546875*^9, 
  3.54106198421875*^9}},
 CellLabel->"In[70]:=",ExpressionUUID->"5706ae38-f68b-4f99-8da8-a88c3e8059d5"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"11", "19", "13"},
     {"81", "89", "83"},
     {"41", "49", "43"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8115673437076607`*^9},
 CellLabel->
  "Out[70]//MatrixForm=",ExpressionUUID->"b26e6338-4abd-42e7-9e3a-\
ef051beb567b"]
}, Open  ]],

Cell["\:6ce8\:610f\:ff1a\:77e9\:9635\:5206\:91cf\:6307\:6807\:7684\:4f7f\:7528\
\:3002", "Text",
 CellChangeTimes->{{3.54106078159375*^9, 3.54106081571875*^9}},
 FontColor->RGBColor[
  1, 0, 0],ExpressionUUID->"1023c296-2813-4ee0-bb05-7355736fcc38"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Diagonal", "[", "a", "]"}]], "Input",
 CellChangeTimes->{{3.448928171015625*^9, 3.448928203140625*^9}, {
  3.5410603965*^9, 3.54106039996875*^9}, {3.541060717609375*^9, 
  3.5410607276875*^9}},
 CellLabel->"In[71]:=",ExpressionUUID->"cc3d4424-bd85-4ff5-a235-863eec4e1cba"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "11", ",", "22", ",", "33", ",", "44", ",", "55", ",", "66", ",", "77", ",",
    "88"}], "}"}]], "Output",
 CellChangeTimes->{3.811567632764998*^9},
 CellLabel->"Out[71]=",ExpressionUUID->"01c08a28-7431-4460-b6ea-9e22f08d1c9b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"LowerTriangularize", "[", "a", "]"}], "//", 
  "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.54106041628125*^9, 3.541060417390625*^9}},
 CellLabel->"In[72]:=",ExpressionUUID->"08347245-58b4-4edf-9ea4-f9edd3427588"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"11", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"21", "22", "0", "0", "0", "0", "0", "0", "0"},
     {"31", "32", "33", "0", "0", "0", "0", "0", "0"},
     {"41", "42", "43", "44", "0", "0", "0", "0", "0"},
     {"51", "52", "53", "54", "55", "0", "0", "0", "0"},
     {"61", "62", "63", "64", "65", "66", "0", "0", "0"},
     {"71", "72", "73", "74", "75", "76", "77", "0", "0"},
     {"81", "82", "83", "84", "85", "86", "87", "88", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8115676371858287`*^9},
 CellLabel->
  "Out[72]//MatrixForm=",ExpressionUUID->"1cd5d377-540f-4997-af33-\
d94ebfde8ad2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"UpperTriangularize", "[", "a", "]"}], "//", 
  "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.448928117546875*^9, 3.448928120484375*^9}, {
  3.541060422140625*^9, 3.5410604223125*^9}},
 CellLabel->"In[73]:=",ExpressionUUID->"350d6891-4245-47ab-9364-ed0841d609a0"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"11", "12", "13", "14", "15", "16", "17", "18", "19"},
     {"0", "22", "23", "24", "25", "26", "27", "28", "29"},
     {"0", "0", "33", "34", "35", "36", "37", "38", "39"},
     {"0", "0", "0", "44", "45", "46", "47", "48", "49"},
     {"0", "0", "0", "0", "55", "56", "57", "58", "59"},
     {"0", "0", "0", "0", "0", "66", "67", "68", "69"},
     {"0", "0", "0", "0", "0", "0", "77", "78", "79"},
     {"0", "0", "0", "0", "0", "0", "0", "88", "89"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.811567640872486*^9},
 CellLabel->
  "Out[73]//MatrixForm=",ExpressionUUID->"a4a85596-5707-42d0-960c-\
92a660d3b57f"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\:77e9\:9635\:548c\:5411\:91cf\:7684\:76f8\:4e92\:8f6c\:5316", \
"Subsubsection",
 CellChangeTimes->{{3.44889189796875*^9, 3.448891901125*^9}, {
   3.448891938984375*^9, 3.448891941125*^9}, {3.448892004515625*^9, 
   3.448892007734375*^9}, {3.4488920415625*^9, 3.44889205959375*^9}, {
   3.5409624078125*^9, 3.5409624089375*^9}, 3.540963061421875*^9, {
   3.5409631069375*^9, 3.540963107546875*^9}, {3.54105918271875*^9, 
   3.541059190375*^9}, {3.541062637296875*^9, 
   3.541062685609375*^9}},ExpressionUUID->"85865d47-aedb-4fae-8096-\
a0e14070a794"],

Cell[BoxData[{
 RowBox[{
  ButtonBox["Flatten",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Flatten"], "[", 
  StyleBox["list", "TI"], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  ButtonBox["Partition",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Partition"], "[", 
  RowBox[{
   StyleBox["list", "TI"], ",", 
   StyleBox["n", "TI"]}], "]"}]}], "Input",
 CellChangeTimes->{{3.54105925146875*^9, 
  3.541059287203125*^9}},ExpressionUUID->"fb423382-316e-44cc-922a-\
d8237df45bd4"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Flatten", "[", "a", "]"}]], "Input",
 CellChangeTimes->{{3.541059199703125*^9, 3.54105920278125*^9}, {
   3.541059292328125*^9, 3.541059342671875*^9}, {3.5410593939375*^9, 
   3.54105943146875*^9}, 3.541060577859375*^9},
 CellLabel->"In[74]:=",ExpressionUUID->"9e05c7a4-a013-4fc2-83db-4f6d6268e214"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "11", ",", "12", ",", "13", ",", "14", ",", "15", ",", "16", ",", "17", ",",
    "18", ",", "19", ",", "21", ",", "22", ",", "23", ",", "24", ",", "25", 
   ",", "26", ",", "27", ",", "28", ",", "29", ",", "31", ",", "32", ",", 
   "33", ",", "34", ",", "35", ",", "36", ",", "37", ",", "38", ",", "39", 
   ",", "41", ",", "42", ",", "43", ",", "44", ",", "45", ",", "46", ",", 
   "47", ",", "48", ",", "49", ",", "51", ",", "52", ",", "53", ",", "54", 
   ",", "55", ",", "56", ",", "57", ",", "58", ",", "59", ",", "61", ",", 
   "62", ",", "63", ",", "64", ",", "65", ",", "66", ",", "67", ",", "68", 
   ",", "69", ",", "71", ",", "72", ",", "73", ",", "74", ",", "75", ",", 
   "76", ",", "77", ",", "78", ",", "79", ",", "81", ",", "82", ",", "83", 
   ",", "84", ",", "85", ",", "86", ",", "87", ",", "88", ",", "89"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.811567646746071*^9},
 CellLabel->"Out[74]=",ExpressionUUID->"b67586d8-9da4-4fbb-b25f-ea2a73a696b6"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Partition", "[", 
  RowBox[{
   RowBox[{"Range", "[", "12", "]"}], ",", "3"}], "]"}]], "Input",
 CellChangeTimes->{
  3.5410592635625*^9, {3.54105934884375*^9, 3.541059373765625*^9}, {
   3.54105943553125*^9, 3.54105943759375*^9}},
 CellLabel->"In[75]:=",ExpressionUUID->"98857d0f-3fac-457f-97a3-7038c6ec7678"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "2", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", "5", ",", "6"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"7", ",", "8", ",", "9"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"10", ",", "11", ",", "12"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.811567649182995*^9},
 CellLabel->"Out[75]=",ExpressionUUID->"e76858bc-3e51-4edd-881a-0e893772008e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Partition", "[", 
  RowBox[{
   RowBox[{"Range", "[", "12", "]"}], ",", "5"}], "]"}]], "Input",
 CellChangeTimes->{{3.541059470125*^9, 3.541059470296875*^9}},
 CellLabel->"In[76]:=",ExpressionUUID->"bf210d44-811e-4862-aa1f-0762ffb97dbf"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"6", ",", "7", ",", "8", ",", "9", ",", "10"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.811567651713647*^9},
 CellLabel->"Out[76]=",ExpressionUUID->"793665f5-7a39-4f5e-b106-4bf26d683b33"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\:77e9\:9635\:7c7b\:578b\:5224\:522b\:51fd\:6570", "Subsubsection",
 CellChangeTimes->{{3.44889189796875*^9, 3.448891901125*^9}, {
   3.4488919460625*^9, 3.44889194825*^9}, {3.448892010015625*^9, 
   3.448892010140625*^9}, {3.448892043109375*^9, 3.44889204325*^9}, {
   3.541062341890625*^9, 3.541062343078125*^9}, 
   3.54106269534375*^9},ExpressionUUID->"e905d7f1-9f30-4cc9-833d-\
568b0aba8380"],

Cell[BoxData[{
 ButtonBox[
  RowBox[{"Length", "[", 
   StyleBox["expr", "TI"], "]"}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Length"], "\n", 
 ButtonBox[
  RowBox[{"Dimensions", "[", 
   StyleBox["expr", "TI"], "]"}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Dimensions"], "\n", 
 ButtonBox[
  RowBox[{"VectorQ", "[", 
   StyleBox["expr", "TI"], "]"}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/VectorQ"], "\n", 
 ButtonBox[
  RowBox[{"MatrixQ", "[", 
   StyleBox["expr", "TI"], "]"}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/MatrixQ"], "\n", 
 ButtonBox[
  RowBox[{"ArrayQ", "[", 
   StyleBox["expr", "TI"], "]"}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/ArrayQ"], "\n", 
 ButtonBox[
  RowBox[{"HermitianMatrixQ", "[", 
   StyleBox["A", "TI"], "]"}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/HermitianMatrixQ"], "\n", 
 ButtonBox[
  RowBox[{"SymmetricMatrixQ", "[", 
   StyleBox["A", "TI"], "]"}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/SymmetricMatrixQ"], "\n", 
 ButtonBox[
  RowBox[{"PositiveDefiniteMatrixQ", "[", 
   StyleBox["A", "TI"], "]"}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/PositiveDefiniteMatrixQ"]}], "Input",
 CellChangeTimes->{{3.44889461715625*^9, 3.448894632390625*^9}, {
   3.448937367671875*^9, 3.4489373700625*^9}, 
   3.54106219453125*^9},ExpressionUUID->"a3516e86-4f7a-4c30-84a0-\
910545f54e6f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dimensions", "[", 
  RowBox[{"{", 
   RowBox[{"1", ",", "2", ",", "3"}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.541062199109375*^9, 3.541062206921875*^9}},
 CellLabel->"In[77]:=",ExpressionUUID->"333293e7-be0c-44a6-b272-e2c26aa70bac"],

Cell[BoxData[
 RowBox[{"{", "3", "}"}]], "Output",
 CellChangeTimes->{3.811567945862913*^9},
 CellLabel->"Out[77]=",ExpressionUUID->"52610f6f-1b90-43ff-b3f7-80721d786370"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dimensions", "[", 
  RowBox[{"{", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2", ",", "3"}], "}"}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.54106221346875*^9, 3.54106221578125*^9}},
 CellLabel->"In[78]:=",ExpressionUUID->"7202524c-3862-48a4-b057-35457c11067b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", "3"}], "}"}]], "Output",
 CellChangeTimes->{3.8115679498619685`*^9},
 CellLabel->"Out[78]=",ExpressionUUID->"3a9ab26f-b98b-45e0-b036-69e0e9bc82d7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dimensions", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", "1", "}"}], ",", 
    RowBox[{"{", "2", "}"}], ",", 
    RowBox[{"{", "3", "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.541062219671875*^9, 3.54106223134375*^9}},
 CellLabel->"In[79]:=",ExpressionUUID->"7ce8a72c-61ea-46e0-82f3-82c88c5e612c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"3", ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{3.811567956485403*^9},
 CellLabel->"Out[79]=",ExpressionUUID->"e9b55684-73e8-4902-b7f0-f92f39a6100b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"a", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"x", "^", "i"}], "*", 
     RowBox[{"y", "^", "j"}], "*", 
     RowBox[{"z", "^", "k"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "3"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.8115692720972424`*^9, 3.8115693524496403`*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"ea35bc12-3a9c-4561-8187-6e5a2dbe429b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"x", " ", "y", " ", "z"}], ",", 
       RowBox[{"x", " ", "y", " ", 
        SuperscriptBox["z", "2"]}], ",", 
       RowBox[{"x", " ", "y", " ", 
        SuperscriptBox["z", "3"]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"x", " ", 
        SuperscriptBox["y", "2"], " ", "z"}], ",", 
       RowBox[{"x", " ", 
        SuperscriptBox["y", "2"], " ", 
        SuperscriptBox["z", "2"]}], ",", 
       RowBox[{"x", " ", 
        SuperscriptBox["y", "2"], " ", 
        SuperscriptBox["z", "3"]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"x", " ", 
        SuperscriptBox["y", "3"], " ", "z"}], ",", 
       RowBox[{"x", " ", 
        SuperscriptBox["y", "3"], " ", 
        SuperscriptBox["z", "2"]}], ",", 
       RowBox[{"x", " ", 
        SuperscriptBox["y", "3"], " ", 
        SuperscriptBox["z", "3"]}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        SuperscriptBox["x", "2"], " ", "y", " ", "z"}], ",", 
       RowBox[{
        SuperscriptBox["x", "2"], " ", "y", " ", 
        SuperscriptBox["z", "2"]}], ",", 
       RowBox[{
        SuperscriptBox["x", "2"], " ", "y", " ", 
        SuperscriptBox["z", "3"]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        SuperscriptBox["x", "2"], " ", 
        SuperscriptBox["y", "2"], " ", "z"}], ",", 
       RowBox[{
        SuperscriptBox["x", "2"], " ", 
        SuperscriptBox["y", "2"], " ", 
        SuperscriptBox["z", "2"]}], ",", 
       RowBox[{
        SuperscriptBox["x", "2"], " ", 
        SuperscriptBox["y", "2"], " ", 
        SuperscriptBox["z", "3"]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        SuperscriptBox["x", "2"], " ", 
        SuperscriptBox["y", "3"], " ", "z"}], ",", 
       RowBox[{
        SuperscriptBox["x", "2"], " ", 
        SuperscriptBox["y", "3"], " ", 
        SuperscriptBox["z", "2"]}], ",", 
       RowBox[{
        SuperscriptBox["x", "2"], " ", 
        SuperscriptBox["y", "3"], " ", 
        SuperscriptBox["z", "3"]}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        SuperscriptBox["x", "3"], " ", "y", " ", "z"}], ",", 
       RowBox[{
        SuperscriptBox["x", "3"], " ", "y", " ", 
        SuperscriptBox["z", "2"]}], ",", 
       RowBox[{
        SuperscriptBox["x", "3"], " ", "y", " ", 
        SuperscriptBox["z", "3"]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        SuperscriptBox["x", "3"], " ", 
        SuperscriptBox["y", "2"], " ", "z"}], ",", 
       RowBox[{
        SuperscriptBox["x", "3"], " ", 
        SuperscriptBox["y", "2"], " ", 
        SuperscriptBox["z", "2"]}], ",", 
       RowBox[{
        SuperscriptBox["x", "3"], " ", 
        SuperscriptBox["y", "2"], " ", 
        SuperscriptBox["z", "3"]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        SuperscriptBox["x", "3"], " ", 
        SuperscriptBox["y", "3"], " ", "z"}], ",", 
       RowBox[{
        SuperscriptBox["x", "3"], " ", 
        SuperscriptBox["y", "3"], " ", 
        SuperscriptBox["z", "2"]}], ",", 
       RowBox[{
        SuperscriptBox["x", "3"], " ", 
        SuperscriptBox["y", "3"], " ", 
        SuperscriptBox["z", "3"]}]}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.8115693531057587`*^9, 3.8115728797184157`*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"2c12dd99-e8c0-41b4-a81b-8ac16bcab141"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"a", "[", 
  RowBox[{"[", 
   RowBox[{"3", ",", "3", ",", "3", ",", "3", ",", "1"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.8115693552458496`*^9, 3.8115693712270164`*^9}, {
  3.811572752267003*^9, 3.811572842649369*^9}, {3.8115728884195175`*^9, 
  3.8115729192249813`*^9}},
 CellLabel->"In[12]:=",ExpressionUUID->"4f438e32-4499-41cd-9234-c63e0d2ff264"],

Cell[BoxData["z"], "Output",
 CellChangeTimes->{{3.811572821031813*^9, 3.8115728440549765`*^9}, {
  3.8115728818741693`*^9, 3.8115729197714524`*^9}},
 CellLabel->"Out[12]=",ExpressionUUID->"3f223756-31d2-4d08-81da-1a2406dcd21d"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["4.2 \:77e9\:9635\:7684\:57fa\:672c\:8fd0\:7b97", "Subsection",
 CellChangeTimes->{3.448891839265625*^9, 3.54086774374889*^9, 
  3.5408677767273483`*^9},ExpressionUUID->"7e92dc1a-fcbb-4a68-a652-\
a5d49240d43b"],

Cell[TextData[{
 "\:8054\:673a\:5e2e\:52a9\:ff1a",
 ButtonBox["Basic Matrix Operations\:3001",
  BaseStyle->"Link",
  ButtonData->"paclet:tutorial/BasicMatrixOperations"],
 ButtonBox["Vector Operations",
  BaseStyle->"Link",
  ButtonData->"paclet:tutorial/VectorOperations"]
}], "Text",
 CellChangeTimes->{
  3.5408678626834993`*^9, 3.540867908079579*^9, {3.5408680008529415`*^9, 
   3.5408680048153486`*^9}, {3.540868069243462*^9, 3.540868084843489*^9}, 
   3.5408681316903715`*^9, {3.540868305256276*^9, 3.5408683184538994`*^9}, {
   3.541065425046875*^9, 
   3.54106543175*^9}},ExpressionUUID->"370bc7b1-1bc5-4806-b34e-06097fa01adf"],

Cell[CellGroupData[{

Cell["\:5411\:91cf\:8fd0\:7b97", "Subsubsection",
 CellChangeTimes->{{3.44889189796875*^9, 3.448891901125*^9}, {
  3.448891980265625*^9, 3.44889198396875*^9}, {3.541064997609375*^9, 
  3.541065000828125*^9}, {3.541065053828125*^9, 
  3.5410650554375*^9}},ExpressionUUID->"8a61889b-a534-450a-9ea7-5480d4538c72"],

Cell[BoxData[{
 RowBox[{Cell[TextData[ButtonBox["+",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Plus"]], "InlineFunctionSans",ExpressionUUID->
   "323ebc47-8428-4e0b-980b-9d73313077ca"], ",", Cell[TextData[ButtonBox["-",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Subtract"]], "InlineFunctionSans",ExpressionUUID->
   "d869e7a2-103b-44d4-9182-64beba36ed7a"], ",", Cell[TextData[ButtonBox["*",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Times"]], "InlineFunctionSans",ExpressionUUID->
   "56c4bc76-4a29-4fbe-8e55-eef6bbf4d9d1"], ",", 
  ButtonBox["/",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Divide"], ",", Cell[TextData[ButtonBox["^",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Power"]], "InlineFunctionSans",ExpressionUUID->
   "c7c48412-4cbe-47d6-a78f-e6d1f7769cff"]}], "\[IndentingNewLine]", 
 ButtonBox[
  RowBox[{"Cross", "[", 
   RowBox[{
    StyleBox["u", "TI"], ",", 
    StyleBox["v", "TI"]}], "]"}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Cross"], "\n", 
 ButtonBox[
  RowBox[{"Dot", "[", 
   RowBox[{
    StyleBox["u", "TI"], ",", 
    StyleBox["v", "TI"]}], "]"}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Dot"], "\n", 
 RowBox[{
  ButtonBox["Norm",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Norm"], "[", 
  RowBox[{
   StyleBox["v", "TI"], ",", 
   StyleBox["p", "TI"]}], "]"}], "\[IndentingNewLine]", 
 ButtonBox[
  RowBox[{"Normalize", "[", 
   StyleBox["v", "TI"], "]"}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Normalize"], "\n", 
 ButtonBox[
  RowBox[{
   RowBox[{"Projection", "[", 
    RowBox[{
     StyleBox["u", "TI"], ",", 
     StyleBox["v", "TI"]}], "]"}], " "}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Projection"], "\n", 
 ButtonBox[
  RowBox[{"VectorAngle", "[", 
   RowBox[{
    StyleBox["u", "TI"], ",", 
    StyleBox["v", "TI"]}], "]"}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/VectorAngle"]}], "Input",
 CellChangeTimes->{{3.448895474359375*^9, 3.448895626609375*^9}, {
  3.448895741046875*^9, 3.4488957761875*^9}, {3.44892309546875*^9, 
  3.448923180484375*^9}, {3.448923216828125*^9, 3.448923308046875*^9}, {
  3.5410651105625*^9, 
  3.541065300828125*^9}},ExpressionUUID->"b0cce88d-8822-4512-95dd-\
5d7e1c57e3cc"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Clear", "[", 
   RowBox[{"a", ",", "b", ",", "c", ",", "x", ",", "y", ",", "z"}], "]"}], 
  ";", 
  RowBox[{"u", "=", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c"}], "}"}]}], ";", 
  RowBox[{"v", "=", 
   RowBox[{"{", 
    RowBox[{"x", ",", "y", ",", "z"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.541065536046875*^9, {3.541066047859375*^9, 3.541066071125*^9}, 
   3.54106619034375*^9},
 CellLabel->"In[86]:=",ExpressionUUID->"ac58c4b5-4321-4e7b-bf5b-a4c5ff4d0361"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"u", " ", "v"}]], "Input",
 CellChangeTimes->{{3.54106552140625*^9, 3.54106552290625*^9}},
 CellLabel->"In[87]:=",ExpressionUUID->"d69f093b-08d2-46e1-a98b-527dca1cbfc2"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"a", " ", "x"}], ",", 
   RowBox[{"b", " ", "y"}], ",", 
   RowBox[{"c", " ", "z"}]}], "}"}]], "Output",
 CellChangeTimes->{3.811569489258486*^9},
 CellLabel->"Out[87]=",ExpressionUUID->"10b975a3-8554-442f-9a7f-982f0b088ac4"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"u", "/", "v"}]], "Input",
 CellChangeTimes->{{3.541066231140625*^9, 3.541066231875*^9}, {
  3.811569490914345*^9, 3.8115694917579174`*^9}},
 CellLabel->"In[88]:=",ExpressionUUID->"cd7e38b4-a5a1-4ebc-ab26-18ad76e4b73f"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox["a", "x"], ",", 
   FractionBox["b", "y"], ",", 
   FractionBox["c", "z"]}], "}"}]], "Output",
 CellChangeTimes->{3.8115694921015635`*^9},
 CellLabel->"Out[88]=",ExpressionUUID->"48e8d192-be63-4a3c-983a-f93a208f4699"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"u", ".", "v"}]], "Input",
 CellChangeTimes->{{3.541065533953125*^9, 3.541065537078125*^9}},
 CellLabel->"In[89]:=",ExpressionUUID->"bcfad8a8-1d20-4728-b305-9b54629c4743"],

Cell[BoxData[
 RowBox[{
  RowBox[{"a", " ", "x"}], "+", 
  RowBox[{"b", " ", "y"}], "+", 
  RowBox[{"c", " ", "z"}]}]], "Output",
 CellChangeTimes->{3.8115694972253532`*^9},
 CellLabel->"Out[89]=",ExpressionUUID->"d6b4c6e2-a012-44a7-aebe-4f29e38c7007"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"u", "\[Cross]", "v"}]], "Input",
 CellLabel->"In[90]:=",ExpressionUUID->"6728819e-dab3-4b42-85df-c62d4eef31e2"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"-", "c"}], " ", "y"}], "+", 
    RowBox[{"b", " ", "z"}]}], ",", 
   RowBox[{
    RowBox[{"c", " ", "x"}], "-", 
    RowBox[{"a", " ", "z"}]}], ",", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "b"}], " ", "x"}], "+", 
    RowBox[{"a", " ", "y"}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.8115694986468925`*^9},
 CellLabel->"Out[90]=",ExpressionUUID->"fef44f7a-b50d-4840-81d9-5f29a55e96dc"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Norm", "[", "u", "]"}]], "Input",
 CellLabel->"In[91]:=",ExpressionUUID->"49296de3-a653-4b79-9293-a37988b40a8d"],

Cell[BoxData[
 SqrtBox[
  RowBox[{
   SuperscriptBox[
    RowBox[{"Abs", "[", "a", "]"}], "2"], "+", 
   SuperscriptBox[
    RowBox[{"Abs", "[", "b", "]"}], "2"], "+", 
   SuperscriptBox[
    RowBox[{"Abs", "[", "c", "]"}], "2"]}]]], "Output",
 CellChangeTimes->{3.8115694998810062`*^9},
 CellLabel->"Out[91]=",ExpressionUUID->"f6b13db9-6db2-4a94-9990-2d6f57108eb7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Normalize", "[", "u", "]"}]], "Input",
 CellLabel->"In[92]:=",ExpressionUUID->"b13b4131-feb3-46a1-908a-16a86c59ac4c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox["a", 
    SqrtBox[
     RowBox[{
      SuperscriptBox[
       RowBox[{"Abs", "[", "a", "]"}], "2"], "+", 
      SuperscriptBox[
       RowBox[{"Abs", "[", "b", "]"}], "2"], "+", 
      SuperscriptBox[
       RowBox[{"Abs", "[", "c", "]"}], "2"]}]]], ",", 
   FractionBox["b", 
    SqrtBox[
     RowBox[{
      SuperscriptBox[
       RowBox[{"Abs", "[", "a", "]"}], "2"], "+", 
      SuperscriptBox[
       RowBox[{"Abs", "[", "b", "]"}], "2"], "+", 
      SuperscriptBox[
       RowBox[{"Abs", "[", "c", "]"}], "2"]}]]], ",", 
   FractionBox["c", 
    SqrtBox[
     RowBox[{
      SuperscriptBox[
       RowBox[{"Abs", "[", "a", "]"}], "2"], "+", 
      SuperscriptBox[
       RowBox[{"Abs", "[", "b", "]"}], "2"], "+", 
      SuperscriptBox[
       RowBox[{"Abs", "[", "c", "]"}], "2"]}]]]}], "}"}]], "Output",
 CellChangeTimes->{3.8115695018180184`*^9},
 CellLabel->"Out[92]=",ExpressionUUID->"ddbf665e-2be4-4e8b-b544-f72ac421ec3c"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\:77e9\:9635\:8fd0\:7b97", "Subsubsection",
 CellChangeTimes->{{3.44889189796875*^9, 3.448891901125*^9}, {
  3.448891980265625*^9, 3.44889198396875*^9}, {3.541064997609375*^9, 
  3.541065000828125*^9}, {3.54106506159375*^9, 
  3.54106506225*^9}},ExpressionUUID->"5c1a81e6-03a2-4e58-85a1-20acd15b432e"],

Cell[BoxData[{
 RowBox[{Cell[TextData[ButtonBox["+",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Plus"]], "InlineFunctionSans",ExpressionUUID->
   "f1519780-6486-4b60-8677-5ce06631b983"], ",", Cell[TextData[ButtonBox["-",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Subtract"]], "InlineFunctionSans",ExpressionUUID->
   "c3587d3a-a068-45f2-88e1-f3c180944f5a"], ",", Cell[TextData[ButtonBox["*",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Times"]], "InlineFunctionSans",ExpressionUUID->
   "123d5c9f-fcbe-4abd-9906-a6016463c723"], ",", 
  ButtonBox["/",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Divide"], ",", Cell[TextData[ButtonBox["^",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Power"]], "InlineFunctionSans",ExpressionUUID->
   "1addd20b-386d-4e77-b496-9dd0e021589f"]}], "\n", 
 ButtonBox[
  RowBox[{"Transpose", "[", 
   StyleBox["A", "TI"], "]"}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Transpose"], "\n", 
 ButtonBox[
  RowBox[{"ConjugateTranspose", "[", 
   StyleBox["A", "TI"], "]"}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/ConjugateTranspose"], "\[IndentingNewLine]", 
 ButtonBox[
  RowBox[{"Det", "[", 
   StyleBox["A", "TI"], "]"}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Det"], "\n", 
 ButtonBox[
  RowBox[{
   ButtonBox[
    RowBox[{"Inverse", "[", 
     StyleBox["A", "TI"], "]"}],
    BaseStyle->"Link",
    ButtonData->"paclet:ref/Inverse"], "\n", 
   RowBox[{"Minors", "[", 
    RowBox[{
     StyleBox["A", "TI"], ",", 
     StyleBox["k", "TI"]}], "]"}]}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Minors"], "\n", 
 ButtonBox[
  RowBox[{"MatrixPower", "[", 
   RowBox[{
    StyleBox["A", "TI"], ",", 
    StyleBox["n", "TI"]}], "]"}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/MatrixPower"], "\n", 
 ButtonBox[
  RowBox[{"MatrixExp", "[", 
   StyleBox["A", "TI"], "]"}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/MatrixExp"], "\n", 
 ButtonBox[
  RowBox[{"MatrixRank", "[", 
   StyleBox["A", "TI"], "]"}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/MatrixRank"], "\n", 
 ButtonBox[
  RowBox[{"Norm", "[", 
   RowBox[{
    StyleBox["A", "TI"], ",", 
    StyleBox["p", "TI"]}], "]"}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Norm"], "\[IndentingNewLine]", 
 ButtonBox[
  RowBox[{"Tr", "[", 
   StyleBox["A", "TI"], "]"}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Tr"]}], "Input",
 CellChangeTimes->{{3.448895474359375*^9, 3.448895626609375*^9}, {
   3.448895741046875*^9, 3.4488957761875*^9}, {3.44892309546875*^9, 
   3.448923180484375*^9}, {3.448923216828125*^9, 3.448923308046875*^9}, {
   3.541066265671875*^9, 3.541066292078125*^9}, 3.54106633421875*^9, {
   3.54106637571875*^9, 3.54106638028125*^9}, {3.541066443859375*^9, 
   3.54106646984375*^9}, 3.5411210020625*^9, {3.541121042609375*^9, 
   3.541121069953125*^9}},ExpressionUUID->"bee6da6d-4965-492f-ae60-\
6b81b62a61c4"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"n", "=", "3"}], ";", 
  RowBox[{"Clear", "[", 
   RowBox[{"x", ",", "y", ",", "z"}], "]"}], ";", 
  RowBox[{"a", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     SubscriptBox["\"\<a\>\"", 
      RowBox[{"i", ",", "j"}]], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "n"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "n"}], "}"}]}], "]"}]}], ";", 
  RowBox[{"b", "=", 
   RowBox[{"{", 
    RowBox[{"x", ",", "y", ",", "z"}], "}"}]}], ";", 
  RowBox[{"MatrixForm", "/@", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b"}], "}"}]}]}]], "Input",
 CellChangeTimes->{{3.541066543390625*^9, 3.5410666979375*^9}, {
  3.541066731953125*^9, 3.541066805125*^9}, {3.5410668555*^9, 
  3.541066930875*^9}, {3.5410670825*^9, 3.54106708325*^9}, {
  3.5410671916875*^9, 3.541067217015625*^9}, {3.541067508046875*^9, 
  3.54106757575*^9}, {3.5410676951875*^9, 3.541067709453125*^9}, {
  3.5410684389375*^9, 3.541068452046875*^9}, {3.541068497140625*^9, 
  3.54106851009375*^9}, {3.541068552046875*^9, 3.541068587546875*^9}, {
  3.541068719984375*^9, 3.5410687305625*^9}},
 CellLabel->"In[93]:=",ExpressionUUID->"42eb3d99-3fd0-466c-a35c-f5f3573b3d23"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"1", ",", "1"}]], 
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"1", ",", "2"}]], 
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"1", ",", "3"}]]},
       {
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"2", ",", "1"}]], 
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"2", ",", "2"}]], 
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"2", ",", "3"}]]},
       {
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"3", ",", "1"}]], 
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"3", ",", "2"}]], 
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"3", ",", "3"}]]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], ",", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", 
     TagBox[GridBox[{
        {"x"},
        {"y"},
        {"z"}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.5599999999999999]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      Column], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}], "}"}]], "Output",
 CellChangeTimes->{3.811569799169305*^9},
 CellLabel->"Out[93]=",ExpressionUUID->"a9511c96-860e-4000-9304-714b4d929da7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"a", ".", "b"}], "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.5410672963125*^9, 3.541067301984375*^9}, {
  3.541068422109375*^9, 3.54106845646875*^9}, {3.54106863821875*^9, 
  3.541068640484375*^9}},
 CellLabel->"In[94]:=",ExpressionUUID->"244d4a93-1c13-47e6-bb5c-376190213045"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{
        RowBox[{"x", " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "1"}]]}], "+", 
        RowBox[{"y", " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "2"}]]}], "+", 
        RowBox[{"z", " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "3"}]]}]}]},
      {
       RowBox[{
        RowBox[{"x", " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "1"}]]}], "+", 
        RowBox[{"y", " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "2"}]]}], "+", 
        RowBox[{"z", " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "3"}]]}]}]},
      {
       RowBox[{
        RowBox[{"x", " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "1"}]]}], "+", 
        RowBox[{"y", " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "2"}]]}], "+", 
        RowBox[{"z", " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "3"}]]}]}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8115698035901346`*^9},
 CellLabel->
  "Out[94]//MatrixForm=",ExpressionUUID->"6a137094-0018-4d53-ba5b-\
34671fbef0aa"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"a", "*", "b"}], "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.54106730371875*^9, 3.541067345390625*^9}},
 CellLabel->"In[95]:=",ExpressionUUID->"a66f8f6b-babc-44c8-b931-6f5fdb1d19ff"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"x", " ", 
       SubscriptBox["\<\"a\"\>", 
        RowBox[{"1", ",", "1"}]]}], 
      RowBox[{"x", " ", 
       SubscriptBox["\<\"a\"\>", 
        RowBox[{"1", ",", "2"}]]}], 
      RowBox[{"x", " ", 
       SubscriptBox["\<\"a\"\>", 
        RowBox[{"1", ",", "3"}]]}]},
     {
      RowBox[{"y", " ", 
       SubscriptBox["\<\"a\"\>", 
        RowBox[{"2", ",", "1"}]]}], 
      RowBox[{"y", " ", 
       SubscriptBox["\<\"a\"\>", 
        RowBox[{"2", ",", "2"}]]}], 
      RowBox[{"y", " ", 
       SubscriptBox["\<\"a\"\>", 
        RowBox[{"2", ",", "3"}]]}]},
     {
      RowBox[{"z", " ", 
       SubscriptBox["\<\"a\"\>", 
        RowBox[{"3", ",", "1"}]]}], 
      RowBox[{"z", " ", 
       SubscriptBox["\<\"a\"\>", 
        RowBox[{"3", ",", "2"}]]}], 
      RowBox[{"z", " ", 
       SubscriptBox["\<\"a\"\>", 
        RowBox[{"3", ",", "3"}]]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8115698049960537`*^9},
 CellLabel->
  "Out[95]//MatrixForm=",ExpressionUUID->"105e4d74-709f-4186-8a04-\
b4f881777dc2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Det", "[", "a", "]"}]], "Input",
 CellChangeTimes->{{3.541066943546875*^9, 3.54106694521875*^9}},
 CellLabel->"In[96]:=",ExpressionUUID->"68395eb1-c8c1-4ce6-8174-90613289436b"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", 
    SubscriptBox["\<\"a\"\>", 
     RowBox[{"1", ",", "3"}]]}], " ", 
   SubscriptBox["\<\"a\"\>", 
    RowBox[{"2", ",", "2"}]], " ", 
   SubscriptBox["\<\"a\"\>", 
    RowBox[{"3", ",", "1"}]]}], "+", 
  RowBox[{
   SubscriptBox["\<\"a\"\>", 
    RowBox[{"1", ",", "2"}]], " ", 
   SubscriptBox["\<\"a\"\>", 
    RowBox[{"2", ",", "3"}]], " ", 
   SubscriptBox["\<\"a\"\>", 
    RowBox[{"3", ",", "1"}]]}], "+", 
  RowBox[{
   SubscriptBox["\<\"a\"\>", 
    RowBox[{"1", ",", "3"}]], " ", 
   SubscriptBox["\<\"a\"\>", 
    RowBox[{"2", ",", "1"}]], " ", 
   SubscriptBox["\<\"a\"\>", 
    RowBox[{"3", ",", "2"}]]}], "-", 
  RowBox[{
   SubscriptBox["\<\"a\"\>", 
    RowBox[{"1", ",", "1"}]], " ", 
   SubscriptBox["\<\"a\"\>", 
    RowBox[{"2", ",", "3"}]], " ", 
   SubscriptBox["\<\"a\"\>", 
    RowBox[{"3", ",", "2"}]]}], "-", 
  RowBox[{
   SubscriptBox["\<\"a\"\>", 
    RowBox[{"1", ",", "2"}]], " ", 
   SubscriptBox["\<\"a\"\>", 
    RowBox[{"2", ",", "1"}]], " ", 
   SubscriptBox["\<\"a\"\>", 
    RowBox[{"3", ",", "3"}]]}], "+", 
  RowBox[{
   SubscriptBox["\<\"a\"\>", 
    RowBox[{"1", ",", "1"}]], " ", 
   SubscriptBox["\<\"a\"\>", 
    RowBox[{"2", ",", "2"}]], " ", 
   SubscriptBox["\<\"a\"\>", 
    RowBox[{"3", ",", "3"}]]}]}]], "Output",
 CellChangeTimes->{3.8115699495556555`*^9},
 CellLabel->"Out[96]=",ExpressionUUID->"b643e332-6a93-4a82-9c5a-e4b740d3e044"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Inverse", "[", "a", "]"}], "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.541066949421875*^9, 3.54106695628125*^9}},
 CellLabel->"In[97]:=",ExpressionUUID->"5b0bf7b1-5eba-459e-8f55-c02b9e68d91b"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox[
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          SubscriptBox["\<\"a\"\>", 
           RowBox[{"2", ",", "3"}]]}], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "2"}]]}], "+", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "2"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "3"}]]}]}], 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          SubscriptBox["\<\"a\"\>", 
           RowBox[{"1", ",", "3"}]]}], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "2"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "1"}]]}], "+", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "2"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "3"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "1"}]]}], "+", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "3"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "1"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "2"}]]}], "-", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "1"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "3"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "2"}]]}], "-", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "2"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "1"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "3"}]]}], "+", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "1"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "2"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "3"}]]}]}]], 
      FractionBox[
       RowBox[{
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "3"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "2"}]]}], "-", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "2"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "3"}]]}]}], 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          SubscriptBox["\<\"a\"\>", 
           RowBox[{"1", ",", "3"}]]}], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "2"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "1"}]]}], "+", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "2"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "3"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "1"}]]}], "+", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "3"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "1"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "2"}]]}], "-", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "1"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "3"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "2"}]]}], "-", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "2"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "1"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "3"}]]}], "+", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "1"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "2"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "3"}]]}]}]], 
      FractionBox[
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          SubscriptBox["\<\"a\"\>", 
           RowBox[{"1", ",", "3"}]]}], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "2"}]]}], "+", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "2"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "3"}]]}]}], 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          SubscriptBox["\<\"a\"\>", 
           RowBox[{"1", ",", "3"}]]}], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "2"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "1"}]]}], "+", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "2"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "3"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "1"}]]}], "+", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "3"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "1"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "2"}]]}], "-", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "1"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "3"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "2"}]]}], "-", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "2"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "1"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "3"}]]}], "+", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "1"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "2"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "3"}]]}]}]]},
     {
      FractionBox[
       RowBox[{
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "3"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "1"}]]}], "-", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "1"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "3"}]]}]}], 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          SubscriptBox["\<\"a\"\>", 
           RowBox[{"1", ",", "3"}]]}], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "2"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "1"}]]}], "+", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "2"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "3"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "1"}]]}], "+", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "3"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "1"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "2"}]]}], "-", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "1"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "3"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "2"}]]}], "-", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "2"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "1"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "3"}]]}], "+", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "1"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "2"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "3"}]]}]}]], 
      FractionBox[
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          SubscriptBox["\<\"a\"\>", 
           RowBox[{"1", ",", "3"}]]}], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "1"}]]}], "+", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "1"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "3"}]]}]}], 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          SubscriptBox["\<\"a\"\>", 
           RowBox[{"1", ",", "3"}]]}], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "2"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "1"}]]}], "+", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "2"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "3"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "1"}]]}], "+", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "3"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "1"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "2"}]]}], "-", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "1"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "3"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "2"}]]}], "-", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "2"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "1"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "3"}]]}], "+", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "1"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "2"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "3"}]]}]}]], 
      FractionBox[
       RowBox[{
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "3"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "1"}]]}], "-", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "1"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "3"}]]}]}], 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          SubscriptBox["\<\"a\"\>", 
           RowBox[{"1", ",", "3"}]]}], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "2"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "1"}]]}], "+", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "2"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "3"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "1"}]]}], "+", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "3"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "1"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "2"}]]}], "-", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "1"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "3"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "2"}]]}], "-", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "2"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "1"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "3"}]]}], "+", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "1"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "2"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "3"}]]}]}]]},
     {
      FractionBox[
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          SubscriptBox["\<\"a\"\>", 
           RowBox[{"2", ",", "2"}]]}], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "1"}]]}], "+", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "1"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "2"}]]}]}], 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          SubscriptBox["\<\"a\"\>", 
           RowBox[{"1", ",", "3"}]]}], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "2"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "1"}]]}], "+", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "2"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "3"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "1"}]]}], "+", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "3"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "1"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "2"}]]}], "-", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "1"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "3"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "2"}]]}], "-", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "2"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "1"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "3"}]]}], "+", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "1"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "2"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "3"}]]}]}]], 
      FractionBox[
       RowBox[{
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "2"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "1"}]]}], "-", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "1"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "2"}]]}]}], 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          SubscriptBox["\<\"a\"\>", 
           RowBox[{"1", ",", "3"}]]}], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "2"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "1"}]]}], "+", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "2"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "3"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "1"}]]}], "+", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "3"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "1"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "2"}]]}], "-", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "1"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "3"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "2"}]]}], "-", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "2"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "1"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "3"}]]}], "+", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "1"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "2"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "3"}]]}]}]], 
      FractionBox[
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          SubscriptBox["\<\"a\"\>", 
           RowBox[{"1", ",", "2"}]]}], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "1"}]]}], "+", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "1"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "2"}]]}]}], 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          SubscriptBox["\<\"a\"\>", 
           RowBox[{"1", ",", "3"}]]}], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "2"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "1"}]]}], "+", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "2"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "3"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "1"}]]}], "+", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "3"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "1"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "2"}]]}], "-", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "1"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "3"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "2"}]]}], "-", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "2"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "1"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "3"}]]}], "+", 
        RowBox[{
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"1", ",", "1"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"2", ",", "2"}]], " ", 
         SubscriptBox["\<\"a\"\>", 
          RowBox[{"3", ",", "3"}]]}]}]]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8115699518207455`*^9},
 CellLabel->
  "Out[97]//MatrixForm=",ExpressionUUID->"82a1920c-6f7d-455c-97e5-\
5cae2650abd6"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"MatrixPower", "[", 
   RowBox[{"a", ",", "2"}], "]"}], "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.54106706259375*^9, 3.541067073*^9}},
 CellLabel->"In[98]:=",ExpressionUUID->"b503145f-b931-4c30-b891-5a180dca5f21"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       SubsuperscriptBox["\<\"a\"\>", 
        RowBox[{"1", ",", "1"}], "2"], "+", 
       RowBox[{
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"1", ",", "2"}]], " ", 
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"2", ",", "1"}]]}], "+", 
       RowBox[{
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"1", ",", "3"}]], " ", 
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"3", ",", "1"}]]}]}], 
      RowBox[{
       RowBox[{
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"1", ",", "1"}]], " ", 
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"1", ",", "2"}]]}], "+", 
       RowBox[{
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"1", ",", "2"}]], " ", 
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"2", ",", "2"}]]}], "+", 
       RowBox[{
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"1", ",", "3"}]], " ", 
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"3", ",", "2"}]]}]}], 
      RowBox[{
       RowBox[{
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"1", ",", "1"}]], " ", 
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"1", ",", "3"}]]}], "+", 
       RowBox[{
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"1", ",", "2"}]], " ", 
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"2", ",", "3"}]]}], "+", 
       RowBox[{
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"1", ",", "3"}]], " ", 
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"3", ",", "3"}]]}]}]},
     {
      RowBox[{
       RowBox[{
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"1", ",", "1"}]], " ", 
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"2", ",", "1"}]]}], "+", 
       RowBox[{
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"2", ",", "1"}]], " ", 
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"2", ",", "2"}]]}], "+", 
       RowBox[{
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"2", ",", "3"}]], " ", 
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"3", ",", "1"}]]}]}], 
      RowBox[{
       RowBox[{
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"1", ",", "2"}]], " ", 
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"2", ",", "1"}]]}], "+", 
       SubsuperscriptBox["\<\"a\"\>", 
        RowBox[{"2", ",", "2"}], "2"], "+", 
       RowBox[{
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"2", ",", "3"}]], " ", 
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"3", ",", "2"}]]}]}], 
      RowBox[{
       RowBox[{
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"1", ",", "3"}]], " ", 
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"2", ",", "1"}]]}], "+", 
       RowBox[{
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"2", ",", "2"}]], " ", 
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"2", ",", "3"}]]}], "+", 
       RowBox[{
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"2", ",", "3"}]], " ", 
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"3", ",", "3"}]]}]}]},
     {
      RowBox[{
       RowBox[{
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"1", ",", "1"}]], " ", 
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"3", ",", "1"}]]}], "+", 
       RowBox[{
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"2", ",", "1"}]], " ", 
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"3", ",", "2"}]]}], "+", 
       RowBox[{
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"3", ",", "1"}]], " ", 
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"3", ",", "3"}]]}]}], 
      RowBox[{
       RowBox[{
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"1", ",", "2"}]], " ", 
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"3", ",", "1"}]]}], "+", 
       RowBox[{
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"2", ",", "2"}]], " ", 
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"3", ",", "2"}]]}], "+", 
       RowBox[{
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"3", ",", "2"}]], " ", 
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"3", ",", "3"}]]}]}], 
      RowBox[{
       RowBox[{
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"1", ",", "3"}]], " ", 
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"3", ",", "1"}]]}], "+", 
       RowBox[{
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"2", ",", "3"}]], " ", 
        SubscriptBox["\<\"a\"\>", 
         RowBox[{"3", ",", "2"}]]}], "+", 
       SubsuperscriptBox["\<\"a\"\>", 
        RowBox[{"3", ",", "3"}], "2"]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.81156995749128*^9},
 CellLabel->
  "Out[98]//MatrixForm=",ExpressionUUID->"0eed1b92-ac9d-4969-b62f-\
09d5719af5c4"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"a", "^", "2"}], "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.541067109125*^9, 3.5410671136875*^9}},
 CellLabel->"In[99]:=",ExpressionUUID->"4574da95-cdda-46d6-95ac-b676cb95dbe4"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      SubsuperscriptBox["\<\"a\"\>", 
       RowBox[{"1", ",", "1"}], "2"], 
      SubsuperscriptBox["\<\"a\"\>", 
       RowBox[{"1", ",", "2"}], "2"], 
      SubsuperscriptBox["\<\"a\"\>", 
       RowBox[{"1", ",", "3"}], "2"]},
     {
      SubsuperscriptBox["\<\"a\"\>", 
       RowBox[{"2", ",", "1"}], "2"], 
      SubsuperscriptBox["\<\"a\"\>", 
       RowBox[{"2", ",", "2"}], "2"], 
      SubsuperscriptBox["\<\"a\"\>", 
       RowBox[{"2", ",", "3"}], "2"]},
     {
      SubsuperscriptBox["\<\"a\"\>", 
       RowBox[{"3", ",", "1"}], "2"], 
      SubsuperscriptBox["\<\"a\"\>", 
       RowBox[{"3", ",", "2"}], "2"], 
      SubsuperscriptBox["\<\"a\"\>", 
       RowBox[{"3", ",", "3"}], "2"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8115699614747143`*^9},
 CellLabel->
  "Out[99]//MatrixForm=",ExpressionUUID->"c2f2896b-90b1-4eb5-9f89-\
99fb01c64158"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MatrixRank", "[", "a", "]"}]], "Input",
 CellChangeTimes->{{3.54106718496875*^9, 3.541067189671875*^9}, {
  3.541067378625*^9, 3.541067381890625*^9}},
 CellLabel->
  "In[100]:=",ExpressionUUID->"9be76c0e-665e-475c-9e99-2e32d3666685"],

Cell[BoxData["3"], "Output",
 CellChangeTimes->{3.81156996547377*^9},
 CellLabel->
  "Out[100]=",ExpressionUUID->"102a40db-b4ae-4f39-8302-71f336311ec8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Tr", "[", "a", "]"}]], "Input",
 CellChangeTimes->{{3.541067388546875*^9, 3.541067390125*^9}},
 CellLabel->
  "In[101]:=",ExpressionUUID->"85ebe886-f558-443c-9d9a-741c970bd10c"],

Cell[BoxData[
 RowBox[{
  SubscriptBox["\<\"a\"\>", 
   RowBox[{"1", ",", "1"}]], "+", 
  SubscriptBox["\<\"a\"\>", 
   RowBox[{"2", ",", "2"}]], "+", 
  SubscriptBox["\<\"a\"\>", 
   RowBox[{"3", ",", "3"}]]}]], "Output",
 CellChangeTimes->{3.8115699683793344`*^9},
 CellLabel->
  "Out[101]=",ExpressionUUID->"12b93dfa-a80c-42e4-9534-5847c47005ba"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Norm", "[", 
  RowBox[{"a", ",", "\"\<Frobenius\>\""}], "]"}]], "Input",
 CellChangeTimes->{{3.541067431203125*^9, 3.541067435484375*^9}},
 CellLabel->
  "In[102]:=",ExpressionUUID->"0a3ee563-f4eb-4ec3-900a-2fca297eb0c8"],

Cell[BoxData[
 RowBox[{"\[Sqrt]", 
  RowBox[{"(", 
   RowBox[{
    SuperscriptBox[
     RowBox[{"Abs", "[", 
      SubscriptBox["\<\"a\"\>", 
       RowBox[{"1", ",", "1"}]], "]"}], "2"], "+", 
    SuperscriptBox[
     RowBox[{"Abs", "[", 
      SubscriptBox["\<\"a\"\>", 
       RowBox[{"1", ",", "2"}]], "]"}], "2"], "+", 
    SuperscriptBox[
     RowBox[{"Abs", "[", 
      SubscriptBox["\<\"a\"\>", 
       RowBox[{"1", ",", "3"}]], "]"}], "2"], "+", 
    SuperscriptBox[
     RowBox[{"Abs", "[", 
      SubscriptBox["\<\"a\"\>", 
       RowBox[{"2", ",", "1"}]], "]"}], "2"], "+", 
    SuperscriptBox[
     RowBox[{"Abs", "[", 
      SubscriptBox["\<\"a\"\>", 
       RowBox[{"2", ",", "2"}]], "]"}], "2"], "+", 
    SuperscriptBox[
     RowBox[{"Abs", "[", 
      SubscriptBox["\<\"a\"\>", 
       RowBox[{"2", ",", "3"}]], "]"}], "2"], "+", 
    SuperscriptBox[
     RowBox[{"Abs", "[", 
      SubscriptBox["\<\"a\"\>", 
       RowBox[{"3", ",", "1"}]], "]"}], "2"], "+", 
    SuperscriptBox[
     RowBox[{"Abs", "[", 
      SubscriptBox["\<\"a\"\>", 
       RowBox[{"3", ",", "2"}]], "]"}], "2"], "+", 
    SuperscriptBox[
     RowBox[{"Abs", "[", 
      SubscriptBox["\<\"a\"\>", 
       RowBox[{"3", ",", "3"}]], "]"}], "2"]}], ")"}]}]], "Output",
 CellChangeTimes->{3.8115699706444235`*^9},
 CellLabel->
  "Out[102]=",ExpressionUUID->"83e04975-ca13-4c20-b9e6-9633d97c68fd"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"\:4f8b", ":", 
   RowBox[{"\:8ba1\:7b97n\:9636\:884c\:5217\:5f0f", 
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"x", "1", "\[Placeholder]", "\[Placeholder]"},
       {"1", "x", "\[DescendingEllipsis]", "\[Placeholder]"},
       {"\[Placeholder]", "\[DescendingEllipsis]", "\[DescendingEllipsis]", 
        "1"},
       {"\[Placeholder]", "\[Placeholder]", "1", "x"}
      }], "\[NoBreak]", ")"}]}]}], "\:3002"}]], "Text",
 CellChangeTimes->{{3.448924420484375*^9, 3.44892458834375*^9}, 
   3.448924999140625*^9, {3.541067848890625*^9, 3.541067878609375*^9}, {
   3.541067938765625*^9, 3.54106795278125*^9}, {3.5410680450625*^9, 
   3.541068051421875*^9}, {3.541070199484375*^9, 3.541070208625*^9}, {
   3.811569974675256*^9, 
   3.8115699766901617`*^9}},ExpressionUUID->"ed3aaa50-1384-4d37-995e-\
ceec7cbdda94"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Clear", "[", "x", "]"}], ";", 
  RowBox[{"n", "=", "100"}], ";", 
  RowBox[{"a", "=", 
   RowBox[{"SparseArray", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Band", "[", 
         RowBox[{"{", 
          RowBox[{"1", ",", "1"}], "}"}], "]"}], "\[Rule]", "x"}], ",", 
       RowBox[{
        RowBox[{"Band", "[", 
         RowBox[{"{", 
          RowBox[{"1", ",", "2"}], "}"}], "]"}], "\[Rule]", "1"}], ",", 
       RowBox[{
        RowBox[{"Band", "[", 
         RowBox[{"{", 
          RowBox[{"2", ",", "1"}], "}"}], "]"}], "\[Rule]", "1"}]}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"n", ",", "n"}], "}"}]}], "]"}]}], ";", 
  RowBox[{"Det", "[", "a", "]"}]}]], "Input",
 CellChangeTimes->{{3.4489258228125*^9, 3.44892589109375*^9}, {
  3.44892678028125*^9, 3.44892678828125*^9}, {3.54106788890625*^9, 
  3.541068102640625*^9}, {3.541068133734375*^9, 3.541068231296875*^9}, {
  3.54107021325*^9, 3.541070311046875*^9}},
 CellLabel->
  "In[103]:=",ExpressionUUID->"9cf5e2c2-354e-4ee5-8c8d-9a5ad6c678d5"],

Cell[BoxData[
 RowBox[{"1", "-", 
  RowBox[{"1275", " ", 
   SuperscriptBox["x", "2"]}], "+", 
  RowBox[{"270725", " ", 
   SuperscriptBox["x", "4"]}], "-", 
  RowBox[{"22957480", " ", 
   SuperscriptBox["x", "6"]}], "+", 
  RowBox[{"1040465790", " ", 
   SuperscriptBox["x", "8"]}], "-", 
  RowBox[{"29248649430", " ", 
   SuperscriptBox["x", "10"]}], "+", 
  RowBox[{"558383307300", " ", 
   SuperscriptBox["x", "12"]}], "-", 
  RowBox[{"7694644696200", " ", 
   SuperscriptBox["x", "14"]}], "+", 
  RowBox[{"79960182801345", " ", 
   SuperscriptBox["x", "16"]}], "-", 
  RowBox[{"647520696018735", " ", 
   SuperscriptBox["x", "18"]}], "+", 
  RowBox[{"4191844505805495", " ", 
   SuperscriptBox["x", "20"]}], "-", 
  RowBox[{"22138745874816900", " ", 
   SuperscriptBox["x", "22"]}], "+", 
  RowBox[{"96977332473382725", " ", 
   SuperscriptBox["x", "24"]}], "-", 
  RowBox[{"357174975294274221", " ", 
   SuperscriptBox["x", "26"]}], "+", 
  RowBox[{"1118770292985239888", " ", 
   SuperscriptBox["x", "28"]}], "-", 
  RowBox[{"3009106305270645216", " ", 
   SuperscriptBox["x", "30"]}], "+", 
  RowBox[{"7007092303604022630", " ", 
   SuperscriptBox["x", "32"]}], "-", 
  RowBox[{"14226520737620288370", " ", 
   SuperscriptBox["x", "34"]}], "+", 
  RowBox[{"25336755980333275478", " ", 
   SuperscriptBox["x", "36"]}], "-", 
  RowBox[{"39789158751476438304", " ", 
   SuperscriptBox["x", "38"]}], "+", 
  RowBox[{"55347740058143507128", " ", 
   SuperscriptBox["x", "40"]}], "-", 
  RowBox[{"68461490315822108120", " ", 
   SuperscriptBox["x", "42"]}], "+", 
  RowBox[{"75553695443676829680", " ", 
   SuperscriptBox["x", "44"]}], "-", 
  RowBox[{"74604711829408425056", " ", 
   SuperscriptBox["x", "46"]}], "+", 
  RowBox[{"66072789997853738148", " ", 
   SuperscriptBox["x", "48"]}], "-", 
  RowBox[{"52588547141148893628", " ", 
   SuperscriptBox["x", "50"]}], "+", 
  RowBox[{"37676560923145889100", " ", 
   SuperscriptBox["x", "52"]}], "-", 
  RowBox[{"24327842273226276400", " ", 
   SuperscriptBox["x", "54"]}], "+", 
  RowBox[{"14170178259145435020", " ", 
   SuperscriptBox["x", "56"]}], "-", 
  RowBox[{"7449416156804224460", " ", 
   SuperscriptBox["x", "58"]}], "+", 
  RowBox[{"3535316142212174320", " ", 
   SuperscriptBox["x", "60"]}], "-", 
  RowBox[{"1514334254464231200", " ", 
   SuperscriptBox["x", "62"]}], "+", 
  RowBox[{"585151976303390925", " ", 
   SuperscriptBox["x", "64"]}], "-", 
  RowBox[{"203780198740621455", " ", 
   SuperscriptBox["x", "66"]}], "+", 
  RowBox[{"63871405575418665", " ", 
   SuperscriptBox["x", "68"]}], "-", 
  RowBox[{"17984495151670680", " ", 
   SuperscriptBox["x", "70"]}], "+", 
  RowBox[{"4538340912686850", " ", 
   SuperscriptBox["x", "72"]}], "-", 
  RowBox[{"1023269017336650", " ", 
   SuperscriptBox["x", "74"]}], "+", 
  RowBox[{"205371886988268", " ", 
   SuperscriptBox["x", "76"]}], "-", 
  RowBox[{"36519676207704", " ", 
   SuperscriptBox["x", "78"]}], "+", 
  RowBox[{"5720645481903", " ", 
   SuperscriptBox["x", "80"]}], "-", 
  RowBox[{"783768050065", " ", 
   SuperscriptBox["x", "82"]}], "+", 
  RowBox[{"93080887185", " ", 
   SuperscriptBox["x", "84"]}], "-", 
  RowBox[{"9473622444", " ", 
   SuperscriptBox["x", "86"]}], "+", 
  RowBox[{"814216767", " ", 
   SuperscriptBox["x", "88"]}], "-", 
  RowBox[{"57940519", " ", 
   SuperscriptBox["x", "90"]}], "+", 
  RowBox[{"3321960", " ", 
   SuperscriptBox["x", "92"]}], "-", 
  RowBox[{"147440", " ", 
   SuperscriptBox["x", "94"]}], "+", 
  RowBox[{"4753", " ", 
   SuperscriptBox["x", "96"]}], "-", 
  RowBox[{"99", " ", 
   SuperscriptBox["x", "98"]}], "+", 
  SuperscriptBox["x", "100"]}]], "Output",
 CellChangeTimes->{3.8115699796266775`*^9},
 CellLabel->
  "Out[103]=",ExpressionUUID->"8ef89c85-14ec-4579-9bd8-253e8a968812"]
}, Open  ]],

Cell[BoxData["\[IndentingNewLine]"], "Input",
 CellChangeTimes->{
  3.811571079987043*^9},ExpressionUUID->"88b77165-c0eb-40f5-b3ec-\
38bf60de7315"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\:7279\:5f81\:503c", "Subsubsection",
 CellChangeTimes->{{3.44889189796875*^9, 3.448891901125*^9}, {
  3.448891938984375*^9, 3.448891941125*^9}, {3.448892038328125*^9, 
  3.448892059625*^9}, {3.541068791875*^9, 3.541068804859375*^9}, {
  3.807561859138715*^9, 
  3.807561859282296*^9}},ExpressionUUID->"43c4d331-bd01-4cd8-a631-\
1933ec0af5c5"],

Cell[BoxData[{
 ButtonBox[
  RowBox[{"CharacteristicPolynomial", "[", 
   RowBox[{
    StyleBox["A", "TI"], ",", 
    StyleBox["x", "TI"]}], "]"}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/CharacteristicPolynomial"], "\n", 
 ButtonBox[
  RowBox[{"Eigenvalues", "[", 
   StyleBox["A", "TI"], "]"}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Eigenvalues"], "\n", 
 ButtonBox[
  RowBox[{"Eigenvectors", "[", 
   StyleBox["A", "TI"], "]"}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Eigenvectors"], "\n", 
 ButtonBox[
  RowBox[{"Eigensystem", "[", 
   StyleBox["A", "TI"], "]"}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Eigensystem"], "\n", 
 ButtonBox[
  RowBox[{"SingularValueList", "[", 
   StyleBox["A", "TI"], "]"}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/SingularValueList"]}], "Input",
 CellChangeTimes->{{3.4488970955625*^9, 3.448897107015625*^9}, 
   3.448920914359375*^9, 
   3.54106882146875*^9},ExpressionUUID->"68b64b8d-8296-4ec9-baf9-\
6f6624bd3816"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"a", "=", 
   RowBox[{"RandomInteger", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "3"}], "}"}]}], "]"}]}], ";", 
  RowBox[{"a", "//", "MatrixForm"}]}]], "Input",
 CellChangeTimes->{{3.448934234515625*^9, 3.4489342560625*^9}, {
  3.448934299015625*^9, 3.448934299171875*^9}, {3.4489344385625*^9, 
  3.44893443884375*^9}, {3.44893457596875*^9, 3.448934608453125*^9}, {
  3.44893560034375*^9, 3.4489356143125*^9}, {3.448935732015625*^9, 
  3.44893573340625*^9}, {3.541068834*^9, 3.54106885834375*^9}, {
  3.54106923471875*^9, 3.541069236765625*^9}},
 CellLabel->
  "In[104]:=",ExpressionUUID->"16e1d988-7235-4a83-8a5c-1048abfad3a5"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", 
      RowBox[{"-", "1"}], "1"},
     {"1", "0", "0"},
     {
      RowBox[{"-", "1"}], "0", 
      RowBox[{"-", "1"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8115712073414507`*^9},
 CellLabel->
  "Out[104]//MatrixForm=",ExpressionUUID->"a9ab41af-6748-4ad4-9249-\
c06ffc7e763f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Clear", "[", "x", "]"}], ";", 
  RowBox[{"CharacteristicPolynomial", "[", 
   RowBox[{"a", ",", "x"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.448934421828125*^9, 3.4489344749375*^9}, {
  3.54106887146875*^9, 3.54106889071875*^9}, {3.54106893221875*^9, 
  3.541068934734375*^9}, {3.5410690138125*^9, 3.541069113375*^9}},
 CellLabel->
  "In[105]:=",ExpressionUUID->"d3a5779e-f2a8-46a6-97e5-5ae10ea0b13e"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "1"}], "-", 
  RowBox[{"2", " ", "x"}], "-", 
  SuperscriptBox["x", "2"], "-", 
  SuperscriptBox["x", "3"]}]], "Output",
 CellChangeTimes->{3.811571210090803*^9},
 CellLabel->
  "Out[105]=",ExpressionUUID->"40cb9b82-febe-49b0-a631-58e7407ed133"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MatrixForm", "/@", 
  RowBox[{"Eigensystem", "[", "a", "]"}]}]], "Input",
 CellChangeTimes->{{3.44893409059375*^9, 3.448934093734375*^9}, {
   3.448934487640625*^9, 3.448934512671875*^9}, 3.5410691378125*^9, {
   3.541069280546875*^9, 3.541069282015625*^9}, {3.541069339078125*^9, 
   3.54106933978125*^9}},
 CellLabel->
  "In[106]:=",ExpressionUUID->"cd92402b-8cf7-41a3-9560-92d9a9a9e5be"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox[
    RowBox[{"(", "\[NoBreak]", 
     TagBox[GridBox[{
        {
         InterpretationBox[
          TemplateBox[{"Root",RowBox[{
              TemplateBox[{"\"-0.215\"", 
                DynamicBox[
                 FEPrivate`FrontEndResource[
                 "FEExpressions", "NumericalApproximationElider"]]}, 
               "RowDefault"], "+", 
              RowBox[{
                TemplateBox[{"\"1.31\"", 
                  DynamicBox[
                   FEPrivate`FrontEndResource[
                   "FEExpressions", "NumericalApproximationElider"]]}, 
                 "RowDefault"], " ", "\[ImaginaryI]"}]}],TagBox[
             RowBox[{"Root", "[", 
               RowBox[{
                 RowBox[{
                   RowBox[{"1", "+", 
                    RowBox[{"2", " ", "#1"}], "+", 
                    SuperscriptBox["#1", "2"], "+", 
                    SuperscriptBox["#1", "3"]}], "&"}], ",", "3"}], "]"}], 
             Short[#, 7]& ],
            Complex[-0.21507985450097336`, 1.3071412786820455`]},
           "NumericalApproximation"],
          Root[1 + 2 # + #^2 + #^3& , 3, 0]]},
        {
         InterpretationBox[
          TemplateBox[{"Root",RowBox[{
              TemplateBox[{"\"-0.215\"", 
                DynamicBox[
                 FEPrivate`FrontEndResource[
                 "FEExpressions", "NumericalApproximationElider"]]}, 
               "RowDefault"], "-", 
              RowBox[{
                TemplateBox[{"\"1.31\"", 
                  DynamicBox[
                   FEPrivate`FrontEndResource[
                   "FEExpressions", "NumericalApproximationElider"]]}, 
                 "RowDefault"], " ", "\[ImaginaryI]"}]}],TagBox[
             RowBox[{"Root", "[", 
               RowBox[{
                 RowBox[{
                   RowBox[{"1", "+", 
                    RowBox[{"2", " ", "#1"}], "+", 
                    SuperscriptBox["#1", "2"], "+", 
                    SuperscriptBox["#1", "3"]}], "&"}], ",", "2"}], "]"}], 
             Short[#, 7]& ],
            Complex[-0.21507985450097336`, -1.3071412786820455`]},
           "NumericalApproximation"],
          Root[1 + 2 # + #^2 + #^3& , 2, 0]]},
        {
         InterpretationBox[
          TemplateBox[{"Root",TemplateBox[{"\"-0.570\"", 
              DynamicBox[
               FEPrivate`FrontEndResource[
               "FEExpressions", "NumericalApproximationElider"]]}, 
             "RowDefault"],TagBox[
             RowBox[{"Root", "[", 
               RowBox[{
                 RowBox[{
                   RowBox[{"1", "+", 
                    RowBox[{"2", " ", "#1"}], "+", 
                    SuperscriptBox["#1", "2"], "+", 
                    SuperscriptBox["#1", "3"]}], "&"}], ",", "1"}], "]"}], 
             Short[#, 7]& ],-0.5698402909980532},
           "NumericalApproximation"],
          Root[1 + 2 # + #^2 + #^3& , 1, 0]]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.5599999999999999]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      Column], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], ",", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {
        RowBox[{
         RowBox[{"-", "1"}], "-", 
         InterpretationBox[
          TemplateBox[{"Root",RowBox[{
              TemplateBox[{"\"-0.215\"", 
                DynamicBox[
                 FEPrivate`FrontEndResource[
                 "FEExpressions", "NumericalApproximationElider"]]}, 
               "RowDefault"], "+", 
              RowBox[{
                TemplateBox[{"\"1.31\"", 
                  DynamicBox[
                   FEPrivate`FrontEndResource[
                   "FEExpressions", "NumericalApproximationElider"]]}, 
                 "RowDefault"], " ", "\[ImaginaryI]"}]}],TagBox[
             RowBox[{"Root", "[", 
               RowBox[{
                 RowBox[{
                   RowBox[{"1", "+", 
                    RowBox[{"2", " ", "#1"}], "+", 
                    SuperscriptBox["#1", "2"], "+", 
                    SuperscriptBox["#1", "3"]}], "&"}], ",", "3"}], "]"}], 
             Short[#, 7]& ],
            Complex[-0.21507985450097336`, 1.3071412786820455`]},
           "NumericalApproximation"],
          Root[1 + 2 # + #^2 + #^3& , 3, 0]]}], 
        RowBox[{"1", "+", 
         InterpretationBox[
          TemplateBox[{"Root",RowBox[{
              TemplateBox[{"\"-0.215\"", 
                DynamicBox[
                 FEPrivate`FrontEndResource[
                 "FEExpressions", "NumericalApproximationElider"]]}, 
               "RowDefault"], "+", 
              RowBox[{
                TemplateBox[{"\"1.31\"", 
                  DynamicBox[
                   FEPrivate`FrontEndResource[
                   "FEExpressions", "NumericalApproximationElider"]]}, 
                 "RowDefault"], " ", "\[ImaginaryI]"}]}],TagBox[
             RowBox[{"Root", "[", 
               RowBox[{
                 RowBox[{
                   RowBox[{"1", "+", 
                    RowBox[{"2", " ", "#1"}], "+", 
                    SuperscriptBox["#1", "2"], "+", 
                    SuperscriptBox["#1", "3"]}], "&"}], ",", "3"}], "]"}], 
             Short[#, 7]& ],
            Complex[-0.21507985450097336`, 1.3071412786820455`]},
           "NumericalApproximation"],
          Root[1 + 2 # + #^2 + #^3& , 3, 0]], "+", 
         SuperscriptBox[
          InterpretationBox[
           TemplateBox[{"Root",RowBox[{
               TemplateBox[{"\"-0.215\"", 
                 DynamicBox[
                  FEPrivate`FrontEndResource[
                  "FEExpressions", "NumericalApproximationElider"]]}, 
                "RowDefault"], "+", 
               RowBox[{
                 TemplateBox[{"\"1.31\"", 
                   DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEExpressions", "NumericalApproximationElider"]]}, 
                  "RowDefault"], " ", "\[ImaginaryI]"}]}],TagBox[
              RowBox[{"Root", "[", 
                RowBox[{
                  RowBox[{
                    RowBox[{"1", "+", 
                    RowBox[{"2", " ", "#1"}], "+", 
                    SuperscriptBox["#1", "2"], "+", 
                    SuperscriptBox["#1", "3"]}], "&"}], ",", "3"}], "]"}], 
              Short[#, 7]& ],
             Complex[-0.21507985450097336`, 1.3071412786820455`]},
            "NumericalApproximation"],
           Root[1 + 2 # + #^2 + #^3& , 3, 0]], "2"]}], "1"},
       {
        RowBox[{
         RowBox[{"-", "1"}], "-", 
         InterpretationBox[
          TemplateBox[{"Root",RowBox[{
              TemplateBox[{"\"-0.215\"", 
                DynamicBox[
                 FEPrivate`FrontEndResource[
                 "FEExpressions", "NumericalApproximationElider"]]}, 
               "RowDefault"], "-", 
              RowBox[{
                TemplateBox[{"\"1.31\"", 
                  DynamicBox[
                   FEPrivate`FrontEndResource[
                   "FEExpressions", "NumericalApproximationElider"]]}, 
                 "RowDefault"], " ", "\[ImaginaryI]"}]}],TagBox[
             RowBox[{"Root", "[", 
               RowBox[{
                 RowBox[{
                   RowBox[{"1", "+", 
                    RowBox[{"2", " ", "#1"}], "+", 
                    SuperscriptBox["#1", "2"], "+", 
                    SuperscriptBox["#1", "3"]}], "&"}], ",", "2"}], "]"}], 
             Short[#, 7]& ],
            Complex[-0.21507985450097336`, -1.3071412786820455`]},
           "NumericalApproximation"],
          Root[1 + 2 # + #^2 + #^3& , 2, 0]]}], 
        RowBox[{"1", "+", 
         InterpretationBox[
          TemplateBox[{"Root",RowBox[{
              TemplateBox[{"\"-0.215\"", 
                DynamicBox[
                 FEPrivate`FrontEndResource[
                 "FEExpressions", "NumericalApproximationElider"]]}, 
               "RowDefault"], "-", 
              RowBox[{
                TemplateBox[{"\"1.31\"", 
                  DynamicBox[
                   FEPrivate`FrontEndResource[
                   "FEExpressions", "NumericalApproximationElider"]]}, 
                 "RowDefault"], " ", "\[ImaginaryI]"}]}],TagBox[
             RowBox[{"Root", "[", 
               RowBox[{
                 RowBox[{
                   RowBox[{"1", "+", 
                    RowBox[{"2", " ", "#1"}], "+", 
                    SuperscriptBox["#1", "2"], "+", 
                    SuperscriptBox["#1", "3"]}], "&"}], ",", "2"}], "]"}], 
             Short[#, 7]& ],
            Complex[-0.21507985450097336`, -1.3071412786820455`]},
           "NumericalApproximation"],
          Root[1 + 2 # + #^2 + #^3& , 2, 0]], "+", 
         SuperscriptBox[
          InterpretationBox[
           TemplateBox[{"Root",RowBox[{
               TemplateBox[{"\"-0.215\"", 
                 DynamicBox[
                  FEPrivate`FrontEndResource[
                  "FEExpressions", "NumericalApproximationElider"]]}, 
                "RowDefault"], "-", 
               RowBox[{
                 TemplateBox[{"\"1.31\"", 
                   DynamicBox[
                    FEPrivate`FrontEndResource[
                    "FEExpressions", "NumericalApproximationElider"]]}, 
                  "RowDefault"], " ", "\[ImaginaryI]"}]}],TagBox[
              RowBox[{"Root", "[", 
                RowBox[{
                  RowBox[{
                    RowBox[{"1", "+", 
                    RowBox[{"2", " ", "#1"}], "+", 
                    SuperscriptBox["#1", "2"], "+", 
                    SuperscriptBox["#1", "3"]}], "&"}], ",", "2"}], "]"}], 
              Short[#, 7]& ],
             Complex[-0.21507985450097336`, -1.3071412786820455`]},
            "NumericalApproximation"],
           Root[1 + 2 # + #^2 + #^3& , 2, 0]], "2"]}], "1"},
       {
        RowBox[{
         RowBox[{"-", "1"}], "-", 
         InterpretationBox[
          TemplateBox[{"Root",TemplateBox[{"\"-0.570\"", 
              DynamicBox[
               FEPrivate`FrontEndResource[
               "FEExpressions", "NumericalApproximationElider"]]}, 
             "RowDefault"],TagBox[
             RowBox[{"Root", "[", 
               RowBox[{
                 RowBox[{
                   RowBox[{"1", "+", 
                    RowBox[{"2", " ", "#1"}], "+", 
                    SuperscriptBox["#1", "2"], "+", 
                    SuperscriptBox["#1", "3"]}], "&"}], ",", "1"}], "]"}], 
             Short[#, 7]& ],-0.5698402909980532},
           "NumericalApproximation"],
          Root[1 + 2 # + #^2 + #^3& , 1, 0]]}], 
        RowBox[{"1", "+", 
         InterpretationBox[
          TemplateBox[{"Root",TemplateBox[{"\"-0.570\"", 
              DynamicBox[
               FEPrivate`FrontEndResource[
               "FEExpressions", "NumericalApproximationElider"]]}, 
             "RowDefault"],TagBox[
             RowBox[{"Root", "[", 
               RowBox[{
                 RowBox[{
                   RowBox[{"1", "+", 
                    RowBox[{"2", " ", "#1"}], "+", 
                    SuperscriptBox["#1", "2"], "+", 
                    SuperscriptBox["#1", "3"]}], "&"}], ",", "1"}], "]"}], 
             Short[#, 7]& ],-0.5698402909980532},
           "NumericalApproximation"],
          Root[1 + 2 # + #^2 + #^3& , 1, 0]], "+", 
         SuperscriptBox[
          InterpretationBox[
           TemplateBox[{"Root",TemplateBox[{"\"-0.570\"", 
               DynamicBox[
                FEPrivate`FrontEndResource[
                "FEExpressions", "NumericalApproximationElider"]]}, 
              "RowDefault"],TagBox[
              RowBox[{"Root", "[", 
                RowBox[{
                  RowBox[{
                    RowBox[{"1", "+", 
                    RowBox[{"2", " ", "#1"}], "+", 
                    SuperscriptBox["#1", "2"], "+", 
                    SuperscriptBox["#1", "3"]}], "&"}], ",", "1"}], "]"}], 
              Short[#, 7]& ],-0.5698402909980532},
            "NumericalApproximation"],
           Root[1 + 2 # + #^2 + #^3& , 1, 0]], "2"]}], "1"}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}], "}"}]], "Output",
 CellChangeTimes->{3.8115712130432615`*^9},
 CellLabel->
  "Out[106]=",ExpressionUUID->"87fa34cc-f926-4a15-b063-2573d1e6b685"]
}, Open  ]],

Cell["\:6ce8\:610f\:ff1a\:7279\:5f81\:5411\:91cf\:7ec4\:662f\:6309\:884c\:6392\
\:5217\:7684\:3002", "Text",
 CellChangeTimes->{{3.541069404984375*^9, 3.541069468875*^9}},
 FontColor->RGBColor[
  1, 0, 0],ExpressionUUID->"8f9a0cdc-5dca-45c1-9a6c-0d9eead584fe"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Eigenvalues", "[", "a", "]"}]], "Input",
 CellChangeTimes->{{3.5410692034375*^9, 3.541069206109375*^9}, {
  3.541069269125*^9, 3.541069270703125*^9}, {3.5410693418125*^9, 
  3.541069342515625*^9}},
 CellLabel->
  "In[107]:=",ExpressionUUID->"151a9309-896e-4701-a000-cc40002f27c2"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   InterpretationBox[
    TemplateBox[{"Root",RowBox[{
        TemplateBox[{"\"-0.215\"", 
          DynamicBox[
           FEPrivate`FrontEndResource[
           "FEExpressions", "NumericalApproximationElider"]]}, "RowDefault"], 
        "+", 
        RowBox[{
          TemplateBox[{"\"1.31\"", 
            DynamicBox[
             FEPrivate`FrontEndResource[
             "FEExpressions", "NumericalApproximationElider"]]}, 
           "RowDefault"], " ", "\[ImaginaryI]"}]}],TagBox[
       RowBox[{"Root", "[", 
         RowBox[{
           RowBox[{
             RowBox[{"1", "+", 
               RowBox[{"2", " ", "#1"}], "+", 
               SuperscriptBox["#1", "2"], "+", 
               SuperscriptBox["#1", "3"]}], "&"}], ",", "3"}], "]"}], 
       Short[#, 7]& ],Complex[-0.21507985450097336`, 1.3071412786820455`]},
     "NumericalApproximation"],
    Root[1 + 2 # + #^2 + #^3& , 3, 0]], ",", 
   InterpretationBox[
    TemplateBox[{"Root",RowBox[{
        TemplateBox[{"\"-0.215\"", 
          DynamicBox[
           FEPrivate`FrontEndResource[
           "FEExpressions", "NumericalApproximationElider"]]}, "RowDefault"], 
        "-", 
        RowBox[{
          TemplateBox[{"\"1.31\"", 
            DynamicBox[
             FEPrivate`FrontEndResource[
             "FEExpressions", "NumericalApproximationElider"]]}, 
           "RowDefault"], " ", "\[ImaginaryI]"}]}],TagBox[
       RowBox[{"Root", "[", 
         RowBox[{
           RowBox[{
             RowBox[{"1", "+", 
               RowBox[{"2", " ", "#1"}], "+", 
               SuperscriptBox["#1", "2"], "+", 
               SuperscriptBox["#1", "3"]}], "&"}], ",", "2"}], "]"}], 
       Short[#, 7]& ],Complex[-0.21507985450097336`, -1.3071412786820455`]},
     "NumericalApproximation"],
    Root[1 + 2 # + #^2 + #^3& , 2, 0]], ",", 
   InterpretationBox[
    TemplateBox[{"Root",TemplateBox[{"\"-0.570\"", 
        DynamicBox[
         FEPrivate`FrontEndResource[
         "FEExpressions", "NumericalApproximationElider"]]}, "RowDefault"],
      TagBox[
       RowBox[{"Root", "[", 
         RowBox[{
           RowBox[{
             RowBox[{"1", "+", 
               RowBox[{"2", " ", "#1"}], "+", 
               SuperscriptBox["#1", "2"], "+", 
               SuperscriptBox["#1", "3"]}], "&"}], ",", "1"}], "]"}], 
       Short[#, 7]& ],-0.5698402909980532},
     "NumericalApproximation"],
    Root[1 + 2 # + #^2 + #^3& , 1, 0]]}], "}"}]], "Output",
 CellChangeTimes->{3.811571216854828*^9},
 CellLabel->
  "Out[107]=",ExpressionUUID->"2831373f-7514-4890-8087-00438ed757e3"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Eigenvectors", "[", "a", "]"}]], "Input",
 CellChangeTimes->{{3.54106921146875*^9, 3.54106921675*^9}, {3.5410692745*^9, 
  3.541069275796875*^9}, {3.54106934534375*^9, 3.54106934603125*^9}},
 CellLabel->
  "In[108]:=",ExpressionUUID->"d46f5877-6344-4143-9890-42c239853a78"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "1"}], "-", 
      InterpretationBox[
       TemplateBox[{"Root",RowBox[{
           TemplateBox[{"\"-0.215\"", 
             DynamicBox[
              FEPrivate`FrontEndResource[
              "FEExpressions", "NumericalApproximationElider"]]}, 
            "RowDefault"], "+", 
           RowBox[{
             TemplateBox[{"\"1.31\"", 
               DynamicBox[
                FEPrivate`FrontEndResource[
                "FEExpressions", "NumericalApproximationElider"]]}, 
              "RowDefault"], " ", "\[ImaginaryI]"}]}],TagBox[
          RowBox[{"Root", "[", 
            RowBox[{
              RowBox[{
                RowBox[{"1", "+", 
                  RowBox[{"2", " ", "#1"}], "+", 
                  SuperscriptBox["#1", "2"], "+", 
                  SuperscriptBox["#1", "3"]}], "&"}], ",", "3"}], "]"}], 
          Short[#, 7]& ],Complex[-0.21507985450097336`, 1.3071412786820455`]},
        
        "NumericalApproximation"],
       Root[1 + 2 # + #^2 + #^3& , 3, 0]]}], ",", 
     RowBox[{"1", "+", 
      InterpretationBox[
       TemplateBox[{"Root",RowBox[{
           TemplateBox[{"\"-0.215\"", 
             DynamicBox[
              FEPrivate`FrontEndResource[
              "FEExpressions", "NumericalApproximationElider"]]}, 
            "RowDefault"], "+", 
           RowBox[{
             TemplateBox[{"\"1.31\"", 
               DynamicBox[
                FEPrivate`FrontEndResource[
                "FEExpressions", "NumericalApproximationElider"]]}, 
              "RowDefault"], " ", "\[ImaginaryI]"}]}],TagBox[
          RowBox[{"Root", "[", 
            RowBox[{
              RowBox[{
                RowBox[{"1", "+", 
                  RowBox[{"2", " ", "#1"}], "+", 
                  SuperscriptBox["#1", "2"], "+", 
                  SuperscriptBox["#1", "3"]}], "&"}], ",", "3"}], "]"}], 
          Short[#, 7]& ],Complex[-0.21507985450097336`, 1.3071412786820455`]},
        
        "NumericalApproximation"],
       Root[1 + 2 # + #^2 + #^3& , 3, 0]], "+", 
      SuperscriptBox[
       InterpretationBox[
        TemplateBox[{"Root",RowBox[{
            TemplateBox[{"\"-0.215\"", 
              DynamicBox[
               FEPrivate`FrontEndResource[
               "FEExpressions", "NumericalApproximationElider"]]}, 
             "RowDefault"], "+", 
            RowBox[{
              TemplateBox[{"\"1.31\"", 
                DynamicBox[
                 FEPrivate`FrontEndResource[
                 "FEExpressions", "NumericalApproximationElider"]]}, 
               "RowDefault"], " ", "\[ImaginaryI]"}]}],TagBox[
           RowBox[{"Root", "[", 
             RowBox[{
               RowBox[{
                 RowBox[{"1", "+", 
                   RowBox[{"2", " ", "#1"}], "+", 
                   SuperscriptBox["#1", "2"], "+", 
                   SuperscriptBox["#1", "3"]}], "&"}], ",", "3"}], "]"}], 
           Short[#, 7]& ],Complex[-0.21507985450097336`, 1.3071412786820455`]},
         "NumericalApproximation"],
        Root[1 + 2 # + #^2 + #^3& , 3, 0]], "2"]}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "1"}], "-", 
      InterpretationBox[
       TemplateBox[{"Root",RowBox[{
           TemplateBox[{"\"-0.215\"", 
             DynamicBox[
              FEPrivate`FrontEndResource[
              "FEExpressions", "NumericalApproximationElider"]]}, 
            "RowDefault"], "-", 
           RowBox[{
             TemplateBox[{"\"1.31\"", 
               DynamicBox[
                FEPrivate`FrontEndResource[
                "FEExpressions", "NumericalApproximationElider"]]}, 
              "RowDefault"], " ", "\[ImaginaryI]"}]}],TagBox[
          RowBox[{"Root", "[", 
            RowBox[{
              RowBox[{
                RowBox[{"1", "+", 
                  RowBox[{"2", " ", "#1"}], "+", 
                  SuperscriptBox["#1", "2"], "+", 
                  SuperscriptBox["#1", "3"]}], "&"}], ",", "2"}], "]"}], 
          Short[#, 7]& ],Complex[-0.21507985450097336`, -1.3071412786820455`]},
        "NumericalApproximation"],
       Root[1 + 2 # + #^2 + #^3& , 2, 0]]}], ",", 
     RowBox[{"1", "+", 
      InterpretationBox[
       TemplateBox[{"Root",RowBox[{
           TemplateBox[{"\"-0.215\"", 
             DynamicBox[
              FEPrivate`FrontEndResource[
              "FEExpressions", "NumericalApproximationElider"]]}, 
            "RowDefault"], "-", 
           RowBox[{
             TemplateBox[{"\"1.31\"", 
               DynamicBox[
                FEPrivate`FrontEndResource[
                "FEExpressions", "NumericalApproximationElider"]]}, 
              "RowDefault"], " ", "\[ImaginaryI]"}]}],TagBox[
          RowBox[{"Root", "[", 
            RowBox[{
              RowBox[{
                RowBox[{"1", "+", 
                  RowBox[{"2", " ", "#1"}], "+", 
                  SuperscriptBox["#1", "2"], "+", 
                  SuperscriptBox["#1", "3"]}], "&"}], ",", "2"}], "]"}], 
          Short[#, 7]& ],Complex[-0.21507985450097336`, -1.3071412786820455`]},
        "NumericalApproximation"],
       Root[1 + 2 # + #^2 + #^3& , 2, 0]], "+", 
      SuperscriptBox[
       InterpretationBox[
        TemplateBox[{"Root",RowBox[{
            TemplateBox[{"\"-0.215\"", 
              DynamicBox[
               FEPrivate`FrontEndResource[
               "FEExpressions", "NumericalApproximationElider"]]}, 
             "RowDefault"], "-", 
            RowBox[{
              TemplateBox[{"\"1.31\"", 
                DynamicBox[
                 FEPrivate`FrontEndResource[
                 "FEExpressions", "NumericalApproximationElider"]]}, 
               "RowDefault"], " ", "\[ImaginaryI]"}]}],TagBox[
           RowBox[{"Root", "[", 
             RowBox[{
               RowBox[{
                 RowBox[{"1", "+", 
                   RowBox[{"2", " ", "#1"}], "+", 
                   SuperscriptBox["#1", "2"], "+", 
                   SuperscriptBox["#1", "3"]}], "&"}], ",", "2"}], "]"}], 
           Short[#, 7]& ],
          Complex[-0.21507985450097336`, -1.3071412786820455`]},
         "NumericalApproximation"],
        Root[1 + 2 # + #^2 + #^3& , 2, 0]], "2"]}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "1"}], "-", 
      InterpretationBox[
       TemplateBox[{"Root",TemplateBox[{"\"-0.570\"", 
           DynamicBox[
            FEPrivate`FrontEndResource[
            "FEExpressions", "NumericalApproximationElider"]]}, "RowDefault"],
         TagBox[
          RowBox[{"Root", "[", 
            RowBox[{
              RowBox[{
                RowBox[{"1", "+", 
                  RowBox[{"2", " ", "#1"}], "+", 
                  SuperscriptBox["#1", "2"], "+", 
                  SuperscriptBox["#1", "3"]}], "&"}], ",", "1"}], "]"}], 
          Short[#, 7]& ],-0.5698402909980532},
        "NumericalApproximation"],
       Root[1 + 2 # + #^2 + #^3& , 1, 0]]}], ",", 
     RowBox[{"1", "+", 
      InterpretationBox[
       TemplateBox[{"Root",TemplateBox[{"\"-0.570\"", 
           DynamicBox[
            FEPrivate`FrontEndResource[
            "FEExpressions", "NumericalApproximationElider"]]}, "RowDefault"],
         TagBox[
          RowBox[{"Root", "[", 
            RowBox[{
              RowBox[{
                RowBox[{"1", "+", 
                  RowBox[{"2", " ", "#1"}], "+", 
                  SuperscriptBox["#1", "2"], "+", 
                  SuperscriptBox["#1", "3"]}], "&"}], ",", "1"}], "]"}], 
          Short[#, 7]& ],-0.5698402909980532},
        "NumericalApproximation"],
       Root[1 + 2 # + #^2 + #^3& , 1, 0]], "+", 
      SuperscriptBox[
       InterpretationBox[
        TemplateBox[{"Root",TemplateBox[{"\"-0.570\"", 
            DynamicBox[
             FEPrivate`FrontEndResource[
             "FEExpressions", "NumericalApproximationElider"]]}, 
           "RowDefault"],TagBox[
           RowBox[{"Root", "[", 
             RowBox[{
               RowBox[{
                 RowBox[{"1", "+", 
                   RowBox[{"2", " ", "#1"}], "+", 
                   SuperscriptBox["#1", "2"], "+", 
                   SuperscriptBox["#1", "3"]}], "&"}], ",", "1"}], "]"}], 
           Short[#, 7]& ],-0.5698402909980532},
         "NumericalApproximation"],
        Root[1 + 2 # + #^2 + #^3& , 1, 0]], "2"]}], ",", "1"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.811571218713765*^9},
 CellLabel->
  "Out[108]=",ExpressionUUID->"80a2f33b-3285-4307-8d4c-092e14831229"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SingularValueList", "[", "a", "]"}]], "Input",
 CellChangeTimes->{{3.4489355021875*^9, 3.448935509421875*^9}, 
   3.541069193703125*^9, {3.54106929153125*^9, 3.541069292984375*^9}, {
   3.541069350203125*^9, 3.541069350875*^9}},
 CellLabel->
  "In[109]:=",ExpressionUUID->"a871509a-0432-4213-b685-2ae32a99504c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   SqrtBox[
    InterpretationBox[
     TemplateBox[{"Root",TemplateBox[{"\"3.25\"", 
         DynamicBox[
          FEPrivate`FrontEndResource[
          "FEExpressions", "NumericalApproximationElider"]]}, "RowDefault"],
       TagBox[
        RowBox[{"Root", "[", 
          RowBox[{
            RowBox[{
              RowBox[{
                RowBox[{"-", "1"}], "+", 
                RowBox[{"6", " ", "#1"}], "-", 
                RowBox[{"5", " ", 
                  SuperscriptBox["#1", "2"]}], "+", 
                SuperscriptBox["#1", "3"]}], "&"}], ",", "3"}], "]"}], 
        Short[#, 7]& ],3.246979603717467},
      "NumericalApproximation"],
     Root[-1 + 6 # - 5 #^2 + #^3& , 3, 0]]], ",", 
   SqrtBox[
    InterpretationBox[
     TemplateBox[{"Root",TemplateBox[{"\"1.55\"", 
         DynamicBox[
          FEPrivate`FrontEndResource[
          "FEExpressions", "NumericalApproximationElider"]]}, "RowDefault"],
       TagBox[
        RowBox[{"Root", "[", 
          RowBox[{
            RowBox[{
              RowBox[{
                RowBox[{"-", "1"}], "+", 
                RowBox[{"6", " ", "#1"}], "-", 
                RowBox[{"5", " ", 
                  SuperscriptBox["#1", "2"]}], "+", 
                SuperscriptBox["#1", "3"]}], "&"}], ",", "2"}], "]"}], 
        Short[#, 7]& ],1.554958132087371},
      "NumericalApproximation"],
     Root[-1 + 6 # - 5 #^2 + #^3& , 2, 0]]], ",", 
   SqrtBox[
    InterpretationBox[
     TemplateBox[{"Root",TemplateBox[{"\"0.198\"", 
         DynamicBox[
          FEPrivate`FrontEndResource[
          "FEExpressions", "NumericalApproximationElider"]]}, "RowDefault"],
       TagBox[
        RowBox[{"Root", "[", 
          RowBox[{
            RowBox[{
              RowBox[{
                RowBox[{"-", "1"}], "+", 
                RowBox[{"6", " ", "#1"}], "-", 
                RowBox[{"5", " ", 
                  SuperscriptBox["#1", "2"]}], "+", 
                SuperscriptBox["#1", "3"]}], "&"}], ",", "1"}], "]"}], 
        Short[#, 7]& ],0.19806226419516174`},
      "NumericalApproximation"],
     Root[-1 + 6 # - 5 #^2 + #^3& , 1, 0]]]}], "}"}]], "Output",
 CellChangeTimes->{3.8115712207228546`*^9},
 CellLabel->
  "Out[109]=",ExpressionUUID->"35b2d22e-4ae0-48a8-a051-1c0663b02152"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["4.3 \:77e9\:9635\:7684\:9ad8\:7ea7\:8fd0\:7b97", "Subsection",
 CellChangeTimes->{
  3.448891847171875*^9, {3.5408677829049587`*^9, 
   3.5408678065858006`*^9}},ExpressionUUID->"abf82f6c-d4e4-4149-8ae6-\
bc4f9e4d32a3"],

Cell[TextData[{
 "\:8054\:673a\:5e2e\:52a9\:ff1a",
 Cell[BoxData[
  FormBox[
   ButtonBox[
    RowBox[{"Advanced", " ", "Matrix", " ", "Operations"}],
    BaseStyle->"Link",
    ButtonData->"paclet:tutorial/AdvancedMatrixOperations"], TextForm]],
  ExpressionUUID->"a37aca67-bfdb-40be-a68b-b0d8473351d9"]
}], "Text",
 CellChangeTimes->{
  3.5408678626834993`*^9, 3.540867908079579*^9, {3.5408680008529415`*^9, 
   3.5408680048153486`*^9}, {3.540868069243462*^9, 3.540868084843489*^9}, 
   3.5408681245299587`*^9, 
   3.5408683230715075`*^9},ExpressionUUID->"43d6704c-9ba8-4a08-b085-\
6ae30e4736b9"],

Cell[CellGroupData[{

Cell["\:7ebf\:6027\:65b9\:7a0b\:7ec4", "Subsubsection",
 CellChangeTimes->{{3.44889189796875*^9, 3.448891901125*^9}, {
  3.448891980265625*^9, 3.44889198396875*^9}, {3.44889208015625*^9, 
  3.448892090234375*^9}, {3.541069649546875*^9, 3.541069650546875*^9}, {
  3.5410710830625*^9, 
  3.541071086078125*^9}},ExpressionUUID->"d425f719-6508-45e5-b668-\
8f860e359902"],

Cell[BoxData[{
 ButtonBox[
  RowBox[{"CoefficientArrays", "[", 
   RowBox[{
    StyleBox["eqns", "TI"], ",", 
    StyleBox["vars", "TI"]}], "]"}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/CoefficientArrays"], "\n", 
 ButtonBox[
  RowBox[{"LinearSolve", "[", 
   RowBox[{
    StyleBox["A", "TI"], ",", 
    StyleBox["b", "TI"]}], "]"}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/LinearSolve"], "\n", 
 ButtonBox[
  RowBox[{"LeastSquares", "[", 
   RowBox[{
    StyleBox["A", "TI"], ",", 
    StyleBox["b", "TI"]}], "]"}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/LeastSquares"], "\n", 
 ButtonBox[
  RowBox[{"NullSpace", "[", 
   StyleBox["A", "TI"], "]"}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/NullSpace"], "\[IndentingNewLine]", 
 ButtonBox[
  RowBox[{"PseudoInverse", "[", 
   StyleBox["A", "TI"], "]"}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/PseudoInverse"]}], "Input",
 CellChangeTimes->{{3.44892162778125*^9, 3.448921642421875*^9}, {
   3.448936856609375*^9, 3.448936863203125*^9}, {3.5410698769375*^9, 
   3.541069879796875*^9}, 3.541069918*^9, {3.541121012203125*^9, 
   3.541121013890625*^9}},ExpressionUUID->"3ff4eb24-f753-47b2-951b-\
eb0da786c23a"],

Cell[BoxData[
 RowBox[{
  RowBox[{"\:4f8b", "\:ff1a", "\:6c42\:89e3\:7ebf\:6027\:65b9\:7a0b\:7ec4"}], 
  
  RowBox[{"(", GridBox[{
     {
      RowBox[{
       RowBox[{"x", "+", 
        RowBox[{"2", "y"}], "+", 
        RowBox[{"3", "z"}]}], "\[Equal]", "4"}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"5", "x"}], "+", 
        RowBox[{"6", "y"}], "+", 
        RowBox[{"7", "z"}]}], "\[Equal]", "8"}]}
    }], ")"}], "\:3002"}]], "Text",
 CellChangeTimes->{{3.448936132953125*^9, 3.448936221734375*^9}, 
   3.4489366178125*^9, 3.54106997603125*^9, 3.541070025234375*^9, {
   3.541070610375*^9, 
   3.541070617921875*^9}},ExpressionUUID->"af700656-7482-4826-91e9-\
9c6d93f069e8"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"b", ",", "a"}], "}"}], "=", 
  RowBox[{"CoefficientArrays", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"x", "+", 
        RowBox[{"2", "y"}], "+", 
        RowBox[{"3", "z"}]}], "\[Equal]", "4"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"5", "x"}], "+", 
        RowBox[{"6", "y"}], "+", 
        RowBox[{"7", "z"}]}], "\[Equal]", "8"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "y", ",", "z"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.4489217815*^9, 3.448921864765625*^9}, {
  3.448935979640625*^9, 3.4489359904375*^9}, {3.541070077296875*^9, 
  3.54107010503125*^9}},
 CellLabel->"In[110]:=",
 CellID->63997976,ExpressionUUID->"3db69d10-fe7e-4d71-b1a1-29d63ee86e00"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   InterpretationBox[
    RowBox[{
     TagBox["SparseArray",
      "SummaryHead"], "[", 
     DynamicModuleBox[{Typeset`open$$ = False, Typeset`embedState$$ = 
      "Ready"}, 
      TemplateBox[{PaneSelectorBox[{False -> GridBox[{{
              PaneBox[
               ButtonBox[
                DynamicBox[
                 FEPrivate`FrontEndResource[
                 "FEBitmaps", "SquarePlusIconMedium"]], 
                ButtonFunction :> (Typeset`open$$ = True), Appearance -> None,
                 Evaluator -> Automatic, Method -> "Preemptive"], 
               Alignment -> {Center, Center}, ImageSize -> 
               Dynamic[{
                 Automatic, 3.5 CurrentValue["FontCapHeight"]/
                  AbsoluteCurrentValue[Magnification]}]], 
              GraphicsBox[
               
               RasterBox[{{{0.305814, 0.0607622, 0.601948}, {0.16791, 0., 
                0.301671}}}, {{0, 0}, {2, 1}}, {0, 1}], AspectRatio -> 1, 
               Axes -> False, Frame -> False, FrameLabel -> {None, None}, 
               FrameStyle -> Directive[
                 Opacity[0.5], 
                 Thickness[Tiny], 
                 RGBColor[0.368417, 0.506779, 0.709798]], 
               FrameTicks -> {{None, None}, {None, None}}, GridLinesStyle -> 
               Directive[
                 GrayLevel[0.5, 0.4]], ImageSize -> 
               Dynamic[{
                 Automatic, 3.5 CurrentValue["FontCapHeight"]/
                  AbsoluteCurrentValue[Magnification]}], 
               Method -> {
                "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
                 Automatic, 
                 "DefaultGraphicsInteraction" -> {
                  "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                   "Effects" -> {
                    "Highlight" -> {"ratio" -> 2}, 
                    "HighlightPoint" -> {"ratio" -> 2}, 
                    "Droplines" -> {
                    "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
                 "DefaultPlotStyle" -> Automatic, "DomainPadding" -> 
                 Scaled[0.02], "RangePadding" -> Scaled[0.05]}], 
              GridBox[{{
                 RowBox[{
                   TagBox[
                   "\"Specified elements: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["2", "SummaryItem"]}]}, {
                 RowBox[{
                   TagBox["\"Dimensions: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                    RowBox[{"{", "2", "}"}], "SummaryItem"]}]}}, 
               GridBoxAlignment -> {
                "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
               False, GridBoxItemSize -> {
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
               GridBoxSpacings -> {
                "Columns" -> {{2}}, "Rows" -> {{Automatic}}}, 
               BaseStyle -> {
                ShowStringCharacters -> False, NumberMarks -> False, 
                 PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
            GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
            BaselinePosition -> {1, 1}], True -> GridBox[{{
              PaneBox[
               ButtonBox[
                DynamicBox[
                 FEPrivate`FrontEndResource[
                 "FEBitmaps", "SquareMinusIconMedium"]], 
                ButtonFunction :> (Typeset`open$$ = False), Appearance -> 
                None, Evaluator -> Automatic, Method -> "Preemptive"], 
               Alignment -> {Center, Center}, ImageSize -> 
               Dynamic[{
                 Automatic, 3.5 CurrentValue["FontCapHeight"]/
                  AbsoluteCurrentValue[Magnification]}]], 
              GraphicsBox[
               
               RasterBox[{{{0.305814, 0.0607622, 0.601948}, {0.16791, 0., 
                0.301671}}}, {{0, 0}, {2, 1}}, {0, 1}], AspectRatio -> 1, 
               Axes -> False, Frame -> False, FrameLabel -> {None, None}, 
               FrameStyle -> Directive[
                 Opacity[0.5], 
                 Thickness[Tiny], 
                 RGBColor[0.368417, 0.506779, 0.709798]], 
               FrameTicks -> {{None, None}, {None, None}}, GridLinesStyle -> 
               Directive[
                 GrayLevel[0.5, 0.4]], ImageSize -> 
               Dynamic[{
                 Automatic, 3.5 CurrentValue["FontCapHeight"]/
                  AbsoluteCurrentValue[Magnification]}], 
               Method -> {
                "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
                 Automatic, 
                 "DefaultGraphicsInteraction" -> {
                  "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                   "Effects" -> {
                    "Highlight" -> {"ratio" -> 2}, 
                    "HighlightPoint" -> {"ratio" -> 2}, 
                    "Droplines" -> {
                    "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
                 "DefaultPlotStyle" -> Automatic, "DomainPadding" -> 
                 Scaled[0.02], "RangePadding" -> Scaled[0.05]}], 
              GridBox[{{
                 RowBox[{
                   TagBox[
                   "\"Specified elements: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["2", "SummaryItem"]}]}, {
                 RowBox[{
                   TagBox["\"Dimensions: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                    RowBox[{"{", "2", "}"}], "SummaryItem"]}]}, {
                 RowBox[{
                   TagBox["\"Default: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["0", "SummaryItem"]}]}, {
                 RowBox[{
                   TagBox["\"Density: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["1.`", "SummaryItem"]}]}, {
                 RowBox[{
                   TagBox["\"Elements:\"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["\"\"", "SummaryItem"]}]}, {
                 TagBox[
                  TagBox[
                   GridBox[{{
                    RowBox[{
                    RowBox[{"{", "1", "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    RowBox[{"-", "4"}], ContentPadding -> False, FrameMargins -> 
                    0, StripOnInput -> True, BaselinePosition -> Baseline, 
                    ImageSize -> {{1, 300}, Automatic}], LineBreakWithin -> 
                    False]}]}, {
                    RowBox[{
                    RowBox[{"{", "2", "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    RowBox[{"-", "8"}], ContentPadding -> False, FrameMargins -> 
                    0, StripOnInput -> True, BaselinePosition -> Baseline, 
                    ImageSize -> {{1, 300}, Automatic}], LineBreakWithin -> 
                    False]}]}}, GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                   "Column"], "SummaryItem"]}}, 
               GridBoxAlignment -> {
                "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
               False, GridBoxItemSize -> {
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
               GridBoxSpacings -> {
                "Columns" -> {{2}}, "Rows" -> {{Automatic}}}, 
               BaseStyle -> {
                ShowStringCharacters -> False, NumberMarks -> False, 
                 PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
            GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
            BaselinePosition -> {1, 1}]}, 
         Dynamic[Typeset`open$$], ImageSize -> Automatic]},
       "SummaryPanel"],
      DynamicModuleValues:>{}], "]"}],
    SparseArray[Automatic, {2}, 0, {1, {{0, 2}, {{1}, {2}}}, {-4, -8}}],
    Editable->False,
    SelectWithContents->True,
    Selectable->False], ",", 
   InterpretationBox[
    RowBox[{
     TagBox["SparseArray",
      "SummaryHead"], "[", 
     DynamicModuleBox[{Typeset`open$$ = False, Typeset`embedState$$ = 
      "Ready"}, 
      TemplateBox[{PaneSelectorBox[{False -> GridBox[{{
              PaneBox[
               ButtonBox[
                DynamicBox[
                 FEPrivate`FrontEndResource[
                 "FEBitmaps", "SquarePlusIconMedium"]], 
                ButtonFunction :> (Typeset`open$$ = True), Appearance -> None,
                 Evaluator -> Automatic, Method -> "Preemptive"], 
               Alignment -> {Center, Center}, ImageSize -> 
               Dynamic[{
                 Automatic, 3.5 CurrentValue["FontCapHeight"]/
                  AbsoluteCurrentValue[Magnification]}]], 
              GraphicsBox[
               RasterBox[{{{0.46889109523809525`, 0.761964, 
                0.982842380952381}, {0.6204760476190477, 0.843292, 
                0.9907726904761904}, {0.772061, 0.92462, 0.998703}}, {{
                0.24994580952380951`, 0.4310984285714285, 
                0.8765596428571428}, {0.264460619047619, 0.5345468571428571, 
                0.9198282857142858}, {0.2789754285714286, 0.6379952857142859, 
                0.9630969285714286}}}, {{0, 0}, {3, 2}}, {0, 1}], AspectRatio -> 
               1, Axes -> False, Frame -> False, FrameLabel -> {None, None}, 
               FrameStyle -> Directive[
                 Opacity[0.5], 
                 Thickness[Tiny], 
                 RGBColor[0.368417, 0.506779, 0.709798]], 
               FrameTicks -> {{None, None}, {None, None}}, GridLinesStyle -> 
               Directive[
                 GrayLevel[0.5, 0.4]], ImageSize -> 
               Dynamic[{
                 Automatic, 3.5 CurrentValue["FontCapHeight"]/
                  AbsoluteCurrentValue[Magnification]}], 
               Method -> {
                "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
                 Automatic, 
                 "DefaultGraphicsInteraction" -> {
                  "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                   "Effects" -> {
                    "Highlight" -> {"ratio" -> 2}, 
                    "HighlightPoint" -> {"ratio" -> 2}, 
                    "Droplines" -> {
                    "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
                 "DefaultPlotStyle" -> Automatic, "DomainPadding" -> 
                 Scaled[0.02], "RangePadding" -> Scaled[0.05]}], 
              GridBox[{{
                 RowBox[{
                   TagBox[
                   "\"Specified elements: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["6", "SummaryItem"]}]}, {
                 RowBox[{
                   TagBox["\"Dimensions: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                    RowBox[{"{", 
                    RowBox[{"2", ",", "3"}], "}"}], "SummaryItem"]}]}}, 
               GridBoxAlignment -> {
                "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
               False, GridBoxItemSize -> {
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
               GridBoxSpacings -> {
                "Columns" -> {{2}}, "Rows" -> {{Automatic}}}, 
               BaseStyle -> {
                ShowStringCharacters -> False, NumberMarks -> False, 
                 PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
            GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
            BaselinePosition -> {1, 1}], True -> GridBox[{{
              PaneBox[
               ButtonBox[
                DynamicBox[
                 FEPrivate`FrontEndResource[
                 "FEBitmaps", "SquareMinusIconMedium"]], 
                ButtonFunction :> (Typeset`open$$ = False), Appearance -> 
                None, Evaluator -> Automatic, Method -> "Preemptive"], 
               Alignment -> {Center, Center}, ImageSize -> 
               Dynamic[{
                 Automatic, 3.5 CurrentValue["FontCapHeight"]/
                  AbsoluteCurrentValue[Magnification]}]], 
              GraphicsBox[
               
               RasterBox[{{{0.46889109523809525`, 0.761964, 
                0.982842380952381}, {0.6204760476190477, 0.843292, 
                0.9907726904761904}, {0.772061, 0.92462, 0.998703}}, {{
                0.24994580952380951`, 0.4310984285714285, 
                0.8765596428571428}, {0.264460619047619, 0.5345468571428571, 
                0.9198282857142858}, {0.2789754285714286, 0.6379952857142859, 
                0.9630969285714286}}}, {{0, 0}, {3, 2}}, {0, 1}], AspectRatio -> 
               1, Axes -> False, Frame -> False, FrameLabel -> {None, None}, 
               FrameStyle -> Directive[
                 Opacity[0.5], 
                 Thickness[Tiny], 
                 RGBColor[0.368417, 0.506779, 0.709798]], 
               FrameTicks -> {{None, None}, {None, None}}, GridLinesStyle -> 
               Directive[
                 GrayLevel[0.5, 0.4]], ImageSize -> 
               Dynamic[{
                 Automatic, 3.5 CurrentValue["FontCapHeight"]/
                  AbsoluteCurrentValue[Magnification]}], 
               Method -> {
                "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
                 Automatic, 
                 "DefaultGraphicsInteraction" -> {
                  "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                   "Effects" -> {
                    "Highlight" -> {"ratio" -> 2}, 
                    "HighlightPoint" -> {"ratio" -> 2}, 
                    "Droplines" -> {
                    "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
                 "DefaultPlotStyle" -> Automatic, "DomainPadding" -> 
                 Scaled[0.02], "RangePadding" -> Scaled[0.05]}], 
              GridBox[{{
                 RowBox[{
                   TagBox[
                   "\"Specified elements: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["6", "SummaryItem"]}]}, {
                 RowBox[{
                   TagBox["\"Dimensions: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                    RowBox[{"{", 
                    RowBox[{"2", ",", "3"}], "}"}], "SummaryItem"]}]}, {
                 RowBox[{
                   TagBox["\"Default: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["0", "SummaryItem"]}]}, {
                 RowBox[{
                   TagBox["\"Density: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["1.`", "SummaryItem"]}]}, {
                 RowBox[{
                   TagBox["\"Elements:\"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["\"\"", "SummaryItem"]}]}, {
                 TagBox[
                  TagBox[
                   GridBox[{{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "1"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    "1", ContentPadding -> False, FrameMargins -> 0, 
                    StripOnInput -> True, BaselinePosition -> Baseline, 
                    ImageSize -> {{1, 300}, Automatic}], LineBreakWithin -> 
                    False]}]}, {
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "2"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    "2", ContentPadding -> False, FrameMargins -> 0, 
                    StripOnInput -> True, BaselinePosition -> Baseline, 
                    ImageSize -> {{1, 300}, Automatic}], LineBreakWithin -> 
                    False]}]}, {
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "3"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    "3", ContentPadding -> False, FrameMargins -> 0, 
                    StripOnInput -> True, BaselinePosition -> Baseline, 
                    ImageSize -> {{1, 300}, Automatic}], LineBreakWithin -> 
                    False]}]}, {
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"2", ",", "1"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    "5", ContentPadding -> False, FrameMargins -> 0, 
                    StripOnInput -> True, BaselinePosition -> Baseline, 
                    ImageSize -> {{1, 300}, Automatic}], LineBreakWithin -> 
                    False]}]}, {
                    ItemBox[
                    "\"\[VerticalEllipsis]\"", Alignment -> Center, 
                    StripOnInput -> False]}}, 
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                    DefaultBaseStyle -> "Column", 
                    GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                   "Column"], "SummaryItem"]}}, 
               GridBoxAlignment -> {
                "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
               False, GridBoxItemSize -> {
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
               GridBoxSpacings -> {
                "Columns" -> {{2}}, "Rows" -> {{Automatic}}}, 
               BaseStyle -> {
                ShowStringCharacters -> False, NumberMarks -> False, 
                 PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
            GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
            BaselinePosition -> {1, 1}]}, 
         Dynamic[Typeset`open$$], ImageSize -> Automatic]},
       "SummaryPanel"],
      DynamicModuleValues:>{}], "]"}],
    SparseArray[
    Automatic, {2, 3}, 0, {
     1, {{0, 3, 6}, {{1}, {2}, {3}, {1}, {2}, {3}}}, {1, 2, 3, 5, 6, 7}}],
    Editable->False,
    SelectWithContents->True,
    Selectable->False]}], "}"}]], "Output",
 CellChangeTimes->{3.811571517137209*^9},
 CellLabel->
  "Out[110]=",ExpressionUUID->"7ecd980e-93dd-44d7-baa0-72db9ef27edc"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MatrixForm", "/@", 
  RowBox[{"{", 
   RowBox[{"a", ",", "b"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.541070093828125*^9, 3.54107012115625*^9}, {
  3.54107040615625*^9, 3.54107041821875*^9}},
 CellLabel->
  "In[111]:=",ExpressionUUID->"ab02d712-7585-460e-8426-73585858e03e"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"1", "2", "3"},
       {"5", "6", "7"}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[
     SparseArray[
      Automatic, {2, 3}, 0, {
       1, {{0, 3, 6}, {{1}, {2}, {3}, {1}, {2}, {3}}}, {1, 2, 3, 5, 6, 
        7}}]]]], ",", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", 
     TagBox[GridBox[{
        {
         RowBox[{"-", "4"}]},
        {
         RowBox[{"-", "8"}]}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.5599999999999999]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      Column], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[
      SparseArray[
      Automatic, {2}, 0, {1, {{0, 2}, {{1}, {2}}}, {-4, -8}}]]]]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.811571521573661*^9},
 CellLabel->
  "Out[111]=",ExpressionUUID->"c507757c-2eea-4341-83c7-42f4fc02025c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LinearSolve", "[", 
  RowBox[{"a", ",", 
   RowBox[{"-", "b"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.448936016421875*^9, 3.448936025796875*^9}, {
  3.44893605721875*^9, 3.448936077890625*^9}, {3.4489363141875*^9, 
  3.44893640809375*^9}, {3.54107043875*^9, 3.541070441765625*^9}},
 CellLabel->
  "In[112]:=",ExpressionUUID->"1e5cf56c-589d-4a91-aabe-22e1537268be"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "2"}], ",", "3", ",", "0"}], "}"}]], "Output",
 CellChangeTimes->{3.8115715239324794`*^9},
 CellLabel->
  "Out[112]=",ExpressionUUID->"7382292f-589f-414e-b7d4-eb8f9acb30f9"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"a", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"2", ",", "3", ",", "4"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"3", ",", "4", ",", "5"}], "}"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.8115717712960596`*^9, 3.8115717906508617`*^9}},
 CellLabel->
  "In[116]:=",ExpressionUUID->"f13761fc-b24d-43bb-9693-ff979af0ac8e"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "2", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "3", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "4", ",", "5"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.8115717877765408`*^9, 3.8115717921192656`*^9}},
 CellLabel->
  "Out[116]=",ExpressionUUID->"6b74012b-251a-4286-9e12-85d9a6755719"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MatrixRank", "[", "a", "]"}]], "Input",
 CellChangeTimes->{{3.541070475046875*^9, 3.541070478671875*^9}},
 CellLabel->
  "In[117]:=",ExpressionUUID->"a8b9ce2f-72d2-4b31-ba80-56e27988c87f"],

Cell[BoxData["2"], "Output",
 CellChangeTimes->{3.8115715283689637`*^9, 3.811571793884473*^9},
 CellLabel->
  "Out[117]=",ExpressionUUID->"1427a075-225d-4ce4-b376-3e186e64a0e1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"NullSpace", "[", "a", "]"}]], "Input",
 CellChangeTimes->{{3.448936090140625*^9, 3.4489360936875*^9}, {
  3.54107046859375*^9, 3.541070468828125*^9}},
 CellLabel->
  "In[114]:=",ExpressionUUID->"cba88ae0-a888-4b2b-b77e-d718e8211c1e"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"1", ",", 
    RowBox[{"-", "2"}], ",", "1"}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.811571530056032*^9},
 CellLabel->
  "Out[114]=",ExpressionUUID->"c5edc049-2550-45cd-8a3b-8e7750cb9fcd"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"\:4f8b", "\:ff1a", "\:6c42\:89e3\:7ebf\:6027\:65b9\:7a0b\:7ec4"}], 
   RowBox[{"(", GridBox[{
      {
       RowBox[{
        RowBox[{
         RowBox[{"x", "+", "y", "+", "z"}], "\[Equal]", "2"}], 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"x", "+", 
          RowBox[{"3", "y"}], "-", "z"}], "\[Equal]", 
         RowBox[{"-", "1"}]}], "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"2", "x"}], "+", 
          RowBox[{"5", "y"}], "+", 
          RowBox[{"2", "z"}]}], "\[Equal]", "1"}]}]},
      {
       RowBox[{
        RowBox[{
         RowBox[{"3", "x"}], "-", "y", "+", 
         RowBox[{"5", "z"}]}], "\[Equal]", 
        RowBox[{"-", "2"}]}]}
     }], ")"}]}], "\:3002"}]], "Text",
 CellChangeTimes->{{3.448936491328125*^9, 3.448936498265625*^9}, {
  3.44893654909375*^9, 3.448936634765625*^9}, {3.44893668865625*^9, 
  3.448936716703125*^9}, {3.541069965515625*^9, 3.54107001228125*^9}, {
  3.541070500078125*^9, 3.541070505859375*^9}, {3.541070587921875*^9, 
  3.5410706063125*^9}},ExpressionUUID->"5577f500-3fa7-409c-8002-7da4e37fd474"],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"b", ",", "a"}], "}"}], "=", 
  RowBox[{"CoefficientArrays", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"x", "+", "y", "+", "z"}], "\[Equal]", "2"}], ",", 
      RowBox[{
       RowBox[{"x", "+", 
        RowBox[{"3", " ", "y"}], "-", "z"}], "\[Equal]", 
       RowBox[{"-", "1"}]}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"2", " ", "x"}], "+", 
        RowBox[{"5", " ", "y"}], "+", 
        RowBox[{"2", " ", "z"}]}], "\[Equal]", "1"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"3", " ", "x"}], "-", "y", "+", 
        RowBox[{"5", " ", "z"}]}], "\[Equal]", 
       RowBox[{"-", "2"}]}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "y", ",", "z"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.54107052646875*^9, 
  3.54107054959375*^9}},ExpressionUUID->"fb707292-8fee-41b7-a28f-\
f6b07fa166e2"],

Cell[BoxData[
 RowBox[{"LinearSolve", "[", 
  RowBox[{"a", ",", 
   RowBox[{"-", "b"}]}], "]"}]], "Input",ExpressionUUID->"1a0ff9b7-b059-4933-\
a61d-0a5bd409ac08"],

Cell[BoxData[
 RowBox[{"LeastSquares", "[", 
  RowBox[{"a", ",", 
   RowBox[{"-", "b"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.44893663946875*^9, 3.448936742015625*^9}, {
  3.541070632*^9, 3.541070641484375*^9}, {3.541121206125*^9, 
  3.54112122090625*^9}},ExpressionUUID->"5247d024-c0bb-4116-b781-\
4c76de42390a"],

Cell[BoxData[
 RowBox[{
  RowBox[{"PseudoInverse", "[", "a", "]"}], ".", 
  RowBox[{"(", 
   RowBox[{"-", "b"}], ")"}]}]], "Input",
 CellChangeTimes->{{3.541121182765625*^9, 
  3.5411212268125*^9}},ExpressionUUID->"d6c6a307-a3e0-4495-9f4e-7780f0f6e001"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\:7ebf\:6027\:7a7a\:95f4\:7684\:57fa", "Subsubsection",
 CellChangeTimes->{{3.44889189796875*^9, 3.44889193159375*^9}, {
   3.448891995*^9, 3.448891998546875*^9}, {3.448892081859375*^9, 
   3.44889209540625*^9}, 3.5410696565625*^9, {3.541069687359375*^9, 
   3.54106968940625*^9}, {3.54107107128125*^9, 
   3.541071083078125*^9}},ExpressionUUID->"cfc529b9-1be6-4632-9b32-\
dfebc5f1937f"],

Cell[BoxData[{
 ButtonBox[
  RowBox[{"RowReduce", "[", 
   RowBox[{"{", 
    RowBox[{
     StyleBox[
      SubscriptBox[
       StyleBox["v", "TI"], 
       StyleBox["1", "TR"]], "TI"], 
     StyleBox[",", "TI"], 
     StyleBox[
      SubscriptBox[
       StyleBox["v", "TI"], 
       StyleBox["2", "TR"]], "TI"], 
     StyleBox[",", "TI"], 
     StyleBox["\[Ellipsis]", "TR"]}], "}"}], "]"}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/RowReduce"], "\n", 
 ButtonBox[
  RowBox[{
   ButtonBox["Orthogonalize",
    BaseStyle->"Link",
    ButtonData->"paclet:ref/Orthogonalize"], "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox[
       StyleBox["v", "TI"], 
       StyleBox["1", "TR"]], ",", 
      SubscriptBox[
       StyleBox["v", "TI"], 
       StyleBox["2", "TR"]], ",", 
      StyleBox["\[Ellipsis]", "TR"]}], "}"}], ",", 
    StyleBox["f", "TI"]}], "]"}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Orthogonalize"]}], "Input",
 CellChangeTimes->{{3.448922181296875*^9, 3.44892220321875*^9}, {
   3.44892419103125*^9, 3.44892421190625*^9}, {3.448936808359375*^9, 
   3.44893681346875*^9}, 3.541070718515625*^9, {3.54107079925*^9, 
   3.5410710629375*^9}, {3.54107153128125*^9, 
   3.541071545359375*^9}},ExpressionUUID->"0e3952c5-8fea-4485-89ab-\
98b56f982aae"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"m", "=", "5"}], ";", 
  RowBox[{"n", "=", "10"}], ";", 
  RowBox[{"a", "=", 
   RowBox[{"RandomInteger", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"m", ",", "n"}], "}"}]}], "]"}]}], ";", 
  RowBox[{"MatrixForm", "/@", 
   RowBox[{"{", 
    RowBox[{"a", ",", 
     RowBox[{"RowReduce", "[", "a", "]"}]}], "}"}]}]}]], "Input",
 CellChangeTimes->{{3.54107109278125*^9, 3.541071284796875*^9}, {
  3.54107134253125*^9, 3.541071352734375*^9}},
 CellLabel->
  "In[118]:=",ExpressionUUID->"b0df7dec-dc66-4e4e-8025-4e3097e0f6af"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {
        RowBox[{"-", "1"}], "0", "1", 
        RowBox[{"-", "1"}], "0", 
        RowBox[{"-", "1"}], 
        RowBox[{"-", "1"}], "1", "0", "0"},
       {"1", "1", "0", "1", "1", "0", 
        RowBox[{"-", "1"}], 
        RowBox[{"-", "1"}], 
        RowBox[{"-", "1"}], 
        RowBox[{"-", "1"}]},
       {"0", "1", "0", 
        RowBox[{"-", "1"}], "0", 
        RowBox[{"-", "1"}], "0", 
        RowBox[{"-", "1"}], "0", 
        RowBox[{"-", "1"}]},
       {
        RowBox[{"-", "1"}], "0", "0", 
        RowBox[{"-", "1"}], 
        RowBox[{"-", "1"}], 
        RowBox[{"-", "1"}], 
        RowBox[{"-", "1"}], 
        RowBox[{"-", "1"}], "1", "1"},
       {"1", "0", "1", 
        RowBox[{"-", "1"}], "1", "0", 
        RowBox[{"-", "1"}], "1", "1", "0"}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], ",", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"1", "0", "0", "0", "0", "0", 
        RowBox[{"-", "3"}], 
        RowBox[{"-", "2"}], "2", "2"},
       {"0", "1", "0", "0", "0", 
        RowBox[{"-", "1"}], 
        RowBox[{"-", "2"}], 
        RowBox[{"-", "2"}], "0", "0"},
       {"0", "0", "1", "0", "0", 
        RowBox[{"-", "1"}], 
        RowBox[{"-", "6"}], 
        RowBox[{"-", "2"}], "2", "3"},
       {"0", "0", "0", "1", "0", "0", 
        RowBox[{"-", "2"}], 
        RowBox[{"-", "1"}], "0", "1"},
       {"0", "0", "0", "0", "1", "1", "6", "4", 
        RowBox[{"-", "3"}], 
        RowBox[{"-", "4"}]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}], "}"}]], "Output",
 CellChangeTimes->{3.8115720660233135`*^9},
 CellLabel->
  "Out[118]=",ExpressionUUID->"0d432336-8172-4642-8db5-43487ce4f6b0"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"b", "=", 
   RowBox[{"Orthogonalize", "[", 
    RowBox[{"N", "[", "a", "]"}], "]"}]}], ";", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"b", "//", "MatrixForm"}], ",", 
    RowBox[{
     RowBox[{"b", ".", 
      RowBox[{"Transpose", "[", "b", "]"}]}], "//", "MatrixForm"}]}], 
   "}"}]}]], "Input",
 CellChangeTimes->{{3.54107131728125*^9, 3.541071333265625*^9}, {
  3.5410714451875*^9, 3.54107145809375*^9}, {3.541071565921875*^9, 
  3.541071635828125*^9}},
 CellLabel->
  "In[119]:=",ExpressionUUID->"a4433422-c73b-4381-865f-c529363c779d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {
        RowBox[{"-", "0.40824829046386296`"}], "0.`", "0.40824829046386296`", 
        
        RowBox[{"-", "0.40824829046386296`"}], "0.`", 
        RowBox[{"-", "0.40824829046386296`"}], 
        RowBox[{"-", "0.40824829046386296`"}], "0.40824829046386296`", "0.`", 
        "0.`"},
       {"0.24618298195866548`", "0.3692744729379982`", "0.12309149097933272`",
         "0.24618298195866548`", "0.3692744729379982`", 
        RowBox[{"-", "0.12309149097933272`"}], 
        RowBox[{"-", "0.49236596391733095`"}], 
        RowBox[{"-", "0.24618298195866548`"}], 
        RowBox[{"-", "0.3692744729379982`"}], 
        RowBox[{"-", "0.3692744729379982`"}]},
       {
        RowBox[{"-", "0.02247332874877477`"}], "0.337099931231621`", 
        RowBox[{"-", "0.1348399724926484`"}], 
        RowBox[{"-", "0.5168865612218189`"}], 
        RowBox[{"-", "0.15731330124142318`"}], 
        RowBox[{"-", "0.3595732599803958`"}], "0.29215327373407163`", 
        RowBox[{"-", "0.47193990372426947`"}], "0.15731330124142318`", 
        RowBox[{"-", "0.337099931231621`"}]},
       {
        RowBox[{"-", "0.13385374901653424`"}], 
        RowBox[{"-", "0.037883136514113534`"}], 
        RowBox[{"-", "0.12122603684516309`"}], "0.10354723980524344`", 
        RowBox[{"-", "0.2550797858616974`"}], 
        RowBox[{"-", "0.09597061250242075`"}], 
        RowBox[{"-", "0.5328894536318628`"}], 
        RowBox[{"-", "0.5379405385004113`"}], "0.2550797858616974`", 
        "0.4924807746834751`"},
       {"0.6002763331288058`", 
        RowBox[{"-", "0.006120064568857825`"}], "0.15810166802882739`", 
        RowBox[{"-", "0.3386435728101335`"}], "0.31416331453470214`", 
        "0.16218171107473253`", 
        RowBox[{"-", "0.17493184559318642`"}], "0.09078095777139122`", 
        "0.5742660587111601`", "0.0795608393951518`"}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], ",", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"0.9999999999999998`", 
        RowBox[{"-", "2.7755575615628914`*^-17"}], "0.`", 
        RowBox[{"-", "5.551115123125783`*^-17"}], 
        "1.1796119636642288`*^-16"},
       {
        RowBox[{"-", "2.7755575615628914`*^-17"}], "1.`", 
        RowBox[{"-", "2.7755575615628914`*^-17"}], 
        RowBox[{"-", "5.551115123125783`*^-17"}], 
        RowBox[{"-", "3.469446951953614`*^-17"}]},
       {"0.`", 
        RowBox[{"-", "2.7755575615628914`*^-17"}], "1.`", "0.`", 
        "2.7755575615628914`*^-17"},
       {
        RowBox[{"-", "5.551115123125783`*^-17"}], 
        RowBox[{"-", "5.551115123125783`*^-17"}], "0.`", 
        "0.9999999999999998`", 
        RowBox[{"-", "6.938893903907228`*^-18"}]},
       {"1.1796119636642288`*^-16", 
        RowBox[{"-", "3.469446951953614`*^-17"}], "2.7755575615628914`*^-17", 
        
        RowBox[{"-", "6.938893903907228`*^-18"}], "1.0000000000000002`"}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}], "}"}]], "Output",
 CellChangeTimes->{3.811572070241067*^9},
 CellLabel->
  "Out[119]=",ExpressionUUID->"7a455587-a418-4ee6-a248-87b5c2f4480d"]
}, Open  ]],

Cell["\:4f8b\:ff1a\:6c42\:4e24\:4e2a\:7ebf\:6027\:5b50\:7a7a\:95f4\:7684\:4ea4\
\:7684\:57fa\:3002", "Text",
 CellChangeTimes->{{3.541071699453125*^9, 
  3.541071734734375*^9}},ExpressionUUID->"f927178e-8c97-421e-bbf0-\
e6489f80ff11"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"w1", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", "1", ",", "1", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "3", ",", "2", ",", "1"}], "}"}]}], "}"}]}], ";", 
  RowBox[{"w2", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"2", ",", 
       RowBox[{"-", "1"}], ",", "0", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", 
       RowBox[{"-", "1"}], ",", "3", ",", "7"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"NullSpace", "[", 
    RowBox[{"Transpose", "[", 
     RowBox[{"Join", "[", 
      RowBox[{"w1", ",", "w2"}], "]"}], "]"}], "]"}], "\[LeftDoubleBracket]", 
   
   RowBox[{"All", ",", 
    RowBox[{"{", 
     RowBox[{"4", ",", "5"}], "}"}]}], "\[RightDoubleBracket]"}], ".", 
  "w2"}]}], "Input",
 CellChangeTimes->{{3.541071755984375*^9, 3.54107181959375*^9}, {
  3.54107186875*^9, 3.541072140296875*^9}, {3.54107229084375*^9, 
  3.541072321953125*^9}, {3.5410723725625*^9, 3.541072375125*^9}, {
  3.558993434475685*^9, 3.5589934916965857`*^9}, {3.5589935220698385`*^9, 
  3.5589935244098425`*^9}, {3.558993575172332*^9, 3.558993599867175*^9}, {
  3.5589936695056973`*^9, 3.5589937520298424`*^9}},
 CellLabel->
  "In[120]:=",ExpressionUUID->"f5168811-193a-427d-8034-ae5cf1a864a4"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "5"}], ",", "2", ",", "3", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.811572336298229*^9},
 CellLabel->
  "Out[121]=",ExpressionUUID->"7d3fdc09-10eb-4dd9-99f7-3df1128dddb7"]
}, Open  ]],

Cell["\:4f8b\:ff1a\:6c42\:7ebf\:6027\:5b50\:7a7a\:95f4\:7684\:6b63\:4ea4\:8865\
\:7684\:6807\:51c6\:6b63\:4ea4\:57fa\:3002", "Text",
 CellChangeTimes->{{3.541072185390625*^9, 3.541072214*^9}, {
  3.541072252609375*^9, 
  3.541072257015625*^9}},ExpressionUUID->"4a815a99-00bf-48e3-adac-\
db1675a17375"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"a", "=", 
   RowBox[{"RandomInteger", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "8"}], "}"}]}], "]"}]}], ";", 
  RowBox[{"c", "=", 
   RowBox[{"Orthogonalize", "[", 
    RowBox[{"NullSpace", "[", "a", "]"}], "]"}]}], ";", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a", "//", "MatrixForm"}], ",", 
    RowBox[{"c", "//", "MatrixForm"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.5410722714375*^9, 3.541072405171875*^9}},
 CellLabel->
  "In[122]:=",ExpressionUUID->"8bd0d9c8-9fac-4366-bd5e-1d2682ae9e61"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"0", "1", 
        RowBox[{"-", "1"}], 
        RowBox[{"-", "1"}], 
        RowBox[{"-", "1"}], "1", 
        RowBox[{"-", "1"}], "0"},
       {"1", "1", "1", "0", "1", 
        RowBox[{"-", "1"}], 
        RowBox[{"-", "1"}], 
        RowBox[{"-", "1"}]},
       {
        RowBox[{"-", "1"}], 
        RowBox[{"-", "1"}], 
        RowBox[{"-", "1"}], "1", "0", 
        RowBox[{"-", "1"}], "1", "1"},
       {
        RowBox[{"-", "1"}], 
        RowBox[{"-", "1"}], 
        RowBox[{"-", "1"}], "1", 
        RowBox[{"-", "1"}], "0", "1", "1"}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], ",", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {
        FractionBox["1", 
         SqrtBox["2"]], "0", "0", "0", "0", "0", "0", 
        FractionBox["1", 
         SqrtBox["2"]]},
       {"0", 
        FractionBox["1", 
         SqrtBox["2"]], "0", "0", "0", "0", 
        FractionBox["1", 
         SqrtBox["2"]], "0"},
       {
        RowBox[{"-", 
         FractionBox["1", "4"]}], 
        FractionBox["1", "4"], "0", 
        FractionBox["1", "2"], 
        FractionBox["1", "2"], 
        FractionBox["1", "2"], 
        RowBox[{"-", 
         FractionBox["1", "4"]}], 
        FractionBox["1", "4"]},
       {
        RowBox[{"-", 
         FractionBox["13", 
          RowBox[{"4", " ", 
           SqrtBox["47"]}]]}], 
        FractionBox["5", 
         RowBox[{"4", " ", 
          SqrtBox["47"]}]], 
        FractionBox["4", 
         SqrtBox["47"]], 
        RowBox[{"-", 
         FractionBox["3", 
          RowBox[{"2", " ", 
           SqrtBox["47"]}]]}], 
        RowBox[{"-", 
         FractionBox["3", 
          RowBox[{"2", " ", 
           SqrtBox["47"]}]]}], 
        RowBox[{"-", 
         FractionBox["3", 
          RowBox[{"2", " ", 
           SqrtBox["47"]}]]}], 
        RowBox[{"-", 
         FractionBox["5", 
          RowBox[{"4", " ", 
           SqrtBox["47"]}]]}], 
        FractionBox["13", 
         RowBox[{"4", " ", 
          SqrtBox["47"]}]]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}], "}"}]], "Output",
 CellChangeTimes->{3.811572338436471*^9},
 CellLabel->
  "Out[122]=",ExpressionUUID->"43b2b7cc-9641-4e88-9f6f-3ae60c131534"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\:77e9\:9635\:7684\:4e58\:79ef\:5206\:89e3", "Subsubsection",
 CellChangeTimes->{{3.44889189796875*^9, 3.448891901125*^9}, {
  3.448891938984375*^9, 3.448891941125*^9}, {3.448892038328125*^9, 
  3.448892101421875*^9}, {3.541069692390625*^9, 
  3.5410696940625*^9}},ExpressionUUID->"649e7435-60b2-47a9-afa3-bd22797fc349"],

Cell[BoxData[{
 ButtonBox[
  RowBox[{"LUDecomposition", "[", 
   StyleBox["A", "TI"], "]"}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/LUDecomposition"], "\n", 
 RowBox[{
  ButtonBox[
   RowBox[{"CholeskyDecomposition", "[", 
    StyleBox["A", "TI"], "]"}],
   BaseStyle->"Link",
   ButtonData->"paclet:ref/CholeskyDecomposition"], "                 ", 
  "\:6b63\:5b9a\:9635\:7684\:76f8\:5408\:5206\:89e3"}], "\n", 
 RowBox[{
  ButtonBox[
   RowBox[{"HermiteDecomposition", "[", 
    StyleBox["A", "TI"], "]"}],
   BaseStyle->"Link",
   ButtonData->"paclet:ref/HermiteDecomposition"], "                   ", 
  "\:5e7a\:6a21\:53d8\:6362\:4e0a\:4e09\:89d2"}], "\n", 
 RowBox[{
  ButtonBox[
   RowBox[{"JordanDecomposition", "[", 
    StyleBox["A", "TI"], "]"}],
   BaseStyle->"Link",
   ButtonData->"paclet:ref/JordanDecomposition"], "                      ", 
  "\:76f8\:4f3c\:6807\:51c6\:578b"}], "\n", 
 RowBox[{
  RowBox[{
   ButtonBox[
    RowBox[{"QRDecomposition", "[", 
     StyleBox["A", "TI"], "]"}],
    BaseStyle->"Link",
    ButtonData->"paclet:ref/QRDecomposition"], "                               ",
    "\:6b63\:4ea4\:53d8\:6362\:4e0a\:4e09\:89d2"}], " "}], "\n", 
 RowBox[{
  ButtonBox[
   RowBox[{"SingularValueDecomposition", "[", 
    StyleBox["A", "TI"], "]"}],
   BaseStyle->"Link",
   ButtonData->"paclet:ref/SingularValueDecomposition"], "     ", 
  "\:6b63\:4ea4\:76f8\:62b5\:6807\:51c6\:5f62"}], "\n", 
 RowBox[{
  ButtonBox[
   RowBox[{"SchurDecomposition", "[", 
    StyleBox["A", "TI"], "]"}],
   BaseStyle->"Link",
   ButtonData->"paclet:ref/SchurDecomposition"], "                        ", 
  "\:6b63\:4ea4\:76f8\:4f3c\:4e0a\:4e09\:89d2"}], "\n", 
 RowBox[{
  ButtonBox[
   RowBox[{"HessenbergDecomposition", "[", 
    StyleBox["A", "TI"], "]"}],
   BaseStyle->"Link",
   ButtonData->"paclet:ref/HessenbergDecomposition"], "            ", 
  "\:6b63\:4ea4\:76f8\:4f3cHessenberg"}]}], "Input",
 CellChangeTimes->{{3.448922430421875*^9, 3.448922431640625*^9}, {
   3.448937402484375*^9, 3.448937404828125*^9}, 3.541072556484375*^9, {
   3.54107264246875*^9, 3.54107267625*^9}, {3.541072929296875*^9, 
   3.541072932171875*^9}, {3.541073002953125*^9, 3.541073205765625*^9}, {
   3.541073240703125*^9, 3.54107328284375*^9}, 
   3.541073315796875*^9},ExpressionUUID->"fcda6059-0060-494d-8061-\
065fcdf2f4b1"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"n", "=", "4"}], ";", 
  RowBox[{"a", "=", 
   RowBox[{"RandomReal", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"n", ",", "n"}], "}"}]}], "]"}]}], ";", 
  RowBox[{"MatrixForm", "/@", 
   RowBox[{"JordanDecomposition", "[", "a", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.448937457859375*^9, 3.44893749603125*^9}, {
  3.541073340328125*^9, 3.5410734181875*^9}, {3.541073498984375*^9, 
  3.541073506828125*^9}},
 CellLabel->
  "In[123]:=",ExpressionUUID->"b70761dc-cc3f-48f3-bbfe-8d810c6f92be"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {
        RowBox[{
         RowBox[{"-", "0.1428348266869283`"}], "+", 
         RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
        RowBox[{
         RowBox[{"-", "0.020748684784505225`"}], "+", 
         RowBox[{"0.5968304842078803`", " ", "\[ImaginaryI]"}]}], 
        RowBox[{
         RowBox[{"-", "0.020748684784505225`"}], "-", 
         RowBox[{"0.5968304842078803`", " ", "\[ImaginaryI]"}]}], 
        RowBox[{
         RowBox[{"-", "0.09930316397936813`"}], "+", 
         RowBox[{"0.`", " ", "\[ImaginaryI]"}]}]},
       {
        RowBox[{"0.2996350148064983`", "\[VeryThinSpace]", "+", 
         RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
        RowBox[{
         RowBox[{"-", "0.6369646142794285`"}], "+", 
         RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
        RowBox[{
         RowBox[{"-", "0.6369646142794285`"}], "+", 
         RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
        RowBox[{"0.2910671992479875`", "\[VeryThinSpace]", "+", 
         RowBox[{"0.`", " ", "\[ImaginaryI]"}]}]},
       {
        RowBox[{
         RowBox[{"-", "0.5360607691944407`"}], "+", 
         RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
        RowBox[{
         RowBox[{"-", "0.3936945228758505`"}], "-", 
         RowBox[{"0.20498285886017942`", " ", "\[ImaginaryI]"}]}], 
        RowBox[{
         RowBox[{"-", "0.3936945228758505`"}], "+", 
         RowBox[{"0.20498285886017942`", " ", "\[ImaginaryI]"}]}], 
        RowBox[{"0.7530393799923912`", "\[VeryThinSpace]", "+", 
         RowBox[{"0.`", " ", "\[ImaginaryI]"}]}]},
       {
        RowBox[{"0.7761803411050098`", "\[VeryThinSpace]", "+", 
         RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
        RowBox[{
         RowBox[{"-", "0.05260218858559369`"}], "+", 
         RowBox[{"0.19457287925820643`", " ", "\[ImaginaryI]"}]}], 
        RowBox[{
         RowBox[{"-", "0.05260218858559369`"}], "-", 
         RowBox[{"0.19457287925820643`", " ", "\[ImaginaryI]"}]}], 
        RowBox[{"0.5816790002452331`", "\[VeryThinSpace]", "+", 
         RowBox[{"0.`", " ", "\[ImaginaryI]"}]}]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], ",", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {
        RowBox[{
         RowBox[{"-", "1.0823584662513328`"}], "+", 
         RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], "0", "0", "0"},
       {"0", 
        RowBox[{"0.5753760044707236`", "\[VeryThinSpace]", "+", 
         RowBox[{"0.6911582855873871`", " ", "\[ImaginaryI]"}]}], "0", "0"},
       {"0", "0", 
        RowBox[{"0.5753760044707236`", "\[VeryThinSpace]", "-", 
         RowBox[{"0.6911582855873871`", " ", "\[ImaginaryI]"}]}], "0"},
       {"0", "0", "0", 
        RowBox[{"0.016481801509859853`", "\[VeryThinSpace]", "+", 
         RowBox[{"0.`", " ", "\[ImaginaryI]"}]}]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}], "}"}]], "Output",
 CellChangeTimes->{3.811572346465824*^9},
 CellLabel->
  "Out[123]=",ExpressionUUID->"3e35499a-2d8a-4460-965a-c67faa1ced5c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MatrixForm", "/@", 
  RowBox[{"Eigensystem", "[", "a", "]"}]}]], "Input",
 CellChangeTimes->{{3.448937529859375*^9, 3.448937564953125*^9}, 
   3.5410734300625*^9},
 CellLabel->
  "In[124]:=",ExpressionUUID->"4a8b4623-85f1-47d1-b031-51bb351af052"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   TagBox[
    RowBox[{"(", "\[NoBreak]", 
     TagBox[GridBox[{
        {
         RowBox[{"-", "1.0823584662513328`"}]},
        {
         RowBox[{"0.5753760044707236`", "\[VeryThinSpace]", "+", 
          RowBox[{"0.6911582855873871`", " ", "\[ImaginaryI]"}]}]},
        {
         RowBox[{"0.5753760044707236`", "\[VeryThinSpace]", "-", 
          RowBox[{"0.6911582855873871`", " ", "\[ImaginaryI]"}]}]},
        {"0.016481801509859853`"}
       },
       GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.5599999999999999]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      Column], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]], ",", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {
        RowBox[{
         RowBox[{"-", "0.1428348266869283`"}], "+", 
         RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
        RowBox[{"0.2996350148064983`", "\[VeryThinSpace]", "+", 
         RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
        RowBox[{
         RowBox[{"-", "0.5360607691944407`"}], "+", 
         RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
        RowBox[{"0.7761803411050098`", "\[VeryThinSpace]", "+", 
         RowBox[{"0.`", " ", "\[ImaginaryI]"}]}]},
       {
        RowBox[{
         RowBox[{"-", "0.020748684784505225`"}], "+", 
         RowBox[{"0.5968304842078803`", " ", "\[ImaginaryI]"}]}], 
        RowBox[{
         RowBox[{"-", "0.6369646142794285`"}], "+", 
         RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
        RowBox[{
         RowBox[{"-", "0.3936945228758505`"}], "-", 
         RowBox[{"0.20498285886017942`", " ", "\[ImaginaryI]"}]}], 
        RowBox[{
         RowBox[{"-", "0.05260218858559369`"}], "+", 
         RowBox[{"0.19457287925820643`", " ", "\[ImaginaryI]"}]}]},
       {
        RowBox[{
         RowBox[{"-", "0.020748684784505225`"}], "-", 
         RowBox[{"0.5968304842078803`", " ", "\[ImaginaryI]"}]}], 
        RowBox[{
         RowBox[{"-", "0.6369646142794285`"}], "+", 
         RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
        RowBox[{
         RowBox[{"-", "0.3936945228758505`"}], "+", 
         RowBox[{"0.20498285886017942`", " ", "\[ImaginaryI]"}]}], 
        RowBox[{
         RowBox[{"-", "0.05260218858559369`"}], "-", 
         RowBox[{"0.19457287925820643`", " ", "\[ImaginaryI]"}]}]},
       {
        RowBox[{
         RowBox[{"-", "0.09930316397936813`"}], "+", 
         RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
        RowBox[{"0.2910671992479875`", "\[VeryThinSpace]", "+", 
         RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
        RowBox[{"0.7530393799923912`", "\[VeryThinSpace]", "+", 
         RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
        RowBox[{"0.5816790002452331`", "\[VeryThinSpace]", "+", 
         RowBox[{"0.`", " ", "\[ImaginaryI]"}]}]}
      },
      GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}], "}"}]], "Output",
 CellChangeTimes->{3.8115723484497814`*^9},
 CellLabel->
  "Out[124]=",ExpressionUUID->"c1a76551-78c2-45d2-bfdc-7b8785ea95ed"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\:5e94\:7528\:6848\:4f8b", "Subsubsection",
 CellChangeTimes->{
  3.54106316290625*^9, {3.541069707265625*^9, 3.541069729796875*^9}, {
   3.807561964691572*^9, 
   3.807561972299078*^9}},ExpressionUUID->"95ce8ac4-6242-4408-8854-\
00683c680e1b"],

Cell["\:6570\:5b66\:5efa\:6a21", "Item",
 CellChangeTimes->{{3.54113531143735*^9, 
  3.541135316600959*^9}},ExpressionUUID->"4f0433c3-138d-42e5-b6a5-\
31ae801c3802"],

Cell[TextData[{
 "\:4f8b\:ff1a\:5728\:67d0\:7ade\:6280\:4f53\:80b2\:9879\:76ee\:4e2d\:ff0c\
\:5df2\:77e5n\:4f4d\:9009\:624b\:4e24\:4e24\:4e4b\:95f4\:7684\:4ea4\:624b\
\:8bb0\:5f55\:ff0c\:8bbe\:9009\:624bi\:80dc\:9009\:624bj\:5171\:8ba1",
 Cell[BoxData[
  SubscriptBox["w", "ij"]], "Text",
  CellChangeTimes->{{3.541073609484375*^9, 3.5410736146875*^9}, {
    3.5410738723125*^9, 3.541074284203125*^9}, {3.541074331484375*^9, 
    3.5410743714375*^9}, 3.541074605015625*^9, 3.54107484025*^9, {
    3.541075942734375*^9, 3.541076014671875*^9}},ExpressionUUID->
  "7bcc2e37-70c4-48af-bc31-ddeae2ec82f8"],
 "\:6b21\:4e14\:65e0\:5e73\:5c40\:3002\:8bd5\:5bf9\:9009\:624b\:7684\:5b9e\
\:529b\:8fdb\:884c\:6392\:540d\:3002\n\:89e3\:ff1a\:60f3\:8c61\:4e00\:4e2a\
\:5956\:676f\:5728\:8fd9n\:4f4d\:9009\:624b\:4e4b\:95f4\:8fd0\:52a8\:ff0c\
\:67d0\:65f6\:523b\:5230\:8fbe\:9009\:624bi\:5904\:540e\:ff0c\:4e0b\:4e00\
\:65f6\:523b\:4ee5\:6982\:7387",
 Cell[BoxData[
  SubscriptBox["p", "ij"]], "Text",
  CellChangeTimes->{{3.541073609484375*^9, 3.5410736146875*^9}, {
    3.5410738723125*^9, 3.541074284203125*^9}, {3.541074331484375*^9, 
    3.5410743714375*^9}, 3.541074605015625*^9, 3.54107484025*^9, {
    3.541075942734375*^9, 3.541076014671875*^9}},ExpressionUUID->
  "1d8eaf7a-16ce-4830-a069-72bf226046b7"],
 "\:5230\:8fbe\:9009\:624bj\:5904\:3002",
 Cell[BoxData[
  SubscriptBox["p", "ii"]], "Text",
  CellChangeTimes->{{3.541073609484375*^9, 3.5410736146875*^9}, {
    3.5410738723125*^9, 3.541074284203125*^9}, {3.541074331484375*^9, 
    3.5410743714375*^9}, 3.541074605015625*^9, 3.54107484025*^9, {
    3.541075942734375*^9, 3.541076014671875*^9}},ExpressionUUID->
  "de8081a0-b599-4f67-a47e-de7c13ffe933"],
 "=",
 Cell[BoxData[
  FractionBox[
   RowBox[{
    UnderscriptBox["\[Sum]", "j"], 
    SubscriptBox["w", "ij"]}], 
   RowBox[{
    UnderscriptBox["\[Sum]", "j"], 
    RowBox[{"(", 
     RowBox[{
      SubscriptBox["w", "ij"], "+", 
      SubscriptBox["w", "ji"]}], ")"}]}]]],ExpressionUUID->
  "fa16d08b-0901-44cd-8fce-12441c15b19d"],
 "\:ff0c",
 Cell[BoxData[
  SubscriptBox["p", "ij"]], "Text",
  CellChangeTimes->{{3.541073609484375*^9, 3.5410736146875*^9}, {
    3.5410738723125*^9, 3.541074284203125*^9}, {3.541074331484375*^9, 
    3.5410743714375*^9}, 3.541074605015625*^9, 3.54107484025*^9, {
    3.541075942734375*^9, 3.541076014671875*^9}},ExpressionUUID->
  "75d3dc1e-cb4a-4a6f-99d7-441c80a85d90"],
 "=",
 Cell[BoxData[
  FractionBox[
   SubscriptBox["w", "ji"], 
   RowBox[{
    UnderscriptBox["\[Sum]", "j"], 
    RowBox[{"(", 
     RowBox[{
      SubscriptBox["w", "ij"], "+", 
      SubscriptBox["w", "ji"]}], ")"}]}]]],ExpressionUUID->
  "eb3ea0c6-6f8f-472a-8d6a-41213b357d96"],
 "\:ff0ci \[NotEqual] j\:3002\n\:5956\:676f\:5728\:9009\:624bi\:5904\:7684\
\:6982\:7387",
 Cell[BoxData[
  SubscriptBox["q", "i"]], "Text",
  CellChangeTimes->{{3.541073609484375*^9, 3.5410736146875*^9}, {
    3.5410738723125*^9, 3.541074284203125*^9}, {3.541074331484375*^9, 
    3.5410743714375*^9}, 3.541074605015625*^9, 3.54107484025*^9, {
    3.541075942734375*^9, 3.541076014671875*^9}},ExpressionUUID->
  "507dc8b0-74e0-4922-b7b0-0963d1257968"],
 "\:53ef\:4ee5\:4f53\:73b0\:9009\:624bi\:7684\:5b9e\:529b\:3002q\:662f",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["P", "T"], TraditionalForm]],ExpressionUUID->
  "2a7fbcc4-06cf-47da-a292-e3155e56af24"],
 "\:7684\:5c5e\:4e8e\:7279\:5f81\:503c1\:7684\:7279\:5f81\:5411\:91cf\:3002"
}], "Text",
 CellChangeTimes->{{3.5411352567592535`*^9, 3.5411352691924753`*^9}, {
  3.5411353612326374`*^9, 3.5411355390105495`*^9}, {3.5411356974392276`*^9, 
  3.5411357861565833`*^9}, {3.5411358237838497`*^9, 3.541135905637193*^9}, {
  3.541135957304484*^9, 3.541136055959057*^9}, {3.541136181648478*^9, 
  3.5411362415213833`*^9}, {3.541136299054284*^9, 3.541136363451197*^9}, {
  3.541136395197253*^9, 3.5411364354141235`*^9}, {3.54113649015462*^9, 
  3.5411367010201902`*^9}, {3.541136731237443*^9, 3.541136735621051*^9}, {
  3.5411368274896126`*^9, 3.5411369449390187`*^9}, {3.5411369778394766`*^9, 
  3.5411371559993887`*^9}},ExpressionUUID->"47acabab-7a8d-4a56-a30d-\
6c705eee4f01"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"n", "=", "10"}], ";", 
  RowBox[{"w", "=", 
   RowBox[{"RandomInteger", "[", 
    RowBox[{"10", ",", 
     RowBox[{"{", 
      RowBox[{"n", ",", "n"}], "}"}]}], "]"}]}], ";", 
  RowBox[{"Do", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"w", "\[LeftDoubleBracket]", 
      RowBox[{"i", ",", "i"}], "\[RightDoubleBracket]"}], "=", "0"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "n"}], "}"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"s", "=", 
   RowBox[{"Total", "/@", "w"}]}], ";", 
  RowBox[{"t", "=", 
   RowBox[{"s", "+", 
    RowBox[{"Total", "[", "w", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"p", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"i", "\[Equal]", "j"}], ",", 
       RowBox[{
        RowBox[{"s", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
        "/", 
        RowBox[{"t", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]}],
        ",", 
       RowBox[{
        RowBox[{"w", "\[LeftDoubleBracket]", 
         RowBox[{"j", ",", "i"}], "\[RightDoubleBracket]"}], "/", 
        RowBox[{
        "t", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]}]}], 
      "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "n"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "n"}], "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"q", "=", 
   RowBox[{
    RowBox[{"NullSpace", "[", 
     RowBox[{
      RowBox[{"Transpose", "[", "p", "]"}], "-", 
      RowBox[{"IdentityMatrix", "[", "n", "]"}]}], "]"}], 
    "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], ";", 
  RowBox[{"q", "=", 
   RowBox[{"N", "[", 
    RowBox[{"q", "/", 
     RowBox[{"Total", "[", "q", "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"r", "=", 
   RowBox[{"Ordering", "[", 
    RowBox[{"Ordering", "[", 
     RowBox[{"-", "q"}], "]"}], "]"}]}], ";", 
  RowBox[{
   RowBox[{"MatrixForm", "/@", 
    RowBox[{"{", 
     RowBox[{"w", ",", "q", ",", "r"}], "}"}]}], "."}]}]}], "Input",
 CellChangeTimes->{{3.541137071868441*^9, 3.5411370748480463`*^9}, {
   3.5411371693842125`*^9, 3.54113719077185*^9}, {3.5411372806124077`*^9, 
   3.541137593892158*^9}, {3.5411376464642506`*^9, 3.5411376771963043`*^9}, {
   3.5411377375996103`*^9, 3.5411377574428453`*^9}, {3.5411379198047304`*^9, 
   3.541137921255533*^9}, {3.541138011813692*^9, 3.5411380329985294`*^9}, {
   3.54113809035983*^9, 3.5411381205614834`*^9}, {3.541138190309206*^9, 
   3.5411384188340073`*^9}, {3.5411384567888737`*^9, 3.541138521794188*^9}, {
   3.5411385743818803`*^9, 3.541138574771881*^9}, {3.541138650697214*^9, 
   3.5411386713048506`*^9}, {3.5411387390713696`*^9, 
   3.5411387414581738`*^9}, {3.541138782673446*^9, 3.541138783328647*^9}, {
   3.541138819614311*^9, 3.5411388266655235`*^9}, {3.541138910812071*^9, 
   3.541138943462929*^9}, {3.541139229692231*^9, 3.541139246602661*^9}, 
   3.8115725897499914`*^9},ExpressionUUID->"1a7b2de8-cbef-49f7-a4e6-\
337a27b2b3e9"],

Cell["\:7ebf\:6027\:89c4\:5212", "Item",
 CellChangeTimes->{{3.448937515921875*^9, 3.448937517359375*^9}, {
  3.5410629169375*^9, 3.54106292140625*^9}, {3.541063064625*^9, 
  3.54106308225*^9}, {3.541063198453125*^9, 3.541063208671875*^9}, {
  3.541063921375*^9, 
  3.54106392640625*^9}},ExpressionUUID->"43ac0555-1cff-4573-9038-\
bf50b6545695"],

Cell[BoxData[
 RowBox[{
  ButtonBox["LinearProgramming",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/LinearProgramming"], "[", 
  RowBox[{
   StyleBox["c", "TI"], ",", 
   StyleBox["m", "TI"], ",", 
   StyleBox["b", "TI"]}], "]"}]], "Input",ExpressionUUID->"ca951719-3daf-453c-\
a87d-64b060ad5008"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
  "\:4f8b", "\:ff1a", 
   "\:73b0\:9700\:8981\:4ecem\:4e2a\:4eba\:4e2d\:6311\:9009\:51fan\:4e2a\:4eba\
\:6765\:5b8c\:6210n\:9879\:5de5\:4f5c", "\:ff0c", "m"}], "\[GreaterEqual]", 
  RowBox[{
   RowBox[{
   "n", "\:ff0c", 
    "\:6bcf\:4eba\:72ec\:7acb\:627f\:62c5\:4e00\:9879\:5de5\:4f5c", "\:3002", 
    "\:5df2\:77e5\:4ebai\:5b8c\:6210\:5de5\:4f5cj\:9700\:65f6\:95f4"}], " ", 
   SubscriptBox["t", "ij"], 
   RowBox[{
   "\:3002", 
    "\:95ee\:5982\:4f55\:6307\:6d3e\:4efb\:52a1\:4f7f\:5de5\:4f5c\:65f6\:95f4\
\:603b\:548c\:6700\:5c0f", "\:ff1f"}]}]}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\:89e3", "\:ff1a", "\:539f\:95ee\:9898\:5316\:4e3a\:6c42"}], 
    RowBox[{
     UnderscriptBox["\[Sum]", 
      RowBox[{"i", ",", "j"}]], 
     RowBox[{
      SubscriptBox["x", "ij"], 
      SubscriptBox["t", "ij"], "\:5728\:7ea6\:675f\:6761\:4ef6", 
      RowBox[{"(", "1", ")"}], 
      RowBox[{
       UnderscriptBox["\[Sum]", "j"], 
       SubscriptBox["x", "ij"]}]}]}]}], "\[LessEqual]", "1"}], ",", 
  RowBox[{"\[ForAll]", 
   RowBox[{
    RowBox[{"i", 
     RowBox[{"(", "2", ")"}], 
     RowBox[{
      UnderscriptBox["\[Sum]", "i"], 
      SubscriptBox["x", "ij"]}]}], "\[Equal]", "1"}]}], ",", 
  RowBox[{
   RowBox[{"\[ForAll]", "j"}], ";", 
   RowBox[{
    RowBox[{
     RowBox[{"(", "3", ")"}], 
     SubscriptBox["x", "ij"]}], "\[Element]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1"}], "}"}]}]}], ",", 
  RowBox[{"\[ForAll]", "i"}], ",", 
  RowBox[{"j\:4e0b\:7684\:6700\:5c0f\:503c", "\:3002"}]}]}], "Text",
 CellChangeTimes->{{3.541073609484375*^9, 3.5410736146875*^9}, {
   3.5410738723125*^9, 3.541074284203125*^9}, {3.541074331484375*^9, 
   3.5410743714375*^9}, 3.541074605015625*^9, 3.54107484025*^9, {
   3.541075942734375*^9, 
   3.541076014671875*^9}},ExpressionUUID->"19a9a0b0-616f-409e-b3fb-\
88785bfc6188"],

Cell[BoxData[
 RowBox[{
  RowBox[{"t", "=", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"4", "6", "5", "8"},
       {"6", "10", "7", "4"},
       {"7", "8", "11", "9"},
       {"9", "3", "8", "6"}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}], ";", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"m", ",", "n"}], "}"}], "=", 
   RowBox[{"Dimensions", "[", "t", "]"}]}], ";", 
  RowBox[{"a", "=", 
   RowBox[{"Table", "[", 
    RowBox[{"0", ",", 
     RowBox[{"{", 
      RowBox[{"m", "+", "n"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"m", " ", "n"}], "}"}]}], "]"}]}], ";", 
  RowBox[{"Do", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"k", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"i", "-", "1"}], ")"}], " ", "n"}], "+", "j"}]}], ";", 
     RowBox[{
      RowBox[{"a", "\[LeftDoubleBracket]", 
       RowBox[{"i", ",", "k"}], "\[RightDoubleBracket]"}], "=", 
      RowBox[{
       RowBox[{"a", "\[LeftDoubleBracket]", 
        RowBox[{
         RowBox[{"m", "+", "j"}], ",", "k"}], "\[RightDoubleBracket]"}], "=", 
       "1"}]}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "m"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "n"}], "}"}]}], "]"}], ";", 
  RowBox[{"b", "=", 
   RowBox[{"Join", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", 
         RowBox[{"-", "1"}]}], "}"}], ",", 
       RowBox[{"{", "m", "}"}]}], "]"}], ",", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", "n", "}"}]}], "]"}]}], "]"}]}], ";", 
  RowBox[{"c", "=", 
   RowBox[{"Flatten", "[", "t", "]"}]}], ";", 
  RowBox[{"x", "=", 
   RowBox[{"LinearProgramming", "[", 
    RowBox[{"c", ",", "a", ",", "b", ",", "Automatic", ",", "Integers"}], 
    "]"}]}], ";", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"MatrixForm", "[", 
     RowBox[{"Partition", "[", 
      RowBox[{"x", ",", "n"}], "]"}], "]"}], ",", 
    RowBox[{"c", ".", "x"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.54107539196875*^9, 3.54107543196875*^9}, {
  3.541075554828125*^9, 3.5410755846875*^9}, {3.5410756156875*^9, 
  3.541075619703125*^9}},ExpressionUUID->"6701f4cf-3df5-480a-af89-\
f2b559ed0144"],

Cell["\:4ee3\:6570\:56fe\:8bba", "Item",
 CellChangeTimes->{{3.448937515921875*^9, 3.448937517359375*^9}, {
  3.5410629169375*^9, 3.54106292140625*^9}, {3.541063064625*^9, 
  3.54106308225*^9}, {3.541063198453125*^9, 
  3.541063208671875*^9}},ExpressionUUID->"bda451e8-d670-4e23-864a-\
1f4ce6302680"],

Cell[BoxData[
 ButtonBox[
  RowBox[{"GraphPlot", "[", 
   StyleBox["a", "TI"], "]"}],
  BaseStyle->"Link",
  ButtonData->"paclet:ref/GraphPlot"]], "Input",
 CellChangeTimes->{{3.541063011265625*^9, 3.5410630298125*^9}, {
  3.5410631984375*^9, 3.5410632464375*^9}, {3.541073587921875*^9, 
  3.54107359221875*^9}},ExpressionUUID->"113f01e7-f933-4dd3-9865-\
7fc2cf93c7e8"],

Cell[BoxData[
 RowBox[{
  RowBox[{"n", "=", "10"}], ";", 
  RowBox[{"a", "=", 
   RowBox[{"SparseArray", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Band", "[", 
         RowBox[{"{", 
          RowBox[{"1", ",", "2"}], "}"}], "]"}], "\[Rule]", "1"}], ",", 
       RowBox[{
        RowBox[{"Band", "[", 
         RowBox[{"{", 
          RowBox[{"n", ",", "1"}], "}"}], "]"}], "\[Rule]", "1"}]}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"n", ",", "n"}], "}"}]}], "]"}]}], ";", 
  RowBox[{"GraphPlot", "[", 
   RowBox[{"a", ",", 
    RowBox[{"DirectedEdges", "\[Rule]", "True"}], ",", 
    RowBox[{"VertexLabeling", "\[Rule]", "True"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.541064036203125*^9, 
  3.54106424146875*^9}},ExpressionUUID->"918a1dd5-49d3-4033-b0cb-\
2837f3007bf0"],

Cell[BoxData[
 RowBox[{
  RowBox[{"m", "=", "3"}], ";", 
  RowBox[{"n", "=", "4"}], ";", 
  RowBox[{"a", "=", 
   RowBox[{"Table", "[", 
    RowBox[{"0", ",", 
     RowBox[{"{", 
      RowBox[{"m", " ", "n"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"m", " ", "n"}], "}"}]}], "]"}]}], ";", 
  RowBox[{"Do", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"k", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"i", "-", "1"}], ")"}], "n"}], "+", "j"}]}], ";", 
     RowBox[{
      RowBox[{"a", "\[LeftDoubleBracket]", 
       RowBox[{"k", ",", 
        RowBox[{"k", "+", "n"}]}], "\[RightDoubleBracket]"}], "=", "1"}]}], 
    ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", 
      RowBox[{"m", "-", "1"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "n"}], "}"}]}], "]"}], ";", 
  RowBox[{"Do", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"k", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"i", "-", "1"}], ")"}], "n"}], "+", "j"}]}], ";", 
     RowBox[{
      RowBox[{"a", "\[LeftDoubleBracket]", 
       RowBox[{"k", ",", 
        RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", "1"}]}], 
    ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "m"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", 
      RowBox[{"n", "-", "1"}]}], "}"}]}], "]"}], ";", 
  RowBox[{"v", "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"i", "-", "1"}], ")"}], "n"}], "+", "j"}], "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"j", ",", 
         RowBox[{"-", "i"}]}], "}"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "m"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"j", ",", "n"}], "}"}]}], "]"}], "]"}]}], ";", 
  RowBox[{"GraphPlot", "[", 
   RowBox[{"a", ",", 
    RowBox[{"VertexLabeling", "\[Rule]", "True"}], ",", 
    RowBox[{"VertexCoordinateRules", "\[Rule]", "v"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.541064254328125*^9, 3.5410644381875*^9}, {
  3.541064471359375*^9, 3.541064545890625*^9}, {3.54106459296875*^9, 
  3.54106470071875*^9}, {3.5410647365*^9, 
  3.541064757015625*^9}},ExpressionUUID->"42439b5f-4c6e-4d11-9f2e-\
a09f1ecb3e8e"],

Cell["\:56fe\:50cf\:5904\:7406", "Item",
 CellChangeTimes->{{3.5410630528125*^9, 
  3.541063084015625*^9}},ExpressionUUID->"4d9bd471-e189-4f42-94e2-\
272168fe6f71"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   ButtonBox["Image",
    BaseStyle->"Link",
    ButtonData->"paclet:ref/Image"], "[", 
   StyleBox["a", "TI"], "]"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  ButtonBox["ImageData",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/ImageData"], "[", 
  StyleBox[
   RowBox[{"image", ",", 
    RowBox[{"\"\<\>", "type", "\"\<\>"}]}], "TI"], 
  StyleBox["]", "TI"]}]}], "Input",
 CellChangeTimes->{{3.541063240046875*^9, 3.54106324321875*^9}, {
  3.541073566953125*^9, 3.541073596859375*^9}, {3.5410757191875*^9, 
  3.54107575396875*^9}},ExpressionUUID->"681f37c6-55fc-4b93-b0ed-\
75eb8a1379db"],

Cell[BoxData[
 RowBox[{"img", "=", 
  RowBox[{"Import", "[", "\"\<ExampleData/cea.tif\>\"", "]"}]}]], "Input",
 CellChangeTimes->{{3.541062971*^9, 3.5410629740625*^9}, {3.541063039*^9, 
   3.541063039640625*^9}, 3.541063272046875*^9, {3.54106333403125*^9, 
   3.5410633519375*^9}, {3.541064797296875*^9, 3.541064807125*^9}, {
   3.54106492*^9, 
   3.54106492403125*^9}},ExpressionUUID->"bc957924-905f-446c-9e3a-\
0b5c571db773"],

Cell[BoxData[
 RowBox[{
  RowBox[{"a", "=", 
   RowBox[{"ImageData", "[", 
    RowBox[{"img", ",", "\"\<Byte\>\""}], "]"}]}], ";", 
  RowBox[{"Dimensions", "[", "a", "]"}]}]], "Input",
 CellChangeTimes->{{3.541064928921875*^9, 
  3.541064930296875*^9}},ExpressionUUID->"f04615ac-eb98-4155-b2a1-\
66fc0b25af0d"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Take", "[", 
   RowBox[{"a", ",", "20", ",", "20"}], "]"}], "//", "MatrixForm"}]], "Input",\

 CellChangeTimes->{{3.54106341875*^9, 3.5410634283125*^9}, {
  3.5410634691875*^9, 3.54106359578125*^9}, {3.5410636354375*^9, 
  3.541063739890625*^9}, {3.54106483109375*^9, 
  3.541064903953125*^9}},ExpressionUUID->"a915c99b-c102-4225-b129-\
57db974344e7"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1536, 781},
WindowMargins->{{-8, Automatic}, {Automatic, -8}},
FrontEndVersion->"12.0 for Microsoft Windows (64-bit) (2019\:5e744\:67088\
\:65e5)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 278, 4, 67, "Section",ExpressionUUID->"bb5fee1b-fa60-452b-a64f-e8bd164b0b5c"],
Cell[CellGroupData[{
Cell[883, 30, 207, 3, 53, "Subsection",ExpressionUUID->"31699c91-b34e-4006-9d18-b57dacf87c80"],
Cell[1093, 35, 671, 16, 34, "Text",ExpressionUUID->"1b780e19-8895-4ab0-a1a8-400234a2be77"],
Cell[CellGroupData[{
Cell[1789, 55, 212, 2, 44, "Subsubsection",ExpressionUUID->"03e0a846-b417-4a9a-a186-782bb8d02397"],
Cell[2004, 59, 777, 25, 48, "Input",ExpressionUUID->"3cbbb09c-4325-446d-aaaa-671ad72c9e3a"],
Cell[2784, 86, 264, 4, 34, "Text",ExpressionUUID->"9bd66302-29aa-46da-9370-5977d69bd9ba"],
Cell[CellGroupData[{
Cell[3073, 94, 451, 12, 45, "Input",ExpressionUUID->"f4c5bfb9-8dcc-4256-a187-1dd0bf28d3aa"],
Cell[3527, 108, 676, 21, 49, "Output",ExpressionUUID->"e7b02d07-b74a-4e89-bd10-621221251339"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4240, 134, 417, 11, 45, "Input",ExpressionUUID->"1f2f4860-dc0d-4161-88e1-5b2cb3f23003"],
Cell[4660, 147, 676, 21, 49, "Output",ExpressionUUID->"2be4352b-6ef7-4448-b950-3fd83a835a7c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5373, 173, 232, 4, 45, "Input",ExpressionUUID->"76cfda80-f9f7-4001-81b0-f18eb75667aa"],
Cell[5608, 179, 943, 31, 106, "Output",ExpressionUUID->"2a489f4b-8d8c-4355-961b-35e9dfe8b724"]
}, Open  ]],
Cell[6566, 213, 397, 7, 34, "Text",ExpressionUUID->"af6d888a-d914-45b7-9e3e-cccf8924ee87"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7000, 225, 197, 3, 44, "Subsubsection",ExpressionUUID->"1468f9cf-db31-4ab2-b04e-0fc12925db0a"],
Cell[7200, 230, 748, 24, 30, "Input",ExpressionUUID->"b066fc12-1c3d-45cf-a403-2449de625582"],
Cell[7951, 256, 651, 13, 87, "Text",ExpressionUUID->"0ae94831-aa1a-432e-9f8c-90c28fdc5039"],
Cell[CellGroupData[{
Cell[8627, 273, 830, 23, 45, "Input",ExpressionUUID->"284f3b78-a5b0-459f-96e6-50d6fe49a9e5"],
Cell[9460, 298, 9873, 209, 71, "Output",ExpressionUUID->"049b75f5-9973-4a13-b541-e59beed45646"]
}, Open  ]],
Cell[CellGroupData[{
Cell[19370, 512, 205, 3, 45, "Input",ExpressionUUID->"e7e3a8a6-2cac-498d-a8f6-2cd2507bd7e3"],
Cell[19578, 517, 1071, 28, 113, "Output",ExpressionUUID->"37c73907-72c7-4e27-8498-564df30eea35"]
}, Open  ]],
Cell[20664, 548, 213, 4, 34, "Text",ExpressionUUID->"fb58e160-883b-4423-ac94-6b1ec16a1eea"],
Cell[CellGroupData[{
Cell[20902, 556, 198, 3, 45, "Input",ExpressionUUID->"896e7ac1-0979-4cd9-9003-79ae3093ce7c"],
Cell[21103, 561, 758, 21, 32, "Output",ExpressionUUID->"d84501ce-281e-4dca-8399-e48e0a30fccf"]
}, Open  ]],
Cell[21876, 585, 683, 16, 89, "Text",ExpressionUUID->"6b7297d6-8984-4407-b4e9-fccbe2f62c1a"],
Cell[CellGroupData[{
Cell[22584, 605, 929, 23, 45, "Input",ExpressionUUID->"99b810ff-44db-4dcc-9089-898dc326b359"],
Cell[23516, 630, 10001, 211, 71, "Output",ExpressionUUID->"1f0865e6-8cad-4bda-aca0-2c9dfd98a6da"]
}, Open  ]],
Cell[CellGroupData[{
Cell[33554, 846, 200, 3, 45, "Input",ExpressionUUID->"79a59e48-dadb-4cf3-a776-f700f30493fc"],
Cell[33757, 851, 1153, 32, 113, "Output",ExpressionUUID->"bbdd9b90-6eb5-48dd-9660-575b3db71a2c"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[34959, 889, 220, 3, 44, "Subsubsection",ExpressionUUID->"c7ec0e98-83e9-429d-aa46-0a46d666b32e"],
Cell[35182, 894, 1426, 47, 86, "Input",ExpressionUUID->"509dd153-ab06-4b45-9c19-83559d733db7"],
Cell[CellGroupData[{
Cell[36633, 945, 636, 13, 82, "Input",ExpressionUUID->"c012852e-bf4f-4d61-8682-e8e0951a7629"],
Cell[37272, 960, 846, 24, 113, "Output",ExpressionUUID->"c331bed7-3840-4c8f-b439-48a30ca29af2"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[38167, 990, 193, 3, 44, "Subsubsection",ExpressionUUID->"387ce86a-8bdc-4446-bfba-54ba072927b5"],
Cell[38363, 995, 2622, 85, 162, "Input",ExpressionUUID->"90bdd4aa-65b5-457e-b165-eb3bde4a7a1d"],
Cell[CellGroupData[{
Cell[41010, 1084, 368, 8, 45, "Input",ExpressionUUID->"f5709b8e-75e2-434d-842a-39256c5a5c9c"],
Cell[41381, 1094, 667, 20, 79, "Output",ExpressionUUID->"f8131c95-2458-4ebb-b7a7-ff168dc1a32f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[42085, 1119, 435, 10, 45, "Input",ExpressionUUID->"fa7ba3cb-f97a-4bb9-baac-6101319ab978"],
Cell[42523, 1131, 716, 21, 96, "Output",ExpressionUUID->"91d98936-f3bf-44e1-acef-192bbbdfbe89"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[43288, 1158, 264, 4, 44, "Subsubsection",ExpressionUUID->"1013a2c4-bd72-4133-a404-d9ca97ba81e9"],
Cell[43555, 1164, 888, 20, 48, "Input",ExpressionUUID->"30a943cb-7ebe-4fdd-b5bf-00c3a3ed737c"],
Cell[CellGroupData[{
Cell[44468, 1188, 630, 11, 45, "Input",ExpressionUUID->"f3f5e85f-3a89-4237-a54f-cc1b87076478"],
Cell[45101, 1201, 166, 2, 32, "Output",ExpressionUUID->"eba0ee27-eff9-446d-b081-9763f2d713a4"]
}, Open  ]],
Cell[45282, 1206, 421, 8, 45, "Input",ExpressionUUID->"3b0a6d80-68d5-41ca-b4d3-de1e5ce409d9"]
}, Open  ]],
Cell[CellGroupData[{
Cell[45740, 1219, 446, 7, 44, "Subsubsection",ExpressionUUID->"5a5b3c05-3754-4bfa-98e4-d9216647d263"],
Cell[46189, 1228, 1513, 46, 124, "Input",ExpressionUUID->"5745d85e-b2c0-45e1-b4bc-1ac4266a31bb"],
Cell[47705, 1276, 679, 15, 34, "Text",ExpressionUUID->"1f36f357-631d-4176-9900-cc1cfe1388a9"],
Cell[CellGroupData[{
Cell[48409, 1295, 579, 12, 45, "Input",ExpressionUUID->"bcc0f912-dea5-4ad3-9a84-9e7418cf9f17"],
Cell[48991, 1309, 409, 10, 32, "Output",ExpressionUUID->"6e4c81ff-c4f2-43c4-a128-a286d8eb3311"]
}, Open  ]],
Cell[CellGroupData[{
Cell[49437, 1324, 448, 12, 45, "Input",ExpressionUUID->"ed4076f8-499a-46c5-86de-faa079ea6299"],
Cell[49888, 1338, 652, 20, 79, "Output",ExpressionUUID->"0348792d-847c-481c-adf1-a2192548dec0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[50577, 1363, 344, 9, 45, "Input",ExpressionUUID->"d9dc0fee-80ec-4ea0-87e0-5311914c03f0"],
Cell[50924, 1374, 387, 10, 32, "Output",ExpressionUUID->"1292aef6-dfb8-4cc0-a998-c81c72e7e99b"],
Cell[51314, 1386, 359, 9, 32, "Output",ExpressionUUID->"352473cc-9b5c-4e54-b257-18d4f4de5e10"],
Cell[51676, 1397, 313, 8, 32, "Output",ExpressionUUID->"e19540d9-7cbc-439d-ad9f-78708ac644db"]
}, Open  ]],
Cell[CellGroupData[{
Cell[52026, 1410, 864, 19, 45, "Input",ExpressionUUID->"29a6bf95-146b-4147-a15f-e8d3e91a0a69"],
Cell[52893, 1431, 1076, 25, 164, "Output",ExpressionUUID->"c86e1aa6-77c9-4227-b217-c28280188d21"]
}, Open  ]],
Cell[CellGroupData[{
Cell[54006, 1461, 551, 11, 45, "Input",ExpressionUUID->"ff4ce55f-10be-4584-bb16-f0ffc05b7bfc"],
Cell[54560, 1474, 633, 19, 62, "Output",ExpressionUUID->"adfdd485-770e-413a-8eed-b23a9a6c8b31"]
}, Open  ]],
Cell[CellGroupData[{
Cell[55230, 1498, 431, 11, 45, "Input",ExpressionUUID->"ca8f811d-c395-4c1e-9a00-e3fcdaab8f24"],
Cell[55664, 1511, 635, 19, 62, "Output",ExpressionUUID->"0cc42966-d04b-472e-8d49-34978f23331c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[56336, 1535, 441, 11, 45, "Input",ExpressionUUID->"7c6133e9-5808-471e-b604-3674bfaa0fa9"],
Cell[56780, 1548, 844, 23, 130, "Output",ExpressionUUID->"a40440ad-1a1d-4296-b2ce-4d09887243ca"]
}, Open  ]],
Cell[CellGroupData[{
Cell[57661, 1576, 790, 16, 45, "Input",ExpressionUUID->"5706ae38-f68b-4f99-8da8-a88c3e8059d5"],
Cell[58454, 1594, 663, 20, 79, "Output",ExpressionUUID->"b26e6338-4abd-42e7-9e3a-ef051beb567b"]
}, Open  ]],
Cell[59132, 1617, 249, 4, 34, "Text",ExpressionUUID->"1023c296-2813-4ee0-bb05-7355736fcc38"],
Cell[CellGroupData[{
Cell[59406, 1625, 296, 5, 45, "Input",ExpressionUUID->"cc3d4424-bd85-4ff5-a235-863eec4e1cba"],
Cell[59705, 1632, 269, 6, 32, "Output",ExpressionUUID->"01c08a28-7431-4460-b6ea-9e22f08d1c9b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[60011, 1643, 251, 5, 45, "Input",ExpressionUUID->"08347245-58b4-4edf-9ea4-f9edd3427588"],
Cell[60265, 1650, 1040, 25, 164, "Output",ExpressionUUID->"1cd5d377-540f-4997-af33-d94ebfde8ad2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[61342, 1680, 299, 6, 45, "Input",ExpressionUUID->"350d6891-4245-47ab-9364-ed0841d609a0"],
Cell[61644, 1688, 1046, 25, 164, "Output",ExpressionUUID->"a4a85596-5707-42d0-960c-92a660d3b57f"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[62739, 1719, 558, 9, 44, "Subsubsection",ExpressionUUID->"85865d47-aedb-4fae-8096-a0e14070a794"],
Cell[63300, 1730, 486, 15, 48, "Input",ExpressionUUID->"fb423382-316e-44cc-922a-d8237df45bd4"],
Cell[CellGroupData[{
Cell[63811, 1749, 323, 5, 45, "Input",ExpressionUUID->"9e05c7a4-a013-4fc2-83db-4f6d6268e214"],
Cell[64137, 1756, 1012, 16, 52, "Output",ExpressionUUID->"b67586d8-9da4-4fbb-b25f-ea2a73a696b6"]
}, Open  ]],
Cell[CellGroupData[{
Cell[65186, 1777, 334, 7, 45, "Input",ExpressionUUID->"98857d0f-3fac-457f-97a3-7038c6ec7678"],
Cell[65523, 1786, 453, 12, 32, "Output",ExpressionUUID->"e76858bc-3e51-4edd-881a-0e893772008e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[66013, 1803, 261, 5, 45, "Input",ExpressionUUID->"bf210d44-811e-4862-aa1f-0762ffb97dbf"],
Cell[66277, 1810, 356, 9, 32, "Output",ExpressionUUID->"793665f5-7a39-4f5e-b106-4bf26d683b33"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[66682, 1825, 403, 6, 44, "Subsubsection",ExpressionUUID->"e905d7f1-9f30-4cc9-833d-568b0aba8380"],
Cell[67088, 1833, 1378, 44, 162, "Input",ExpressionUUID->"a3516e86-4f7a-4c30-84a0-910545f54e6f"],
Cell[CellGroupData[{
Cell[68491, 1881, 265, 5, 45, "Input",ExpressionUUID->"333293e7-be0c-44a6-b272-e2c26aa70bac"],
Cell[68759, 1888, 171, 3, 32, "Output",ExpressionUUID->"52610f6f-1b90-43ff-b3f7-80721d786370"]
}, Open  ]],
Cell[CellGroupData[{
Cell[68967, 1896, 288, 6, 45, "Input",ExpressionUUID->"7202524c-3862-48a4-b057-35457c11067b"],
Cell[69258, 1904, 196, 4, 32, "Output",ExpressionUUID->"3a9ab26f-b98b-45e0-b036-69e0e9bc82d7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[69491, 1913, 339, 8, 45, "Input",ExpressionUUID->"7ce8a72c-61ea-46e0-82f3-82c88c5e612c"],
Cell[69833, 1923, 194, 4, 32, "Output",ExpressionUUID->"e9b55684-73e8-4902-b7f0-f92f39a6100b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[70064, 1932, 539, 15, 45, "Input",ExpressionUUID->"ea35bc12-3a9c-4561-8187-6e5a2dbe429b"],
Cell[70606, 1949, 3619, 109, 59, "Output",ExpressionUUID->"2c12dd99-e8c0-41b4-a81b-8ac16bcab141"]
}, Open  ]],
Cell[CellGroupData[{
Cell[74262, 2063, 385, 8, 28, "Input",ExpressionUUID->"4f438e32-4499-41cd-9234-c63e0d2ff264"],
Cell[74650, 2073, 228, 3, 64, "Output",ExpressionUUID->"3f223756-31d2-4d08-81da-1a2406dcd21d"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[74939, 2083, 215, 3, 53, "Subsection",ExpressionUUID->"7e92dc1a-fcbb-4a68-a652-a5d49240d43b"],
Cell[75157, 2088, 636, 14, 34, "Text",ExpressionUUID->"370bc7b1-1bc5-4806-b34e-06097fa01adf"],
Cell[CellGroupData[{
Cell[75818, 2106, 310, 4, 44, "Subsubsection",ExpressionUUID->"8a61889b-a534-450a-9ea7-5480d4538c72"],
Cell[76131, 2112, 2224, 63, 143, "Input",ExpressionUUID->"b0cce88d-8822-4512-95dd-5d7e1c57e3cc"],
Cell[78358, 2177, 519, 14, 45, "Input",ExpressionUUID->"ac58c4b5-4321-4e7b-bf5b-a4c5ff4d0361"],
Cell[CellGroupData[{
Cell[78902, 2195, 192, 3, 28, "Input",ExpressionUUID->"d69f093b-08d2-46e1-a98b-527dca1cbfc2"],
Cell[79097, 2200, 276, 7, 32, "Output",ExpressionUUID->"10b975a3-8554-442f-9a7f-982f0b088ac4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[79410, 2212, 242, 4, 28, "Input",ExpressionUUID->"cd7e38b4-a5a1-4ebc-ab26-18ad76e4b73f"],
Cell[79655, 2218, 272, 7, 53, "Output",ExpressionUUID->"48e8d192-be63-4a3c-983a-f93a208f4699"]
}, Open  ]],
Cell[CellGroupData[{
Cell[79964, 2230, 194, 3, 28, "Input",ExpressionUUID->"bcfad8a8-1d20-4728-b305-9b54629c4743"],
Cell[80161, 2235, 252, 6, 32, "Output",ExpressionUUID->"d6b4c6e2-a012-44a7-aebe-4f29e38c7007"]
}, Open  ]],
Cell[CellGroupData[{
Cell[80450, 2246, 135, 2, 28, "Input",ExpressionUUID->"6728819e-dab3-4b42-85df-c62d4eef31e2"],
Cell[80588, 2250, 470, 15, 32, "Output",ExpressionUUID->"fef44f7a-b50d-4840-81d9-5f29a55e96dc"]
}, Open  ]],
Cell[CellGroupData[{
Cell[81095, 2270, 136, 2, 45, "Input",ExpressionUUID->"49296de3-a653-4b79-9293-a37988b40a8d"],
Cell[81234, 2274, 366, 10, 42, "Output",ExpressionUUID->"f6b13db9-6db2-4a94-9990-2d6f57108eb7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[81637, 2289, 141, 2, 45, "Input",ExpressionUUID->"b13b4131-feb3-46a1-908a-16a86c59ac4c"],
Cell[81781, 2293, 989, 31, 63, "Output",ExpressionUUID->"ddbf665e-2be4-4e8b-b544-f72ac421ec3c"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[82819, 2330, 307, 4, 44, "Subsubsection",ExpressionUUID->"5c1a81e6-03a2-4e58-85a1-20acd15b432e"],
Cell[83129, 2336, 2886, 81, 225, "Input",ExpressionUUID->"bee6da6d-4965-492f-ae60-6b81b62a61c4"],
Cell[CellGroupData[{
Cell[86040, 2421, 1180, 28, 159, "Input",ExpressionUUID->"42eb3d99-3fd0-466c-a35c-f5f3573b3d23"],
Cell[87223, 2451, 1849, 56, 71, "Output",ExpressionUUID->"a9511c96-860e-4000-9304-714b4d929da7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[89109, 2512, 321, 6, 45, "Input",ExpressionUUID->"244d4a93-1c13-47e6-bb5c-376190213045"],
Cell[89433, 2520, 1662, 52, 85, "Output",ExpressionUUID->"6a137094-0018-4d53-ba5b-34671fbef0aa"]
}, Open  ]],
Cell[CellGroupData[{
Cell[91132, 2577, 226, 4, 45, "Input",ExpressionUUID->"a66f8f6b-babc-44c8-b931-6f5fdb1d19ff"],
Cell[91361, 2583, 1473, 47, 85, "Output",ExpressionUUID->"105e4d74-709f-4186-8a04-b4f881777dc2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[92871, 2635, 200, 3, 45, "Input",ExpressionUUID->"68395eb1-c8c1-4ce6-8174-90613289436b"],
Cell[93074, 2640, 1440, 46, 35, "Output",ExpressionUUID->"b643e332-6a93-4a82-9c5a-e4b740d3e044"]
}, Open  ]],
Cell[CellGroupData[{
Cell[94551, 2691, 237, 4, 45, "Input",ExpressionUUID->"5b0bf7b1-5eba-459e-8f55-c02b9e68d91b"],
Cell[94791, 2697, 18213, 529, 127, "Output",ExpressionUUID->"82a1920c-6f7d-455c-97e5-5cae2650abd6"]
}, Open  ]],
Cell[CellGroupData[{
Cell[113041, 3231, 259, 5, 45, "Input",ExpressionUUID->"b503145f-b931-4c30-b891-5a180dca5f21"],
Cell[113303, 3238, 5046, 155, 94, "Output",ExpressionUUID->"0eed1b92-ac9d-4969-b62f-09d5719af5c4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[118386, 3398, 222, 4, 45, "Input",ExpressionUUID->"4574da95-cdda-46d6-95ac-b676cb95dbe4"],
Cell[118611, 3404, 1302, 38, 94, "Output",ExpressionUUID->"c2f2896b-90b1-4eb5-9f89-99fb01c64158"]
}, Open  ]],
Cell[CellGroupData[{
Cell[119950, 3447, 257, 5, 45, "Input",ExpressionUUID->"9be76c0e-665e-475c-9e99-2e32d3666685"],
Cell[120210, 3454, 152, 3, 32, "Output",ExpressionUUID->"102a40db-b4ae-4f39-8302-71f336311ec8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[120399, 3462, 201, 4, 45, "Input",ExpressionUUID->"85ebe886-f558-443c-9d9a-741c970bd10c"],
Cell[120603, 3468, 349, 10, 35, "Output",ExpressionUUID->"12b93dfa-a80c-42e4-9534-5847c47005ba"]
}, Open  ]],
Cell[CellGroupData[{
Cell[120989, 3483, 245, 5, 45, "Input",ExpressionUUID->"0a3ee563-f4eb-4ec3-900a-2fca297eb0c8"],
Cell[121237, 3490, 1384, 42, 59, "Output",ExpressionUUID->"83e04975-ca13-4c20-b9e6-9633d97c68fd"]
}, Open  ]],
Cell[122636, 3535, 851, 17, 87, "Text",ExpressionUUID->"ed3aaa50-1384-4d37-995e-ceec7cbdda94"],
Cell[CellGroupData[{
Cell[123512, 3556, 1093, 30, 138, "Input",ExpressionUUID->"9cf5e2c2-354e-4ee5-8c8d-9a5ad6c678d5"],
Cell[124608, 3588, 3769, 103, 280, "Output",ExpressionUUID->"8ef89c85-14ec-4579-9bd8-253e8a968812"]
}, Open  ]],
Cell[128392, 3694, 147, 3, 48, "Input",ExpressionUUID->"88b77165-c0eb-40f5-b3ec-38bf60de7315"]
}, Open  ]],
Cell[CellGroupData[{
Cell[128576, 3702, 349, 6, 44, "Subsubsection",ExpressionUUID->"43c4d331-bd01-4cd8-a631-1933ec0af5c5"],
Cell[128928, 3710, 991, 31, 105, "Input",ExpressionUUID->"68b64b8d-8296-4ec9-baf9-6f6624bd3816"],
Cell[CellGroupData[{
Cell[129944, 3745, 768, 18, 45, "Input",ExpressionUUID->"16e1d988-7235-4a83-8a5c-1048abfad3a5"],
Cell[130715, 3765, 721, 23, 79, "Output",ExpressionUUID->"a9ab41af-6748-4ad4-9249-c06ffc7e763f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[131473, 3793, 439, 9, 45, "Input",ExpressionUUID->"d3a5779e-f2a8-46a6-97e5-5ae10ea0b13e"],
Cell[131915, 3804, 284, 8, 32, "Output",ExpressionUUID->"40cb9b82-febe-49b0-a631-58e7407ed133"]
}, Open  ]],
Cell[CellGroupData[{
Cell[132236, 3817, 414, 8, 45, "Input",ExpressionUUID->"cd92402b-8cf7-41a3-9560-92d9a9a9e5be"],
Cell[132653, 3827, 12828, 307, 190, "Output",ExpressionUUID->"87fa34cc-f926-4a15-b063-2573d1e6b685"]
}, Open  ]],
Cell[145496, 4137, 260, 4, 34, "Text",ExpressionUUID->"8f9a0cdc-5dca-45c1-9a6c-0d9eead584fe"],
Cell[CellGroupData[{
Cell[145781, 4145, 304, 6, 45, "Input",ExpressionUUID->"151a9309-896e-4701-a000-cc40002f27c2"],
Cell[146088, 4153, 2601, 67, 41, "Output",ExpressionUUID->"2831373f-7514-4890-8087-00438ed757e3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[148726, 4225, 297, 5, 45, "Input",ExpressionUUID->"d46f5877-6344-4143-9890-42c239853a78"],
Cell[149026, 4232, 8559, 213, 97, "Output",ExpressionUUID->"80a2f33b-3285-4307-8d4c-092e14831229"]
}, Open  ]],
Cell[CellGroupData[{
Cell[157622, 4450, 335, 6, 45, "Input",ExpressionUUID->"a871509a-0432-4213-b685-2ae32a99504c"],
Cell[157960, 4458, 2305, 62, 58, "Output",ExpressionUUID->"35b2d22e-4ae0-48a8-a051-1c0663b02152"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[160326, 4527, 224, 4, 53, "Subsection",ExpressionUUID->"abf82f6c-d4e4-4149-8ae6-bc4f9e4d32a3"],
Cell[160553, 4533, 598, 15, 34, "Text",ExpressionUUID->"43d6704c-9ba8-4a08-b085-6ae30e4736b9"],
Cell[CellGroupData[{
Cell[161176, 4552, 366, 6, 44, "Subsubsection",ExpressionUUID->"d425f719-6508-45e5-b668-8f860e359902"],
Cell[161545, 4560, 1194, 36, 105, "Input",ExpressionUUID->"3ff4eb24-f753-47b2-951b-eb0da786c23a"],
Cell[162742, 4598, 694, 21, 49, "Text",ExpressionUUID->"af700656-7482-4826-91e9-9c6d93f069e8"],
Cell[CellGroupData[{
Cell[163461, 4623, 795, 23, 45, "Input",ExpressionUUID->"3db69d10-fe7e-4d71-b1a1-29d63ee86e00",
 CellID->63997976],
Cell[164259, 4648, 19273, 392, 71, "Output",ExpressionUUID->"7ecd980e-93dd-44d7-baa0-72db9ef27edc"]
}, Open  ]],
Cell[CellGroupData[{
Cell[183569, 5045, 301, 7, 45, "Input",ExpressionUUID->"ab02d712-7585-460e-8426-73585858e03e"],
Cell[183873, 5054, 1467, 46, 48, "Output",ExpressionUUID->"c507757c-2eea-4341-83c7-42f4fc02025c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[185377, 5105, 391, 8, 45, "Input",ExpressionUUID->"1e5cf56c-589d-4a91-aabe-22e1537268be"],
Cell[185771, 5115, 229, 6, 32, "Output",ExpressionUUID->"7382292f-589f-414e-b7d4-eb8f9acb30f9"]
}, Open  ]],
Cell[CellGroupData[{
Cell[186037, 5126, 442, 12, 28, "Input",ExpressionUUID->"f13761fc-b24d-43bb-9693-ff979af0ac8e"],
Cell[186482, 5140, 413, 11, 32, "Output",ExpressionUUID->"6b74012b-251a-4286-9e12-85d9a6755719"]
}, Open  ]],
Cell[CellGroupData[{
Cell[186932, 5156, 212, 4, 45, "Input",ExpressionUUID->"a8b9ce2f-72d2-4b31-ba80-56e27988c87f"],
Cell[187147, 5162, 177, 3, 64, "Output",ExpressionUUID->"1427a075-225d-4ce4-b376-3e186e64a0e1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[187361, 5170, 257, 5, 45, "Input",ExpressionUUID->"cba88ae0-a888-4b2b-b77e-d718e8211c1e"],
Cell[187621, 5177, 252, 7, 32, "Output",ExpressionUUID->"c5edc049-2550-45cd-8a3b-8e7750cb9fcd"]
}, Open  ]],
Cell[187888, 5187, 1150, 30, 100, "Text",ExpressionUUID->"5577f500-3fa7-409c-8002-7da4e37fd474"],
Cell[189041, 5219, 928, 28, 66, "Input",ExpressionUUID->"fb707292-8fee-41b7-a28f-f6b07fa166e2"],
Cell[189972, 5249, 163, 4, 45, "Input",ExpressionUUID->"1a0ff9b7-b059-4933-a61d-0a5bd409ac08"],
Cell[190138, 5255, 317, 7, 45, "Input",ExpressionUUID->"5247d024-c0bb-4116-b781-4c76de42390a"],
Cell[190458, 5264, 253, 6, 45, "Input",ExpressionUUID->"d6c6a307-a3e0-4495-9f4e-7780f0f6e001"]
}, Open  ]],
Cell[CellGroupData[{
Cell[190748, 5275, 393, 6, 44, "Subsubsection",ExpressionUUID->"cfc529b9-1be6-4632-9b32-dfebc5f1937f"],
Cell[191144, 5283, 1294, 41, 48, "Input",ExpressionUUID->"0e3952c5-8fea-4485-89ab-98b56f982aae"],
Cell[CellGroupData[{
Cell[192463, 5328, 651, 19, 120, "Input",ExpressionUUID->"b0df7dec-dc66-4e4e-8025-4e3097e0f6af"],
Cell[193117, 5349, 2450, 73, 99, "Output",ExpressionUUID->"0d432336-8172-4642-8db5-43487ce4f6b0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[195604, 5427, 573, 16, 45, "Input",ExpressionUUID->"a4433422-c73b-4381-865f-c529363c779d"],
Cell[196180, 5445, 3847, 89, 109, "Output",ExpressionUUID->"7a455587-a418-4ee6-a248-87b5c2f4480d"]
}, Open  ]],
Cell[200042, 5537, 234, 4, 34, "Text",ExpressionUUID->"f927178e-8c97-421e-bbf0-e6489f80ff11"],
Cell[CellGroupData[{
Cell[200301, 5545, 1474, 40, 83, "Input",ExpressionUUID->"f5168811-193a-427d-8034-ae5cf1a864a4"],
Cell[201778, 5587, 357, 10, 32, "Output",ExpressionUUID->"7d3fdc09-10eb-4dd9-99f7-3df1128dddb7"]
}, Open  ]],
Cell[202150, 5600, 301, 5, 34, "Text",ExpressionUUID->"4a815a99-00bf-48e3-adac-db1675a17375"],
Cell[CellGroupData[{
Cell[202476, 5609, 643, 19, 119, "Input",ExpressionUUID->"8bd0d9c8-9fac-4366-bd5e-1d2682ae9e61"],
Cell[203122, 5630, 2995, 99, 212, "Output",ExpressionUUID->"43b2b7cc-9641-4e88-9f6f-3ae60c131534"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[206166, 5735, 326, 4, 44, "Subsubsection",ExpressionUUID->"649e7435-60b2-47a9-afa3-bd22797fc349"],
Cell[206495, 5741, 2341, 62, 162, "Input",ExpressionUUID->"fcda6059-0060-494d-8061-065fcdf2f4b1"],
Cell[CellGroupData[{
Cell[208861, 5807, 621, 17, 45, "Input",ExpressionUUID->"b70761dc-cc3f-48f3-bbfe-8d810c6f92be"],
Cell[209485, 5826, 3743, 91, 161, "Output",ExpressionUUID->"3e35499a-2d8a-4460-965a-c67faa1ced5c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[213265, 5922, 270, 6, 45, "Input",ExpressionUUID->"4a8b4623-85f1-47d1-b031-51bb351af052"],
Cell[213538, 5930, 3579, 89, 161, "Output",ExpressionUUID->"c1a76551-78c2-45d2-bfdc-7b8785ea95ed"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[217166, 6025, 250, 5, 44, "Subsubsection",ExpressionUUID->"95ce8ac4-6242-4408-8854-00683c680e1b"],
Cell[217419, 6032, 165, 3, 31, "Item",ExpressionUUID->"4f0433c3-138d-42e5-b6a5-31ae801c3802"],
Cell[217587, 6037, 4131, 88, 143, "Text",ExpressionUUID->"47acabab-7a8d-4a56-a30d-6c705eee4f01"],
Cell[221721, 6127, 3062, 78, 230, "Input",ExpressionUUID->"1a7b2de8-cbef-49f7-a4e6-337a27b2b3e9"],
Cell[224786, 6207, 345, 6, 31, "Item",ExpressionUUID->"43ac0555-1cff-4573-9038-bf50b6545695"],
Cell[225134, 6215, 303, 9, 28, "Input",ExpressionUUID->"ca951719-3daf-453c-a87d-64b060ad5008"],
Cell[225440, 6226, 1881, 52, 155, "Text",ExpressionUUID->"19a9a0b0-616f-409e-b3fb-88785bfc6188"],
Cell[227324, 6280, 2723, 82, 361, "Input",ExpressionUUID->"6701f4cf-3df5-480a-af89-f2b559ed0144"],
Cell[230050, 6364, 300, 5, 31, "Item",ExpressionUUID->"bda451e8-d670-4e23-864a-1f4ce6302680"],
Cell[230353, 6371, 369, 9, 28, "Input",ExpressionUUID->"113f01e7-f933-4dd3-9865-7fc2cf93c7e8"],
Cell[230725, 6382, 834, 25, 101, "Input",ExpressionUUID->"918a1dd5-49d3-4033-b0cb-2837f3007bf0"],
Cell[231562, 6409, 2259, 71, 269, "Input",ExpressionUUID->"42439b5f-4c6e-4d11-9f2e-a09f1ecb3e8e"],
Cell[233824, 6482, 164, 3, 31, "Item",ExpressionUUID->"4d9bd471-e189-4f42-94e2-272168fe6f71"],
Cell[233991, 6487, 631, 18, 48, "Input",ExpressionUUID->"681f37c6-55fc-4b93-b0ed-75eb8a1379db"],
Cell[234625, 6507, 427, 8, 45, "Input",ExpressionUUID->"bc957924-905f-446c-9e3a-0b5c571db773"],
Cell[235055, 6517, 310, 8, 45, "Input",ExpressionUUID->"f04615ac-eb98-4155-b2a1-66fc0b25af0d"],
Cell[235368, 6527, 386, 9, 45, "Input",ExpressionUUID->"a915c99b-c102-4225-b129-57db974344e7"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

